package org.act.xservices.engine.rt.aspect.evolution;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

/**
 * ¼aspectһpointcut·
 *
 */
public class XPathLocation {


	//·
	private String location;
	//̵
	private String processName;
	//
	private ArrayList<String> activities = new ArrayList<String>();
	//ԼӦ
	private Map<String, ActivityAttributes> attributes = new HashMap<String,ActivityAttributes>();
	
	public void setLocation(String location){
		this.location = location;
	}
	public String getLocation(){
		return location;
	}
	public void setProcessName(String processName){
		this.processName = processName;
	}
	public String getProcessName(){
		return processName;
	}
	public void addActivity(String name){
		this.activities.add(name);
	}
	public String getActivity(int index){
		return activities.get(index);
	}
	public ArrayList<String> getActivities(){
		return activities;
	}
	public Map<String, ActivityAttributes> getActivityAttributes(){
		return attributes;
	}
	public Map<String, String> getActivityAttributes(String activity){
		Map<String, String> activityAttributes = null;
		if(attributes.containsKey(activity)){
			activityAttributes = attributes.get(activity).getAttributes();
		}
		return activityAttributes;
	}
	public void addActivityAttribute(String activityName,String attributeName, String attributeValue){
		if(this.attributes.containsKey(activityName)){
			this.attributes.get(activityName).addAttributes(attributeName, attributeValue);
		}else{
			ActivityAttributes attributes = new ActivityAttributes();
			attributes.addAttributes(attributeName, attributeValue);
			this.attributes.put(activityName, attributes);
		}
	}
	public void removeActivityAttribute(String activity){
		this.attributes.remove(activity);
	}
	class ActivityAttributes{
		private Map<String, String> attributes = new HashMap<String,String>();
		
		public void addAttributes(String name, String value){
			this.attributes.put(name, value);
		}
		public Map<String, String> getAttributes(){
			return attributes;
		}
	}

}
