/**
 * 
 */
package org.act.xservices.engine.rt.aspect.model;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;

/**
 * BPELͽķװ
 * 
 */
public class Aspect {
	private String name;

	private String targetNamespace;

	private String type = "insert";

	private String xmlns;
	
	private HashMap<String,String> extendedNameSpaces = new HashMap<String,String>();

	private Pointcut pointcut;

	private Advice advice;

	private ArrayList<CutInPoint> points = new ArrayList<CutInPoint>(); // б

	public Aspect(String name, Pointcut pointcut, Advice advice) {
		super();
		this.name = name;
		this.pointcut = pointcut;
		this.advice = advice;
		// xPathʽбpoints
	}

	public Advice getAdvice() {
		return advice;
	}

	public void setAdvice(Advice advice) {
		this.advice = advice;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getTargetNamespace() {
		return targetNamespace;
	}

	public void setTargetNamespace(String targetNamespace) {
		this.targetNamespace = targetNamespace;
	}

	public String getXmlns() {
		return xmlns;
	}

	public void setXmlns(String xmlns) {
		this.xmlns = xmlns;
	}

	public void addExtendedNameSpace(String attribute, String value){
		this.extendedNameSpaces.put(attribute, value);
	}
	/**
	 * ɾextendedNameSpacesӦļ¼
	 * @param attribute
	 */
	public void deleteExtendeNameSpace(String attribute){
		this.extendedNameSpaces.remove(attribute);
	}
	
	public HashMap<String,String> getExtendedNameSpaces(){
		return this.extendedNameSpaces;
	}
	
	public Pointcut getPointcut() {
		return pointcut;
	}

	public void setPointcut(Pointcut pointcut) {
		this.pointcut = pointcut;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public ArrayList<CutInPoint> getPoints() {
		return this.points;
	}

	public void setPoints(ArrayList<CutInPoint> cutInPoints) {
		this.points = cutInPoints;
	}

	// pointcutʽaspectĿ̵id
	public ArrayList<String> getAllCutInProcess() {
		ArrayList<String> cutInProcesses = new ArrayList<String>();
		for (Iterator iter = points.iterator(); iter.hasNext();) {
			CutInPoint point = (CutInPoint) iter.next();
			if (!cutInProcesses.contains(point.getProcessId())) {
				cutInProcesses.add(point.getProcessId());
			}
		}
		return cutInProcesses;
	}

	public void execute() {

	}
}
