package org.act.xservices.engine.rt.bpel11;

import org.act.xservices.bpel11.TActivity;
import org.act.xservices.bpel11.TSource;
import org.act.xservices.bpel11.TTarget;
import org.act.xservices.engine.rt.ActivityInstance;

/**
 * BPEL1.1 ʵ
 * @author sun
 *
 */
public abstract class Bpel11ActivityInstance extends ActivityInstance{
	
	/**
	 * 
	 */
	protected TActivity activity;
	
	public void start() {
		super.start();
		Bpel11InstanceUnit instance = (Bpel11InstanceUnit) this.instanceUnit;
		for(int i=0; i<activity.getTarget().size(); i++) {
			TTarget target = activity.getTarget().get(i);
			String linkName = target.getLinkName();
			instance.doLinkTarget(linkName);
		}
	}
	
	public abstract void run() throws Exception;
	
	public void finish() {
		Bpel11InstanceUnit instance = (Bpel11InstanceUnit) this.instanceUnit;
		for(int i=0; i<activity.getSource().size(); i++) {
			TSource source = activity.getSource().get(i);
			String linkName = source.getLinkName();
			instance.doLinkSource(linkName);
		}
		super.finish();
	}
}
