package org.act.xservices.engine.rt.bpel11;

import org.act.xservices.bpel11.*;
import org.act.xservices.engine.rt.InstanceUnit;
import org.act.xservices.engine.rt.debug.Debug;
import org.act.xservices.engine.rt.persistence.StoreUtil;

/**
 * BPEL1.1 ʵԪ
 * @author sun
 *
 */
public class Bpel11InstanceUnit extends InstanceUnit {

	public void run() {
		try{
			//ǰʵ״̬Ϊinitiated
			//пʼʱʵ״̬Ϊrunning

		    TProcess bpel = ((Bpel11DeploymentUnit)this.getDeploymentUnit()).getBpel();
		    Object activity = InstanceUtil.getSubActivity(bpel);
		    this.getActivitiesStack().push(activity);
		    this.getScopesStack().push(bpel);
		
		    TEventHandlers eventHandlers = bpel.getEventHandlers();
		    long beginTime = System.currentTimeMillis();
		
		    while (!this.getActivitiesStack().isEmpty()) {
		        while(getState() == STATE_SUSPENDED) {
		        	//ʵ״̬ѾԱ޸Ϊsuspended
		        	Thread.sleep(5000);
		        }
		    	if (getState() != STATE_TERMINATED) {
		    		if(eventHandlers != null) {
		    			InstanceUtil.eventHandlers(eventHandlers, this, beginTime);
		    		}
		    		TActivity object = (TActivity)this.getActivitiesStack().pop();
		    		
		    		if(Debug.isDebug()) {
		    			/**
			    		 * ״̬
			    		 */
		    			int size = object.getAnyAttribute().size();
		    			for(int i=0; i<size; i++) {
		    				if(object.getAnyAttribute().get(i).getEStructuralFeature().getName().equals("ID")) {
		    					String debugID = (String)object.getAnyAttribute().get(i).getValue();
		    					Debug.stop(debugID);
		    				}
		    		    }
		    		}
		    	
				    Bpel11ActivityInstance instance = InstanceUtil.getActivityInstance(object, this);
				    //¼ûʵӦĻ
				    instance.setActivity(object);
				    
				    //aspectд
				    /*if(EvolutionJudgment.isNeedEvolution(this, instance)){
				    	//Ҫж̬ܻ
				    	DynamicEvolution.executeActivityInstance(this, instance);
				    }else{
				    	//Ҫж̬ܻ
				    	instance.run();
				    }*/
				    instance.run();
				} else{
					//ʵ״̬ѾԱ޸Ϊterminated
				    throw new Exception("Process Instance (" + this.getId() + ") terminated by the administrator");
			    }
	 	    }
		
		    //ɺʵ״̬Ϊcompleted
		    super.finish();
		}catch (Exception e) {
			//зֹͣУʵ״̬Ϊterminated
			this.terminate();
			StoreUtil.storeProcessInstance(this);
			System.err.println("Process Instance (" + this.getId() + ") terminated for the errors");
			e.printStackTrace();
		}
	}
}
