package org.act.xservices.engine.rt.bpel11;

import java.util.Stack;

import org.act.xservices.bpel11.TScope;

public class ScopeInstance extends Bpel11ActivityInstance {
	
	private Stack<Object> activitiesStack;
	
	public ScopeInstance(TScope scope, Bpel11InstanceUnit instanceUnit) {
		this.type = "Scope";
		this.name = scope.getName();
		this.activity = scope;
		this.instanceUnit = instanceUnit;
		this.activitiesStack = instanceUnit.getActivitiesStack();
	}
	
	public ScopeInstance(TScope scope, Bpel11InstanceUnit instanceUnit, Stack<Object> activitiesStack) {
		this(scope, instanceUnit);
		this.activitiesStack = activitiesStack;
	}
	
	//<scope variableAccessSerializable="yes|no" standard-attributes>
    //standard-elements
    //<variables>?
    //...
    //</variables>
    //<correlationSets>?
    //... 
    //</correlationSets>
    //<faultHandlers>?
    //...
    //</faultHandlers>
    //<compensationHandler>?
    //...
    //</compensationHandler>
    //<eventHandlers>?
    //...
    //</eventHandlers>
    //activity
    //</scope>
	public void run() throws Exception{
		//Ŀǰݲ֧scope¶variables, correlationSets, faultHandlers, compensationHandlers, eventHandlers
		super.start();
		TScope scope = (TScope) this.activity;
		this.instanceUnit.getScopesStack().push(scope);	
		Object activity = InstanceUtil.getSubActivity(scope);
		activitiesStack.push(activity);
		super.finish();
	}
}
