package org.act.xservices.engine.rt.bpel11;

import org.act.xservices.bpel11.TTerminate;

public class TerminateInstance extends Bpel11ActivityInstance {
	
	public TerminateInstance(TTerminate terminate, Bpel11InstanceUnit instanceUnit) {
		this.type = "Terminate";
		this.name = terminate.getName();
		this.activity = terminate;
		this.instanceUnit = instanceUnit;
	}
	
	public void run() throws Exception {
		super.start();
		instanceUnit.terminate();
		super.finish();
		throw new Exception("Process instance terminated by the terminate acticity");
	}
}
