package org.act.xservices.engine.rt.bpel20;

import org.act.xservices.bpel20.TActivity;
import org.act.xservices.bpel20.TSource;
import org.act.xservices.bpel20.TSources;
import org.act.xservices.bpel20.TTarget;
import org.act.xservices.bpel20.TTargets;
import org.act.xservices.engine.rt.ActivityInstance;

/**
 * BPEL1.1 ʵ
 * @author sun
 *
 */
public abstract class Bpel20ActivityInstance extends ActivityInstance{
	
	/**
	 * 
	 */
	protected TActivity activity;
	
	public void start() {
		super.start();
		Bpel20InstanceUnit instance = (Bpel20InstanceUnit) this.instanceUnit;
		TTargets targets = activity.getTargets();
		for(int i=0; i<targets.getTarget().size(); i++) {
			TTarget target = targets.getTarget().get(i);
			String linkName = target.getLinkName();
			instance.doLinkTarget(linkName);
		}
	}
	
	public abstract void run() throws Exception;
	
	public void finish() {
		Bpel20InstanceUnit instance = (Bpel20InstanceUnit) this.instanceUnit;
		TSources sources = activity.getSources();
		for(int i=0; i<sources.getSource().size(); i++) {
			TSource source = sources.getSource().get(i);
			String linkName = source.getLinkName();
			instance.doLinkSource(linkName);
		}
		super.finish();
	}
	
}
