package org.act.xservices.engine.rt.bpel20;

import java.util.Stack;

import org.act.xservices.bpel20.TForEach;

public class ForEachInstance extends Bpel20ActivityInstance {

	private Stack<Object> activitiesStack;
	
	public ForEachInstance(TForEach forEach, Bpel20InstanceUnit instanceUnit) {
		this.type = "ForEach";
		this.name = forEach.getName();
		this.activity = forEach;
		this.instanceUnit = instanceUnit;
		this.activitiesStack = instanceUnit.getActivitiesStack();
	}
	
	public ForEachInstance(TForEach While, Bpel20InstanceUnit instanceUnit, Stack<Object> activitiesStack) {
		this(While, instanceUnit);
		this.activitiesStack = activitiesStack;
	}

	// <forEach counterName="BPELVariableName" parallel="yes|no"
	// standard-attributes>
	// standard-elements
	// <startCounterValue expressionLanguage="anyURI"?>
	// unsigned-integer-expression
	// </startCounterValue>
	// <finalCounterValue expressionLanguage="anyURI"?>
	// unsigned-integer-expression
	// </finalCounterValue>
	// <completionCondition>?
	// <branches expressionLanguage="anyURI"?
	// successfulBranchesOnly="yes|no"?>?
	// unsigned-integer-expression
	// </branches>
	// </completionCondition>
	// <scope ...>...</scope>
	// </forEach>


	public void run() throws Exception {
		super.start();
		TForEach forEach = (TForEach) this.activity;
		Bpel20InstanceUnit instanceUnit = (Bpel20InstanceUnit)this.instanceUnit;
	}
}

