package org.act.xservices.engine.rt.config;

import java.util.logging.Logger;

import org.act.xservices.engine.rt.locale.StringManager;
import org.act.xservices.engine.rt.locale.StringManagerFactory;
import org.act.xservices.rt.xom.Metaset;

public class DatabaseConfig {

	private static Logger log = Logger.getLogger(DatabaseConfig.class.getName());

	private static StringManager sm = StringManagerFactory.getStringManager();
	
	public static void config(Metaset conf) {
		
        //Ƿʹʹݿ
		//String usedb = conf.selectorAttributeValue(".\\DataBase", "valid");
		String usedb = conf.element("DataBase").attributeValue("valid");
		System.setProperty("UseDB", usedb);

		if (usedb.equals("true")) {
			
			log.info(sm.getString("org.act.xservices.engine.rt.config.valid.true"));

			//ݿ
			//Metaset m_driver = conf.filter(".\\DataBase\\Driver");
			Metaset m_driver = conf.element("DataBase").element("Driver");
			//String driver = m_driver.car().getText();
			String driver = m_driver.getText();
			System.setProperty("Driver", driver);
			log.info(sm.getString("org.act.xservices.engine.rt.config.database.driver",driver));

			//ݿַ
			//Metaset m_dbaddr = conf.filter(".\\DataBase\\DBaddress");
			Metaset m_dbaddr = conf.element("DataBase").element("DBaddress");
			//String dbadd = m_dbaddr.car().getText();
			String dbadd = m_dbaddr.getText();
			System.setProperty("DBaddress", dbadd);
			log.info(sm.getString("org.act.xservices.engine.rt.config.database.address",dbadd));

			//ݿû
			//Metaset m_dbuser = conf.filter(".\\DataBase\\DBUser");
			Metaset m_dbuser = conf.element("DataBase").element("DBUser");
			//String dbuser = m_dbuser.car().getText();
			String dbuser = m_dbuser.getText();
			System.setProperty("DBUser", dbuser);
			log.info(sm.getString("org.act.xservices.engine.rt.config.database.user",dbuser));

			//ݿ
			//Metaset m_dbpw = conf.filter(".\\DataBase\\DBPWD");
			Metaset m_dbpw = conf.element("DataBase").element("DBPWD");
			//String dbpw = m_dbpw.car().getText();
			String dbpw = m_dbpw.getText();
			if (dbpw != null) {
				System.setProperty("DBPWD", dbpw);
			} else {
				System.setProperty("DBPWD", "");
			}
		}
		else{
			log.info(sm.getString("org.act.xservices.engine.rt.config.valid.false"));
		}
	}
}
