package org.act.xservices.engine.rt.deploy;

import org.act.xservices.engine.rt.utils.Pool;

/**
 * ̲
 * @author sun
 *
 */
public class DeploymentUnitRegistry extends Pool {
	
    public DeploymentUnit get(String id) {
		return (DeploymentUnit) super.get(id);
	}
    
    public DeploymentUnit[] getAll() {
    	return (DeploymentUnit[])super.getMap().values().toArray(new DeploymentUnit[0]);
    }
    
    public boolean add(DeploymentUnit deploymentUnit) {
    	return super.add(deploymentUnit.getId(), deploymentUnit);
    }
    
    public boolean delete(String id) {
    	return super.delete(id);
    }
    
    public boolean delete(DeploymentUnit deploymentUnit) {
    	String id = deploymentUnit.getId();
    	return super.delete(id);
    }
}
