package org.act.xservices.engine.rt.persistence;

import java.util.ArrayList;

public interface IDatabase {
	
	public String getType();
	
	public void config();
	
	public void close();
	
	public void insertEngineRecord(EngineRecord engineRecord);
	
	public ArrayList<EngineRecord> getAllEngineRecords();
	
	public void insertProcessInstanceRecord(ProcessInstanceRecord processInstanceRecord);
	
	public ArrayList<ProcessInstanceRecord> getAllProcessInstanceRecords();
	
	public ArrayList<ProcessInstanceRecord> getProcessInstanceRecordsByType(String type);
	
	public void insertActivityInstanceRecord(ActivityInstanceRecord activityInstanceRecord);
	
	public ArrayList<ActivityInstanceRecord> getAllActivityInstanceRecords();
	
	public ArrayList<ActivityInstanceRecord> getActivityInstanceRecordsByProcessInstanceId(String processInstanceId);
	
}
