package org.act.xservices.engine.rt.utils;

import java.util.HashMap;

public class Pool {
	
	private HashMap<Object, Object> objects = new HashMap<Object, Object>();
	
	private int maxNumber = 50;
	
	protected Object get(Object key) {
		return objects.get(key);
	}
	
	protected HashMap<Object, Object> getMap() {
		return objects;
	}
	
	protected boolean add(Object key, Object object) {
		if(objects.size() == maxNumber) {
			return false;
		}
		objects.put(key, object);
		return true;
	}
	
	protected boolean delete(Object object) {
		if(!objects.containsKey(object)) {
			return false;
		}
		objects.remove(object);
		return true;
	}
	
	public int getMaxNumber() {
		return maxNumber;
	}
	
    public void setMaxNumber(int number) {
		maxNumber = number;
	}
    
    public int getCurrentNumber() {
    	return objects.size();
    }
}
