package org.act.xservices.engine.rt.utils;

import org.act.xservices.rt.metaset.MetasetBuilder;
import org.act.xservices.rt.xom.Attribute;
import org.act.xservices.rt.xom.Metaset;

public class SoapUtil {
	
	public static Metaset createEmptySoap() {
		Metaset envelope = MetasetBuilder.getInstance().newMetaset(ConstantUtil.NS_SOAP_ENVELOPE, "Envelope", "soapenv");
		Attribute soapenv = MetasetBuilder.getInstance().newAttribute("xmlns:soapenv", ConstantUtil.NS_SOAP_ENVELOPE);
		envelope.add(soapenv);
		Attribute wsa = MetasetBuilder.getInstance().newAttribute("xmlns:wsa", ConstantUtil.NS_WSA);
		envelope.add(wsa);
		Attribute xsi = MetasetBuilder.getInstance().newAttribute("xmlns:xsi", ConstantUtil.NS_XSI);
		envelope.add(xsi);
		Attribute xsd = MetasetBuilder.getInstance().newAttribute("xmlns:xsd", ConstantUtil.NS_XSD);
		envelope.add(xsd);
		Metaset header = MetasetBuilder.getInstance().newMetaset(ConstantUtil.NS_SOAP_ENVELOPE, "Header", "soapenv");
		envelope.add(header);
		Metaset body = MetasetBuilder.getInstance().newMetaset(ConstantUtil.NS_SOAP_ENVELOPE, "Body", "soapenv");
		envelope.add(body);
		return envelope;
	}
}
