package org.act.xservices.engine.rt.client;

import java.lang.reflect.Type;

import org.act.xservices.rt.client.XServicesException;
import org.act.xservices.rt.rpc.client.RPCServiceClient;
import org.act.xservices.rt.xcontainer.rpc.DeserializationException;
import org.act.xservices.rt.xcontainer.rpc.SerializationException;
import org.act.xservices.rt.xom.QName;

public class BankClient {

	private static final String ADRESS = "http://localhost:8095/bank?pl=user";
	private void manageAccount(String accountNumber, String password, float amount) throws SerializationException, XServicesException, DeserializationException{
		RPCServiceClient client = new RPCServiceClient(ADRESS);
		QName op = new QName("http://xservice.act.buaa.edu.cn/bpel/wsdl",
				"manageAccount", "ns");
		String args = accountNumber+" "+password+" "+amount;
		System.out.println(args);
		//Object[] opArgs = new Object[] {accountNumber, password, amount};
		Object[] opArgs = new Object[] {args};
		Type[] returnType = new Type[]{boolean.class};
		Object[] result = client.invokeBlocking(op, opArgs, returnType);
		System.out.println("ֵ");
		System.out.println("accountNumber: "+accountNumber);
		System.out.println("password: "+password);
		System.out.println("amount: "+amount);
		System.out.println("ؽ\n"+result[0]);
	}
   public static void main(String args[]) throws Exception, XServicesException, DeserializationException{
	   String accountNumber = "6221881000012345678";
	   String password = "123456";
	   float amount = 200.00f;
	   BankClient bc = new BankClient();
	   bc.manageAccount(accountNumber, password, amount);
   }
}
