package org.act.xservices.rt.xcontainer.adaptation;

import org.act.xservices.rt.xcontainer.framework.AConnectorEnvironment;
import org.act.xservices.rt.xcontainer.framework.config.IConfigElement;
import org.act.xservices.rt.xcontainer.framework.provider.ProviderFactory;
import org.act.xservices.rt.xcontainer.inf.context.IServiceContext;

/**
 * @LastModifyTime 2009-10-2
 * @CreationTime 2007-06-20
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */
public class AdaptationConnectorEnvironment extends
		AConnectorEnvironment<IServiceContext, IServiceContext> {
	
	public AdaptationConnectorEnvironment() {
	}
	
	public void config(IConfigElement connectorEnvironmentConfig) throws Exception {
		
		super.config(connectorEnvironmentConfig);
		
		//Provider,WS
		IConfigElement providersConfig = connectorEnvironmentConfig.getFirstChildWithName("providers");
		if(providersConfig != null){
			ProviderFactory providerFactory = new ProviderFactory();
			providerFactory.config(providersConfig);
			this.getContainerEnvironment().setProviderFactory(providerFactory);
		}
	}
}
