package org.act.xservices.rt.xcontainer.adaptation;

import org.act.xservices.rt.xcontainer.framework.IConnector;
import org.act.xservices.rt.xcontainer.framework.dispatch.ATaskFactory;
import org.act.xservices.rt.xcontainer.framework.dispatch.ISafeTask;
import org.act.xservices.rt.xcontainer.inf.context.IServiceContext;


/**
 * @LastModifyTime 2008-7-7
 * @CreationTime 2007-06-20
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */
public class AdaptationInTaskFactory extends ATaskFactory<IServiceContext> {
	
	
	public AdaptationInTaskFactory(IConnector connector){
		super(connector);
	}
	
	public final ISafeTask createSafeTask(IServiceContext serviceContext) {
		
		AdaptationInTask adaInTask = new AdaptationInTask();
		
		adaInTask.setWsProcessor( ((AdaptationConnector)super.getConnector()).getWsProcessor() );
		adaInTask.setBpelProcessor(((AdaptationConnector)super.getConnector()).getBpelProcessor());
		
		adaInTask.setServiceContext(serviceContext);		
		return adaInTask;
	}

}
