package org.act.xservices.rt.rpc.client;

import java.lang.reflect.Type;
import java.util.HashMap;
import java.util.Map;

import org.act.xservices.rt.client.XServicesException;
import org.act.xservices.rt.xcontainer.rpc.DeserializationException;
import org.act.xservices.rt.xcontainer.rpc.SerializationException;
import org.act.xservices.rt.xom.QName;

import sun.reflect.generics.reflectiveObjects.ParameterizedTypeImpl;

public class SimpleMapClient {
	@SuppressWarnings("unchecked")
	public static void main(String[] args) throws SerializationException,
			XServicesException, DeserializationException {
		RPCServiceClient client = new RPCServiceClient(
				"http://localhost:8091/SimpleHashMap");

		Map<String, String> map = new HashMap<String, String>();
		map.put("1", "㻦");
		map.put("2", "world");
		QName op = new QName("http://map.pojo.rt.xservices.act.org", "chech",
				"ns");
		
		Object[] paramters = new Object[] { map };
		Type[] types = new Type[] { String.class, String.class };
		Type type = ParameterizedTypeImpl.make(HashMap.class,
				types, Map.class);
		Type[] returnTypes = new Type[] { type };
		Object[] results = client.invokeBlocking(op, paramters, returnTypes);
		Map<String, String> result = (Map<String, String>) results[0];
		for (String key : result.keySet()) {
			System.out.println("Key:" + key + " value:" + result.get(key));
		}
	}
}
