package org.act.xservices.rt.stub.client;

import java.util.List;

import org.act.xservices.rt.metaset.MetasetBuilder;
import org.act.xservices.rt.xcontainer.rpc.DeserializationException;
import org.act.xservices.rt.xcontainer.rpc.SerializationException;
import org.act.xservices.rt.xcontainer.util.JavaObjectDeserializeUtil;
import org.act.xservices.rt.xcontainer.util.JavaObjectSerializeUtil;
import org.act.xservices.rt.xcontainer.xdb.XDBBean;
import org.act.xservices.rt.xom.Metaset;
import org.act.xservices.rt.xom.QName;

public class HelloResponse implements XDBBean {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public final QName MY_QNAME = new QName("http://www.example.org/sayHello/",
			"sayHelloResponse", "ns1");

	/**
	 * field for Out
	 */

	protected java.lang.String out;

	/**
	 * Auto generated getter method
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getOut() {
		return out;
	}

	/**
	 * Auto generated setter method
	 * 
	 * @param param
	 *            Out
	 */
	public void setOut(java.lang.String param) {

		this.out = param;

	}

	public Metaset serialize(QName myQname) throws SerializationException {

		Metaset response = MetasetBuilder.getInstance().createElement(myQname);
		Metaset[] items = JavaObjectSerializeUtil.serializeParameter(out,
				"out", null, false);
		for (Metaset item : items) {
			response.add(item);
		}

		return response;
	}

	public HelloResponse deserialize(Metaset param)
			throws DeserializationException {
		
		List<Metaset> items = param.elements();
		for (int i = 0; i < items.size();) {

			Metaset[] params = JavaObjectDeserializeUtil.getSameItems(i, items);
			i += params.length;
			Object arg = JavaObjectDeserializeUtil.deserializeParameter(params,
					String.class, null);
			this.setOut((String) arg);
		}
		return this;
	}

	public QName getMyQName() {
		return this.MY_QNAME;
	}

}
