package org.act.xservices.rt.xcontainer.framework;

import org.act.xservices.rt.xcontainer.framework.config.IConfigElement;

/**
 * 
 * @version 1.0 2007-04-20
 * @author liujian [liujian@act.buaa.edu.cn]
 * @author lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */
public abstract class AConnectorEnvironment<T, V> extends AbstractEnvironment implements IConnectorEnvironment<T,V> {

	/**  */
	private String connectorEnvironmentName;

	/**  */
	private IContainerEnvironment containerEnvironment;
	
	/** 
	 * 
	 * @param connectorEnvironmentConfig ò
	 */
	public void config(IConfigElement connectorEnvironmentConfig) throws Exception {
		
		//ΪenvironmentԪ
		this.environmentConfiguration = connectorEnvironmentConfig; 

		//
		this.connectorEnvironmentName = environmentConfiguration.getAttribute("name");
	}

	public IContainerEnvironment getContainerEnvironment() {
		return containerEnvironment;
	}

	public void setContainerEnvironment(IContainerEnvironment containerEnvironment) {
		this.containerEnvironment = containerEnvironment;
	}

	public String getConnectorEnvironmentName() {
		return connectorEnvironmentName;
	}
	
}
