package org.act.xservices.rt.xcontainer.framework.config;

import java.util.List;

import org.act.xservices.rt.xom.Metaset;

/**
 * XMLMetasetģ͵ķװ
 * 
 * @version 2.0 2010-06-09
 * @author Rukey.Li [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */

public class ConfigElementMetasetImpl implements IConfigElement {
	
	/**ÿConfigurableElementװһMetaset */
	private Metaset xmlMetaSet;

	
	/**
	 * ֱӷװ xmlElement
	 * @param xmlElement
	 */
	public ConfigElementMetasetImpl(Metaset xmlMetaSet){
		this.xmlMetaSet = xmlMetaSet;
	}

	/** 
	 * Attribute֣Attributeֵ
	 * 
	 * @param attributename
	 * @return ڣnull
	 */
	public String getAttribute(String attributename) {
		return xmlMetaSet.attributeValue(attributename);
	}

	/** 
	 * شԪصԪ
	 * 
	 * @return ûԪأ򷵻سΪ0
	 * @see org.act.xservices.rt.xcontainer.framework.config.IConfigElement#getChildren()
	 */
	public IConfigElement[] getChildren() {
	
		List<Metaset> childList = xmlMetaSet.elements();

		if (childList.size() > 0) {
			ConfigElementMetasetImpl[] ChildConfigurableElement = new ConfigElementMetasetImpl[childList.size()];			
			for (int i = 0; i < childList.size(); i++) {
				ChildConfigurableElement[i] = new ConfigElementMetasetImpl(childList.get(i));
			}
			return ChildConfigurableElement;
		}
		return NONE;
	}

	/**
	 * ֱֲԪ,طԪ
	 * 
	 * @param childName
	 * @return û򷵻سΪ0
	 * @see org.act.xservices.rt.xcontainer.framework.config.IConfigElement#getChildrenWithName(java.lang.String)
	 */
	public IConfigElement[] getChildrenWithName(String childName) {

		List<Metaset> childList = xmlMetaSet.elements(childName);

		if (childList.size() > 0) {
			ConfigElementMetasetImpl[] ChildConfigurableElement = 
				new ConfigElementMetasetImpl[childList.size()];
			for (int i = 0; i < childList.size(); i++) {
				ChildConfigurableElement[i] = 
					new ConfigElementMetasetImpl(childList.get(i));
			}
			return ChildConfigurableElement;

		} else {
			return NONE;
		}

	}

	/** 
	 * ֱֲԪأطĵһԪ
	 * @param childName
	 * @return û򷵻null
	 * @see org.act.xservices.rt.xcontainer.framework.config.IConfigElement#getFirstChildWithName(java.lang.String)
	 */
	public IConfigElement getFirstChildWithName(String childName) {
		
		List<Metaset> childList = xmlMetaSet.elements(childName);
		
		if (childList.size() > 0) {
			
			return new ConfigElementMetasetImpl(childList.get(0));
		} else {
			
			return null;
		}
	}
	
	/** 
	 * @return Elementnameǰ׺
	 * @see org.act.xservices.rt.xcontainer.framework.config.IConfigElement#getName()
	 */
	public String getName() {
		return xmlMetaSet.getName();
	}

	/** 
	 * شElementеTextڵֵ
	 * @return ElementûTextڵ㣬򷵻""
	 * @see org.act.xservices.rt.xcontainer.framework.config.IConfigElement#getValue()
	 */
	public String getValue() {
		return xmlMetaSet.getText();
	}

}
