package org.act.xservices.rt.xcontainer.framework.lifecycle;

/**
 * 
 * @version 1.0 2005-6-23
 * @author liujian [liujian@act.buaa.edu.cn]
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */
public interface ILifecycle {

	public static final int NONE = -1;

	/**
	 * LifecycleEventͣʾǰ¼
	 */
	public static final int BEFORE_START_EVENT = 0;

	//	/**
	//	 * LifecycleEventͣʾ¼
	//	 */
	//	public static final int START_EVENT = 1;

	/**
	 * LifecycleEventͣʾ¼
	 */
	public static final int AFTER_START_EVENT = 2;

	/**
	 * LifecycleEventͣʾֹͣǰ¼
	 */
	public static final int BEFORE_SHUTDOWN_EVENT = 3;

	//	/**
	//	 * LifecycleEventͣʾֹͣ¼
	//	 */
	//	public static final int SHUTDOWN_EVENT = 4;

	/**
	 * LifecycleEventͣʾֹͣ¼
	 */
	public static final int AFTER_SHUTDOWN_EVENT = 5;

	/**
	 * LifecycleEventͣʾǰ¼
	 */
	public static final int BEFORE_DESTROY_EVENT = 6;

	/**
	 * LifecycleEventͣʾٺ¼
	 */
	public static final int AFTER_DESTROY_EVENT = 7;

	
	
	/**
	 * ׼ʹôз˷ڵô֮ǰ,⣬뷢
	 * ΪSTART_EVENTLifecycleEventע.
	 * @throws LifecycleException г
	 */
	public void start() throws LifecycleException;

	/**
	 * ֹͣʹôз˷ڴ󱻵õķ,⣬뷢
	 * ΪSHUTDOWN_EVENTLifecycleEventע.
	 * @throws LifecycleException г
	 */
	public void stop() throws LifecycleException;

	
	/**
	 * ͷԴ
	 */
	public void destroy();

	/**
	 * ӣעᣩ
	 * @param listener 
	 */
	void addLifecycleListener(ILifecycleListener listener);

	/**
	 * ɾ
	 * @param listener 
	 */
	void removeLifecycleListener(ILifecycleListener listener);

	/**
	 * ȡע
	 * @return ע
	 */
	ILifecycleListener[] getLifecycleListeners();

}
