package org.act.xservices.rt.xcontainer.inf.context;

import java.net.URI;
import java.util.Map;


/**
 * ʾһͻ˺ͷĳỰ˵ײľ崫Эϸ
 * 
 * @LastModifyTime 2008-12-03
 * @CreationTime 
 * @author liujian[liujian@act.buaa.edu.cn]
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */
public interface IATFTransportContext {
	
	
	//---reuqest---
	
	public String getRequestUriString();
	
	public URI getRequestUri();
	
	public void setRequestUri(URI requestUri);
	
	public String getRequestSoapAction();

	public void setRequestSoapAction(String action);
	
	public byte[] getRequestContent();

	public void setRequestContent(byte[] content);
	
	public String getRequestContentType();

	public void setRequestContentType(String contentType);
	
	
	//---response---
	
	public URI getResponseUri();

	public void setResponseUri(URI responseUri);
	
	public String getResponseSoapAction();

	public void setResponseSoapAction(String responseSoapAction);
	
	public byte[] getResponseContent();

	public void setResponseContent(byte[] responseContent);

	public String getResponseContentType();

	public void setResponseContentType(String responseContentType);
	
	
	
	//---TransportSession---
	/**
	 * ȡỰ
	 * @return
	 */
	public IATFTransportSession getATFTransportSession();

	/**
	 * ôỰ
	 * @param transSession
	 */
	public void setATFTransportSession(IATFTransportSession transSession);
	
	
	
	//---Patameter---
	public void setParameter(String key, String value);
	
	public String getParameter(String key);
	
	/**
	 * òɸĵĲӳͼ
	 * @return
	 */
	public Map<String, String> getParameters();
	
}
