package org.act.xservices.rt.xcontainer.inf.context;

import org.act.xservices.rt.soap.ISOAPEnvelope;
import org.act.xservices.rt.xom.Metaset;

/***
 * 
 * @author Lizq [lizq@act.buaa.edu.cn] 2007-05-28
 * 
 */
public interface IMessageContext extends Cloneable {

	public String getAction();

	public void setAction(String action);

	public String getUri();

	public void setUri(String uri);

	// public Integer getVersion(); by liuhuang

	// public void setVersion(Integer version); by liuhuang

	public IATFTransportContext getTransportcontext();

	public void setTransportcontext(IATFTransportContext transportcontext);

	public String getTransportProtocol();

	// public void setTransportProtocol(String transportProtocol);

	public ISOAPEnvelope getSoapMessage();

	public void setSoapMessage(ISOAPEnvelope soapMessage);

	/**
	 * Please use setSoapMessage(ISOAPEnvelope soapMessage)
	 * 
	 * @param soapEnv
	 */
	@Deprecated
	public void setSoapMessageBySOAPEnvMetaset(Metaset soapEnv);

	public boolean isSOAPFaultMessage();

	public void setSOAPFaultMessage(boolean isSOAPFaultMessage);

}
