package org.act.xservices.rt.xcontainer.inf.service.wsdl;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;

/**
 * ǶPortTypeBindingеOperationеMessageĳ
 * 
 * @version 1.0 2007-09-25
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */

public class XcBindingMessage extends XcElement{

	private static final long serialVersionUID = 1045703756753021863L;

	//Ϣ
	private String name;
	
	//ϢİϢ
	/**
	 *  <wsdlsoap:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="http://act.org"/>
	 * Ϣʽ
	 * WSDLConstants.ENCODED ΪSOAP뷽ʽѲƼʹ
	 * WSDLConstants.LITERAL ΪSchema뷽ʽƼʹ
	 */
	private String mesUSE;
	private String mesEncordingStyle;
	private String mesNamespace;
	
	private XcBindingOperation xcBindingOperation;
	
	private XcMessage xcMessage;
	
	
	
	
//	//ϢPolicyϢ
//	private String inWSPolicy;
//	private String outWSPolicy;
//	//
//	private List<IPolicyProcessor> inPolicyProcessorList;
//	private List<IPolicyProcessor> outPolicyProcessorList;

	
	public XcBindingMessage(){
		
	}
	
	public XcBindingMessage(String name){
		this.name = name;
	}
	


//	public String getInWSPolicy() {
//		return inWSPolicy;
//	}
//
//	public void setInWSPolicy(String inWSPolicy) {
//		this.inWSPolicy = inWSPolicy;
//	}
//	
//	public String getOutWSPolicy() {
//		return outWSPolicy;
//	}
//
//	public void setOutWSPolicy(String outWSPolicy) {
//		this.outWSPolicy = outWSPolicy;
//	}
//	
//	public List<IPolicyProcessor> getInPolicyProcessorList() {
//		return inPolicyProcessorList;
//	}
//
//	public void setInPolicyProcessorList(
//			List<IPolicyProcessor> inPolicyProcessorList) {
//		this.inPolicyProcessorList = inPolicyProcessorList;
//	}
//
//	public List<IPolicyProcessor> getOutPolicyProcessorList() {
//		return outPolicyProcessorList;
//	}
//
//	public void setOutPolicyProcessorList(
//			List<IPolicyProcessor> outPolicyProcessorList) {
//		this.outPolicyProcessorList = outPolicyProcessorList;
//	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}



	

	public String getMesEncordingStyle() {
		return mesEncordingStyle;
	}

	public void setMesEncordingStyle(String soapb_mesEncordingStyle) {
		this.mesEncordingStyle = soapb_mesEncordingStyle;
	}

	public String getMesNamespace() {
		return mesNamespace;
	}

	public void setMesNamespace(String soapb_mesNamespace) {
		this.mesNamespace = soapb_mesNamespace;
	}

	public String getMesUSE() {
		return mesUSE;
	}

	public void setMesUSE(String soapb_mesUSE) {
		this.mesUSE = soapb_mesUSE;
	}
	
	/**
	 * ش˶һȿ¡
	 * @return
	 * @throws Exception
	 */
	public XcBindingMessage copy() throws Exception{
		ByteArrayOutputStream bout = new ByteArrayOutputStream();
		ObjectOutputStream out = new ObjectOutputStream(bout);
		out.writeObject(this);
		out.close();
		
		ByteArrayInputStream bin = new ByteArrayInputStream(bout.toByteArray());
		ObjectInputStream in = new ObjectInputStream(bin);
		XcBindingMessage mes = (XcBindingMessage) in.readObject();
		in.close();
		bin.close();
		return mes;
	}

	public XcMessage getXcMessage() {
		return xcMessage;
	}

	public void setXcMessage(XcMessage xcMessage) {
		this.xcMessage = xcMessage;
	}

	public XcBindingOperation getXcBindingOperation() {
		return xcBindingOperation;
	}

	public void setXcBindingOperation(XcBindingOperation xcBindingOperation) {
		this.xcBindingOperation = xcBindingOperation;
	}

}
