package org.act.xservices.rt.xcontainer.inf.service.wsdl.schema;

/**
 * 
 * @author viking
 * @date 2010-7-29
 * @since JDK 1.5.0
 * @version 1.0.0
 * 
 */
public interface OperationSchema extends SchemaType {

	/**
	 * Get input message
	 * 
	 * @return
	 */
	MessageSchema getInputMessage();

	/**
	 * Set input message
	 * 
	 * @param input
	 */
	void setInputMessage(MessageSchema input);

	/**
	 * Get output message
	 * 
	 * @return
	 */
	MessageSchema getOutputMessage();

	/**
	 * Set output message
	 * 
	 * @param output
	 */
	void setOutputMessage(MessageSchema output);

}
