package org.act.xservices.rt.xcontainer.service.resolver;

import org.act.xservices.rt.xcontainer.inf.context.IServiceContext;
import org.act.xservices.rt.xcontainer.inf.service.wsdl.XcOperation;
import org.act.xservices.rt.xcontainer.inf.service.wsdl.XcServiceRegistry;

/**
 * @LastModifyTime 2009-4-15
 * @CreationTime
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */
public abstract class AbstractOperationResolver extends AbstractResolver{

	
	
	public IServiceContext process(IServiceContext serviceContext, 
			XcServiceRegistry xcServiceRegistry) throws ResolverProcessException{
		
		XcOperation xcOperation = serviceContext.getXcOperation();
		
		if( xcOperation != null){ //ƥɣֱӷ
			return serviceContext;
		}
		
		//Ҳ
		xcOperation = findOperation(serviceContext);
		
		if(xcOperation != null){
			
			serviceContext.setXcOperation(xcOperation);
			
			return serviceContext;
			
		}else{
			
			return serviceContext;
		}
	}
	
	/**
	 * ϢӦĲ
	 * @param serviceContext
	 * @return
	 * @throws ResolverProcessException
	 */
	public abstract XcOperation findOperation(IServiceContext serviceContext
			) throws ResolverProcessException;
	
	
}
