package org.act.xservices.rt.xcontainer.transport.http.mina.codec;

import org.act.xservices.rt.xcontainer.framework.transport.ITransportSender;
import org.act.xservices.rt.xcontainer.inf.context.impl.ATFTransportContext;
import org.act.xservices.rt.xcontainer.transport.http.mina.HTTPMINATransportSender;
import org.apache.mina.filter.codec.demux.DemuxingProtocolCodecFactory;
import org.apache.mina.filter.codec.demux.MessageDecoder;
import org.apache.mina.filter.codec.demux.MessageDecoderFactory;



public class HTTPServerProtocolCodecFactory extends DemuxingProtocolCodecFactory {
    
	private ITransportSender transportSender = new HTTPMINATransportSender();

	public HTTPServerProtocolCodecFactory() {

    	final TransportContextDecoder decoder = new TransportContextDecoder();
		decoder.setTransportSender(transportSender);
		super.addMessageDecoder(new MessageDecoderFactory(){
			public MessageDecoder getDecoder() throws Exception {
				return (MessageDecoder) decoder.clone();
			}
		});
		
    	super.addMessageEncoder(
    			ATFTransportContext.class, TransportContextEncoder.class);
    }

	
	//TODO LIUJIAN ˴ܿԲõģʽЧʡ
	//addMessageDecoder(HTTPRequestDecoder.class);
//	@Override
//	public ProtocolDecoder getDecoder(IoSession session) throws Exception {
//		HTTPRequestDecoder decoder = (HTTPRequestDecoder) super.getDecoder(session);
//		decoder.setTransportSender(transportSender);
//		return super.getDecoder(session);
//	}
//	
//	@Override
//	public void addMessageDecoder(MessageDecoderFactory factory) {
//		try {
//			MessageDecoder decoder = factory.getDecoder();
//			if (decoder instanceof HTTPRequestDecoder) {
//				HTTPRequestDecoder dec = (HTTPRequestDecoder) decoder;
//				dec.setTransportSender(transportSender);
//			}
//		} catch (Exception e) {
//			e.printStackTrace();
//		}
//		
//	}

}
