package org.act.xservices.rt.xcontainer.transport;

import org.act.xservices.rt.xcontainer.framework.IConnector;
import org.act.xservices.rt.xcontainer.framework.dispatch.ATaskFactory;
import org.act.xservices.rt.xcontainer.framework.dispatch.ISafeTask;
import org.act.xservices.rt.xcontainer.inf.context.IATFTransportContext;


/**
 * 
 * @LastModifyTime 2008-10-10
 * @CreationTime
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */
public class TransportOutTaskFactory extends ATaskFactory<IATFTransportContext> {

	/**
	 * @param connectorEnvironment
	 */
	public TransportOutTaskFactory(IConnector connector) {
		super(connector);
	}

	public final ISafeTask createSafeTask(IATFTransportContext transContext) {
		
		TransportOutTask transOutTask = new TransportOutTask();
		transOutTask.setTransportConnector((TransportConnector)getConnector());
		transOutTask.setTransportContext(transContext);
		return transOutTask;
	}

}
