package org.act.xservices.rt.xcontainer.wsdl.schemaImpl;

import org.act.xservices.rt.xcontainer.inf.service.wsdl.schema.ComplexType;
import org.act.xservices.rt.xcontainer.inf.service.wsdl.schema.ElementType;
import org.act.xservices.rt.xcontainer.inf.service.wsdl.schema.MessageSchema;
import org.act.xservices.rt.xcontainer.inf.service.wsdl.schema.OperationSchema;
import org.act.xservices.rt.xcontainer.inf.service.wsdl.schema.ServiceSchema;
/**
 * 
 * @author viking
 * @date 2010-8-4
 * @since JDK 1.5.0
 * @version 1.0.0
 *
 */
public class SchemaHelper {
	public static ComplexType newComplexTypeSchema() {
		return new ComplexTypeImpl();
	}

	public static ComplexType newComplexTypeSchema(String name) {
		return new ComplexTypeImpl(name);
	}

	public static ElementType newElementSchema() {
		return new ElementTypeImpl();
	}

	public static ElementType newElementSchema(String name) {
		return new ElementTypeImpl(name);
	}

	public static MessageSchema newMessageSchema() {
		return new MessageSchemaImpl();
	}
	public static MessageSchema newMessageSchema(String name) {
		return new MessageSchemaImpl(name);
	}
	
	public static OperationSchema newOperationSchema() {
		return new OperationSchemaImpl();
	}

	public static OperationSchema newOperationSchema(String name) {
		return new OperationSchemaImpl(name);
	}

	public static ServiceSchema newServiceSchema() {
		return new ServiceSchemaImpl();
	}

}
