package org.act.xservices.rt.xcontainer.rpc;

/**
 * 
 * @author viking
 * @date 2010-8-8
 * @since JDK 1.5.0
 * @version 1.0.0
 * 
 *          When deserialize metaset to java object, if there are some errors
 *          occur, the Deserialize parser will throw this exception.
 * 
 */
public class DeserializationException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public DeserializationException() {
		super();
	}

	public DeserializationException(String message, Throwable cause) {
		super(message, cause);
	}

	public DeserializationException(String message) {
		super(message);
	}

	public DeserializationException(Throwable cause) {
		super(cause);
	}

}
