package org.act.xservices.rt.xcontainer.rpc;

/**
 * 
 * @author viking
 * @date 2010-8-8
 * @since JDK 1.5.0
 * @version 1.0.0
 * 
 *          When serialize java object to metaset, if there are some errors
 *          occur, the Serialize parser will throw this exception.
 * 
 */

public class SerializationException extends Exception{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public SerializationException() {
		super();
	}

	public SerializationException(String message, Throwable cause) {
		super(message, cause);
	}

	public SerializationException(String message) {
		super(message);
	}

	public SerializationException(Throwable cause) {
		super(cause);
	}

}
