package org.act.xservices.rt.xcontainer.xdb;

import java.io.Serializable;

import org.act.xservices.rt.xcontainer.rpc.DeserializationException;
import org.act.xservices.rt.xcontainer.rpc.SerializationException;
import org.act.xservices.rt.xom.Metaset;
import org.act.xservices.rt.xom.QName;

/**
 * 
 * @author viking
 * @date 2010-8-8
 * @since JDK 1.5.0
 * @version 1.0.0
 * 
 * 
 */
public interface XDBBean extends Serializable {

	/**
	 * 
	 * @return
	 */
	QName getMyQName();

	/**
	 * 
	 * @param parentQName
	 * @return
	 * @throws SerializationException
	 */
	Metaset serialize(final QName parentQName) throws SerializationException;

	/**
	 * 
	 * @param param
	 * @return
	 * @throws DeserializationException
	 */
	Object deserialize(Metaset param) throws DeserializationException;
}
