package org.act.xservices.rt.xnotification.base.fault;

import java.util.Calendar;

import org.act.xservices.rt.xcontainer.addressing.IEndpointReference;
import org.act.xservices.rt.xom.Metaset;

/**
 * 
 * @version 1.0 2008-3-22
 * @author liwu liwu@act.buaa.edu.cn 2006-9-28
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */
public class NotificationProducerException extends NotificationBaseException {

	/** */
	private static final long serialVersionUID = 1L;

	/**
	 * @param name
	 * @param timestamp
	 * @param originatorReference
	 * @param errorCode
	 * @param description
	 * @param faultCause
	 */
	public NotificationProducerException(String name, Calendar timestamp,
			IEndpointReference originatorReference, Metaset errorCode,
			String description, Metaset faultCause) {
		super(name, timestamp, originatorReference, errorCode, description,
				faultCause);
	}

	/**
	 * @param name
	 * @param timestamp
	 * @param description
	 */
	public NotificationProducerException(String name, Calendar timestamp,
			String description) {
		super(name, timestamp, description);
	}

}
