package org.act.xservices.rt.xnotification.base.impl;

import org.act.xservices.rt.xnotification.base.ISubscriptionPolicy;
import org.act.xservices.rt.xom.Metaset;

/**
 * Ĳʵ
 * @version 1.0 2008-3-5
 * @author cover_eye wangyg@act.buaa.edu.cn
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */
public class SubscriptionPolicy implements ISubscriptionPolicy {
	
	private boolean _useRaw = false;

	private Object _content = null;



	public boolean equals(Object obj) {
		if (this._useRaw == ((SubscriptionPolicy) obj).isUseRaw()) {
			return true;
		} else {
			return false;
		}

	}

	//??? д
	public int hashCode() {
		return super.hashCode();
	}


	public String toString() {
		return super.toString();
	}

	public SubscriptionPolicy(Metaset policy) {
		this.buildSubscriptionPolicy(policy);
	}

	// <wsnt:SubscriptionPolicy>
	// [ <wsnt:UseRaw/> |
	// {any}
	// ] *
	// </wsnt:SubscriptionPolicy>

	public void buildSubscriptionPolicy(Metaset policy) {
		if (policy != null) {
			Metaset set = policy.filter(".\\UseRaw").car();
			if (set != null) {
				if (set.getText().equals("true")) {
					this.setUseRaw(true);
				} else {
					this.setUseRaw(false);

				}
			}
		}

	}

	public void setUseRaw(boolean useRaw) {
		_useRaw = useRaw;

	}

	public boolean isUseRaw() {
		return _useRaw;
	}

	public void setContent(Object policyContent) {
		this._content = policyContent;

	}

	public Object getContent() {

		return _content;
	}

}
