
package org.act.xservices.rt.xnotification.message.base;

import org.act.xservices.rt.xnotification.util.ConfigException;
import org.act.xservices.rt.xom.Metaset;

/**
 * ⶩӦϢ
 * @version 1.0 2008-3-16
 * @author liwu 2006-6-12
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */
public class SubscribeResponseMessage extends Message {

    /**
     * s http://schemas.xmlsoap.org/soap/envelope/
http://www.w3.org/2003/05/soap-envelope
xsd http://www.w3.org/2001/XMLSchema
wsa http://www.w3.org/2005/08/addressing
wsrf-rp http://docs.oasis-open.org/wsrf/rp-2
wsrf-bf http://docs.oasis-open.org/wsrf/bf-2
wsnt http://docs.oasis-open.org/wsn/b-2
wsntw http://docs.oasis-open.org/wsn/bw-2
wstop http://docs.oasis-open.org/wsn/t-1

<s:Envelope ... > 
<s:Header> 
<wsa:Action> 
http://docs.oasis-open.org/wsn/bw-2/NotificationProducer/SubscribeResponse 
</wsa:Action> 
... 
</s:Header> 
<s:Body> 
<wsnt:SubscribeResponse>
<wsnt:SubscriptionReference> 
<wsa:Address> 
http://www.example.org/SubscriptionManager 
</wsa:Address> 
</wsnt:SubscriptionReference> 
</wsnt:SubscribeResponse> 
</s:Body> 
</s:Envelope>

     */
	
	private String actionValue = 
		"http://docs.oasis-open.org/wsn/bw-2/NotificationProducer/SubscribeResponse";

	public SubscribeResponseMessage(Metaset response) {
		buildMessageSkeleton();
		this.getWSAAction().setText(actionValue);
		this.getBody().add(response);
	}

	public void config(Metaset config) throws ConfigException {
		// TODO Զɷ
	}

}
