package org.act.xservices.rt.xnotification.message.base;

import org.act.xservices.rt.xnotification.util.ConfigException;
import org.act.xservices.rt.xom.Metaset;

/**
 * 
 * @version 1.0 2008-3-25
 * @author liwu 2006-6-12
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */
public class UnsubscribeResponseMessage extends Message {

    /**
     * 
<s:Envelope ... > 
<s:Header> 
<wsa:Action> 
http://docs.oasis-open.org/wsn/bw-2/SubscriptionManager/UnsubscribeResponse 
</wsa:Action> 
... 
</s:Header> 
<s:Body> 
<wsnt:UnsubscribeResponse /> 
</s:Body> 
</s:Envelope>
     */
	
    private String actionValue = 
    	"http://docs.oasis-open.org/wsn/bw-2/SubscriptionManager/UnsubscribeResponse";
    
    
    public UnsubscribeResponseMessage(Metaset response) {
        buildMessageSkeleton();
        
        this.getWSAAction().setText(actionValue);
        
        this.getBody().add(response);
    }


    public void config(Metaset config) throws ConfigException {
        // TODO Զɷ

    }

}
