
package org.act.xservices.rt.xnotification.message.broker;

import org.act.xservices.rt.xnotification.util.ConfigException;
import org.act.xservices.rt.xom.Metaset;

/**
 * 
 * @version 1.0 2008-3-16
 * @author cover_eye wangyg@act.buaa.edu.cn 2006-9-5
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */
public class RegisterPublisherResponseMessage extends BrokerMessage {
/**
<s:Envelope ... >
<s:Header>
<wsa:Action>
http://docs.oasis-open.org/wsn/brw-2/RegisterPublisher/RegisterPublisherResponse
</wsa:Action>
...
</s:Header>
<s:Body>
<wsn-br:RegisterPublisherResponse>
<wsn-br:PublisherRegistrationReference>
<wsa:Address>
http://www.example.org/PublisherRegistrationManager
</wsa:Address>
<wsa:ReferenceParameters>
<npex:NPubResourceId> uuid:95fefeb3-f37d-5dfe-44fe-221d9fceec99
</npex:NPubResourceId>
</wsa:ReferenceParameters>
</wsn-br:PublisherRegistrationReference>
<wsn-br:ConsumerReference>
<wsa:Address>
http://www.example.org/NotificationConsumer
</wsa:Address>

</wsn-br:ConsumerReference>
</wsn-br:RegisterPublisherResponse>
</s:Body>
</s:Envelope>
**/
    public RegisterPublisherResponseMessage(Metaset messagebody) {
        super();
        buildMessageSkeleton();
        this.getWSAAction().setText(actionValue);
        this.getBody().add(messagebody); // TODO Զɹ캯
    }
    private  String actionValue="http://docs.oasis-open.org/wsn/brw-2/RegisterPublisher/RegisterPublisherResponse";
    
    public void config(Metaset config) throws ConfigException {
        // TODO Զɷ

    }

}
