package org.act.xservices.rt.xnotification.topic;

import org.act.xservices.rt.xnotification.base.ITopicTreesSet;

/**
 * 
 * @version 1.0 2006-11-3
 * @author cover_eye wangyg@act.buaa.edu.cn
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */

public class TopicNamespaceFactory {
	
	private static TopicNamespaceFactory topicNamespaceFactory = new TopicNamespaceFactory();

	public static TopicNamespaceFactory getInstance() {
		return topicNamespaceFactory;
	}

	/**
	 * һֿռ䣬ڣѾеֿռ䡣 
	 * ڣнעᣬȻ󷵻µֿռ
	 * 
	 * @param name
	 * @param targetNamespace
	 * @return
	 */
	public ITopicNamespace getTopicNamespace(String name,
			String targetNamespace, ITopicTreesSet topicTreesSet) {

		ITopicNamespace namespace = topicTreesSet.contains(name,targetNamespace);
		if (namespace != null) {
			return namespace;
		} else {
			//		
			ITopicNamespace temp = new TopicNamespaceImpl(targetNamespace);
			temp.setName(name);
			
			//нע
			topicTreesSet.registerTopicTree(temp);
			return temp;
		}

	}

}
