package org.act.xservices.rt.xnotification.topic.expression;

import java.io.Serializable;
import java.util.Map;

/**
 * This is the interface for Topic Expression define.
 * which you can access the Topic Expression by getContent()
 * 
 * @version 1.0 2008-3-13
 * @author cover_eye wangyg@act.buaa.edu.cn 2006-5-12
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */

public interface ITopicExpression extends Serializable {

    /**
     * 
     * @param content
     */
    public void setContent(String content);  
    /**
     * 
     * @return
     */
    public String getContent();  
    /**
     * 
     * @param dialectURL
     */
    public void setDialect(String dialectURL);
    /**
     * 
     * @return
     */
    public String getDialect();

    
    
    public Map<String,String> getTopicNamespaceMap();
    /**
     * 
     * @param name
     */
    public void setTopicNamespaceMap(Map<String,String> tpNamespaceMap);
    
}