package org.act.xservices.rt.soap;

import java.util.List;

import org.act.xservices.rt.soap.exception.SOAPProcException;
import org.act.xservices.rt.xom.Metaset;

/**
 * @author Viking.Liu
 * @since JDK 1.5
 * @date 2010-6-5
 * @version 1.0.0
 * 
 */
public interface ISOAPFaultReason extends Metaset {

	void addFaultText(ISOAPFaultText soapFaultText) throws SOAPProcException;

	ISOAPFaultText getFirstFaultText();

	List<ISOAPFaultText> getAllFaultTexts();

	ISOAPFaultText getFaultText(String language);
}
