package org.act.xservices.rt.soap.constants;

/**
 * 
 * @author Viking.Liu
 * @time 2010-4-9
 * @version 1.0.0
 * @since JDK 1.6
 * 
 */
public class SOAPConstants {

	/** Field SOAP_DEFAULT_NAMESPACE_PREFIX */
	public static final String SOAP_DEFAULT_NAMESPACE_PREFIX = "soapenv";

	/** Field SOAPENVELOPE_NAME */
	public static final String SOAP_ENVELOPE_NAME = "Envelope";

	/** Field HEADER_NAME */
	public static final String SOAP_HEADER_NAME = "Header";

	/** Field BODY_NAME */
	public static final String SOAP_BODY_NAME = "Body";

	/** Field BODY_NAMESPACE_PREFIX */
	public static final String SOAP_BODY_NAMESPACE_PREFIX = SOAP_DEFAULT_NAMESPACE_PREFIX;

	/** Field BODY_FAULT_NAME */
	public static final String SOAP_BODY_FAULT_NAME = "Fault";

	/** Field ATTR_MUSTUNDERSTAND */
	public static final String ATTR_MUSTUNDERSTAND = "mustUnderstand";
	public static final String ATTR_MUSTUNDERSTAND_TRUE = "true";
	public static final String ATTR_MUSTUNDERSTAND_FALSE = "false";
	public static final String ATTR_MUSTUNDERSTAND_0 = "0";
	public static final String ATTR_MUSTUNDERSTAND_1 = "1";

	/** Field SOAPFAULT_DETAIL_NAME */
	public static final String SOAP_FAULT_DETAIL_EXCEPTION_ENTRY = "Exception";

	// -------- SOAP Fault Codes ------------------------------
	public static final String FAULT_CODE_VERSIONMISMATCH = "VersionMismatch";
	public static final String FAULT_CODE_MUSTUNDERSTAND = "MustUnderstand";
	public static final String FAULT_CODE_SENDER = "Client";
	public static final String FAULT_CODE_RECEIVER = "Server";
}
