package org.act.xservices.rt.soap.exception;

/**
 * 
 * @author Viking.Liu
 * @time 2010-4-9
 * @version 1.0.0
 * @since JDK 1.6
 * 
 */
public class SOAPException extends RuntimeException {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/** Constructor OMException */
	public SOAPException() {
	}

	/**
	 * Constructor OMException
	 * 
	 * @param message
	 */
	public SOAPException(String message) {
		super(message);
	}

	/**
	 * Constructor OMException
	 * 
	 * @param message
	 * @param cause
	 */
	public SOAPException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * Constructor OMException
	 * 
	 * @param cause
	 */
	public SOAPException(Throwable cause) {
		super(cause);
	}
}
