package org.act.xservices.rt.soap.impl;

import org.act.xservices.rt.soap.ISOAPFaultNode;
import org.act.xservices.rt.xom.Namespace;
import org.act.xservices.rt.xom.QName;
import org.act.xservices.rt.xom.tree.DefaultElement;
/**
 * 
 * @author Viking.Liu
 * @date 2010-6-3
 * @since JDK 1.5
 * @version 1.0.0
 * 
 */
public abstract class SOAPFaultNodeImpl extends DefaultElement implements ISOAPFaultNode {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public SOAPFaultNodeImpl(QName qname) {
		super(qname);
	}

	public SOAPFaultNodeImpl(String name, Namespace namespace) {
		super(name, namespace);
	}

	public SOAPFaultNodeImpl(String name) {
		super(name);
	}

	
	public String getNodeValue() {
		return getText();
	}
	
	public void setNodeValue(String uri) {
		setText(uri);
	}
}
