package org.act.xservices.rt.soap11.impl;

import static org.junit.Assert.*;

import org.act.xservices.rt.soap.constants.SOAPConstants;
import org.act.xservices.rt.soap.exception.SOAPException;
import org.act.xservices.rt.xom.Namespace;
import org.act.xservices.rt.xom.QName;
import org.junit.Test;

public class SOAP11HeaderImplTest {

	@Test
	public void testSOAP11HeaderImpl() {
		SOAP11HeaderImpl header = new SOAP11HeaderImpl();
		assertEquals(SOAPConstants.SOAP_HEADER_NAME, header.getName());
	}

	@Test
	public void testSOAP11HeaderImplQName() {
		SOAP11HeaderImpl header = null;
		QName qname = null;
		// qname = new QName("", "", "");
		qname = new QName("", "Header", "");
		try {
			header = new SOAP11HeaderImpl(qname);

		} catch (SOAPException e) {
			e.printStackTrace();
			return;
		}
		assertEquals(qname, header.getQName());
	}

	@Test
	public void testSOAP11HeaderImplStringNamespace() {
		SOAP11HeaderImpl header = null;
		String name = null;
		Namespace ns = new Namespace("", "");
		//name = "header";
		name = "Header";
		try {
			header = new SOAP11HeaderImpl(name, ns);

		} catch (SOAPException e) {
			e.printStackTrace();
			return;
		}
		assertEquals(name, header.getName());
		assertEquals(ns, header.getNamespace());
	}

	@Test
	public void testAddHeaderBlock() {
		SOAP11HeaderBlockImpl block=new SOAP11HeaderBlockImpl("headerBlock");
		SOAP11HeaderImpl header = new SOAP11HeaderImpl();
		header.add(block);
		
	}

	@Test
	public void testExamineAllHeaderBlocks() {
	
	}

	@Test
	public void testExamineHeaderBlocks() {
	
	}

	@Test
	public void testExamineMustUnderstandHeaderBlocks() {
		
	}

	@Test
	public void testExtractAllHeaderBlocks() {
	
	}

	@Test
	public void testExtractHeaderBlocks() {

	}

	@Test
	public void testGetHeaderBlocksWithNSURI() {
	
	}

	@Test
	public void testGetHeadersToProcessIRolePlayer() {
		
	}

	@Test
	public void testGetHeadersToProcessIRolePlayerString() {
		
	}

}
