package org.act.xservices.rt.xresource.resource;

import java.io.Serializable;
import java.util.HashMap;

public class ResourceMap implements Serializable {
	private HashMap<String, IResource> resourceMap;
	private Class resourceClass;

	public ResourceMap(Class resourceClass) {
		this.resourceClass = resourceClass;
		this.resourceMap = new HashMap<String, IResource>();
	}

	public Class getResourceClass() {
		return resourceClass;
	}
	
	public void setResourceClass(Class resourceClass) {
		this.resourceClass = resourceClass;
	}

	public void put(String instanceID, IResource resource){
		resourceMap.put(instanceID, resource);
	}
	
	public IResource get(String instanceID){
		return resourceMap.get(instanceID);
	}
	
	public void remove(String instanceID){
		resourceMap.remove(instanceID);
	}
	
	public int size(){
		return resourceMap.size();
	}
}
