package org.act.xservices.rt.xresource.resource.transaction;

import java.util.Date;

import org.act.xservices.rt.xresource.resource.IResource;
import org.act.xservices.rt.xresource.resource.ResourceMap;
import org.prevayler.TransactionWithQuery;

public class ResourceGetTransaction implements TransactionWithQuery {
	
	private String instanceID;

	public void setInstanceID(String instanceID) {
		this.instanceID = instanceID;
	}

	public Object executeAndQuery(Object prevalentSystem, Date executionTime) {
		System.out.println("in ResourceGetTransaction.executeAndQuery");
		ResourceMap rps = (ResourceMap) prevalentSystem;
		IResource resource = null;

		synchronized (ResourceGetTransaction.class) {
			Object obj = rps.get(instanceID);
			resource = (obj == null) ? null : ((IResource) obj);
		}
		return resource;
	}
}
