package org.act.xservices.rt.xresource.test;

import java.io.File;
import java.io.FileWriter;

import javax.xml.parsers.SAXParser;
import javax.xml.parsers.SAXParserFactory;

import org.act.xservices.rt.xom.Document;
import org.act.xservices.rt.xom.io.OutputFormat;
import org.act.xservices.rt.xom.io.SAXReader;
import org.act.xservices.rt.xom.io.SAXValidator;
import org.act.xservices.rt.xom.io.XMLWriter;
import org.act.xservices.rt.xom.util.XMLErrorHandler;

public class DefaultSchemaValidator {
	public static boolean validateXMLByXSD(String xsdFileName, String xmlFileName) {
		try {
			XMLErrorHandler errorHandler = new XMLErrorHandler();
			SAXParserFactory factory = SAXParserFactory.newInstance();

			// ڽʱ֤ XML ݡ
			factory.setValidating(true);

			// ָɴ˴ɵĽṩ XML ƿռ֧֡
			factory.setNamespaceAware(true);

			// ʹõǰõĹ SAXParser һʵ
			SAXParser parser = factory.newSAXParser();

			// һȡ
			SAXReader xmlReader = new SAXReader();

			// ȡҪУxmlĵʵ
			Document xmlDocument = (Document) xmlReader.read(new File(xmlFileName));

			//  XMLReader Ļʵеضԡ
			parser.setProperty(
					"http://java.sun.com/xml/jaxp/properties/schemaLanguage",
					"http://www.w3.org/2001/XMLSchema");
			parser.setProperty(
					"http://java.sun.com/xml/jaxp/properties/schemaSource",
					"file:" + xsdFileName);

			// һSAXValidatorУ鹤ߣУ鹤ߵ
			SAXValidator validator = new SAXValidator(parser.getXMLReader());

			// У鹤ߵĴʱԴӴеõϢ
			validator.setErrorHandler(errorHandler);

			// У
			validator.validate(xmlDocument);
			OutputFormat format = OutputFormat.createPrettyPrint();
			format.setEncoding("UTF-8");
			XMLWriter writer = new XMLWriter(new FileWriter(new File(
					"d:\\err.xml")), format);

			// ϢΪգ˵УʧܣӡϢ
			if (errorHandler.getErrors().hasContent()) {
				System.out.println("XMLļͨXSDļУʧܣ");
				// ** documentедļ *//*
				writer.write(errorHandler.getErrors());
				writer.close();
			} else {
				System.out.println("Good! XMLļͨXSDļУɹ");
			}

		} catch (Exception ex) {
			System.out.println("XMLļ: " + xmlFileName + " ͨXSDļ:"
					+ xsdFileName + "ʧܡ\nԭ " + ex.getMessage());
			ex.printStackTrace();
			return false;
		}
		return true;
	}
	
	public static void main(String[] args){
		String xsdFileName = "d:\\book.xsd";
		String xmlFileName = "d:\\book.xml";
		boolean flag = validateXMLByXSD(xsdFileName, xmlFileName);
		System.out.println("flag: " + flag);
	}
}
