package com.buaa.rsa;

import java.io.IOException;

public class RSA {

	public native String RSA_Data_Enc(String E, String N, String in);
	public native String RSA_Data_Dec(String D, String N, String in);
	public native String RSA_Key_Gen();

    static
    {
        System.loadLibrary("RsaDll");
    }
    
    public static void main(String[] args) throws IOException {
    	RSA rsa = new RSA();
    	String key = rsa.RSA_Key_Gen();
    	String[] keyArray = key.split("#");
    	String D = keyArray[0];
    	String E = keyArray[1];
    	String N = keyArray[2];
    	
//    	String D = "10001";
//    	String E = "5A73CC47AABCD61D141ECBD0E6E42253A65614B6206D4C9676EB8F59B9533F65F891A34D19CDE17D4207BD87FEC32FEBB32A73B6BF5A68DE3766F752E9BADEB8CBA0279F7360CBB699CFB3CAACB9EBAE0AE395D6F3B151EF5CF265486A28143300883FC5CBF730EF8923341456E8B47DF0657B4A7E72BBAC771BD736CB3CABD";
//    	String N = "14BC88F8F4F502D88907B9085EBA3EA9E906C5D316067CEA69242F1D910E0CA19D1999C0ECD6BEC630764AD5DB96879D483F6C1B44E3F7A033DF51051660E4E5BB679D3C02F47B1E9940C904357AA976DD2C6ADA5998BD0817746FFB6C4D74948714DBC1A6A223900845135F7F03CD6A03631FA220A39F06B136700641193AD9";
//	
//    	
    	System.out.println("Parameters list blow:");
    	System.out.println("D: " + D);
    	System.out.println("E: " + E);
    	System.out.println("N: " + N);
    	System.out.println("------------------------------------------------------------------------");
    	System.out.println("Data to encrypt:");
    	String in = "fewfsfsafedcba09876543211234567890";
    	System.out.println("in: " + in);
    	
    	String out = rsa.RSA_Data_Enc(E, N, in);
    	System.out.println("RSA_Data_Enc: " + out);
    	
    	String fin = rsa.RSA_Data_Dec(D, N, out);
    	System.out.println("RSA_Data_Dec: " + fin);
    	
    	if (in.equalsIgnoreCase(fin)) {
    		System.out.println("Sucess!");
    	} else {
    		System.out.println("Failed!");
    	}
    }
}
