package org.act.xservices.rt.xsecurity.authen;

import org.act.xservices.rt.xom.Metaset;

public class SigLoginFactory
{
	private boolean isSaml;
	private Metaset soap;
	
	public SigLoginFactory(Metaset soap)
	{
		super();
		this.soap = soap;	
		Metaset saml =  soap.filter(".\\Header\\SAML");
		if(saml!=null)
			isSaml = true;
		else
			isSaml = false;	
	}
	
	public SigLoginModule getInstance()
	{
		if(isSaml)
			return new SamlLoginModule();
		else
			return new SinatureLoginModule();
	}
	
}
