package org.act.xservices.rt.xsecurity.dig.algorithm;

import java.math.BigInteger;
import java.security.MessageDigest;

import org.act.xservices.rt.xsecurity.dig.algfactory.MessageDigestExe;

import sun.misc.BASE64Encoder;

public class SHADigestExe implements MessageDigestExe {

	public String encode(String signdata) {
		MessageDigest md;
		try
		{
			md = MessageDigest.getInstance("SHA");
		} catch (java.security.NoSuchAlgorithmException e)
		{
			throw new RuntimeException(e.getMessage());
		}
		md.update(signdata.getBytes());
		byte b[] = new BigInteger(md.digest()).toString().getBytes();
		BASE64Encoder base64en = new BASE64Encoder();
		String s = base64en.encode(b);
		return s;
		 
	}

}
