
package org.act.xservices.rt.xsecurity.enc.algfactory;

import org.act.xservices.rt.xsecurity.enc.algorithm.RSA_Dec;
import org.act.xservices.rt.xsecurity.enc.algorithm.RSA_Enc;
import org.act.xservices.rt.xsecurity.enc.algorithm.RSA_Encc;


public class AsymEncFactory 
{
	public AsymEnc getDec(String s)
	{
		AsymEnc asymEnc = null;
		
		
		if (s.equals("http://www.w3.org/2001/04/xmlenc#rsa-1.5"))
		{
			asymEnc = new RSA_Enc();
		}
		else if(s.equals("http://www.w3.org/2001/04/xmlenc#rsa-oaep-mgf1p")){
			asymEnc= new RSA_Enc();
		}
		else if(s.equals("http://www.w3.org/2000/09/xmldsig#rsac")){
			asymEnc= new RSA_Encc();
		}
		else
		{
			System.out.println("** no siutable Asym Encryption algorithm,setting default");
			asymEnc = new RSA_Enc();
		}
		return asymEnc;
	}
}
