package org.act.xservices.rt.xsecurity.enc.algfactory;

import java.util.*;

import org.act.xservices.rt.xsecurity.enc.algorithm.AES_Enc;
import org.act.xservices.rt.xsecurity.enc.algorithm.AES_Encc;
import org.act.xservices.rt.xsecurity.enc.algorithm.DESede_Enc;

public class SymEncFactory {

	public SymEnc createEncryptionMethod(String uri) {
		
		                         
		String DESede_EncAlgorithm ="http://www.w3.org/2001/04/xmlenc#tripledes-cbc";
		
		
		String AES128_EncAlgorithm="http://www.w3.org/2001/04/xmlenc#aes128-cbc";
		
		String AES192_EncAlgorithm="http://www.w3.org/2001/04/xmlenc#aes192-cbc";
		
		String AES256_EncAlgorithm="http://www.w3.org/2001/04/xmlenc#aes256-cbc";
		
		String AESc_EncAlgorithm ="http://www.w3.org/2001/04/xmlenc#aes-cbcc";
		
		
		SymEnc ea = null;
		
		if(uri.equals(DESede_EncAlgorithm)) {
			ea = new DESede_Enc();
		}
		else if(uri.equals(AES128_EncAlgorithm)){
			ea = new AES_Enc();
		}
		else if(uri.equals(AES192_EncAlgorithm)){
			ea = new AES_Enc();
		}
		else if(uri.equals(AES256_EncAlgorithm)){
			ea = new AES_Enc();
		}
		else if(uri.equals(AESc_EncAlgorithm)){
			ea=new AES_Encc();
		}
		else{
			ea=new AES_Encc();
		}

		
		
		
	
		
		return (SymEnc) ea;
		
	}
	
	

}
