
package org.act.xservices.rt.xsecurity.test;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;
import java.util.Locale;

import org.act.xservices.rt.metaset.MetasetBuilder;
import org.act.xservices.rt.metaset.MetasetParserFactory;
import org.act.xservices.rt.xom.Attribute;
import org.act.xservices.rt.xom.Metaset;
import org.act.xservices.rt.xsecurity.handler.DecryptionHandler;
import org.act.xservices.rt.xsecurity.handler.EncHandler;
import org.act.xservices.rt.xsecurity.handler.SignAnaHandler;
import org.act.xservices.rt.xsecurity.handler.SinatureHandler;
import org.act.xservices.rt.xsecurity.util.MetaPrint;
import org.act.xservices.rt.xsecurity.util.tConst;

import com.buaa.aes.AES;
import com.buaa.aes.AESObj;

public class LocalTest {
	public static void main(String[] args) throws Exception {

		/*
		 *  1. ͻҵSoap 2. ͻ˶SoapĽǩ 3. ͻ˶ǩSoapĽм
		 * 
		 * 4. Soapϴ
		 * 
		 * 5. SoapĽн 6. ԽܺSoapĽǩ֤ 7. ǩ֤õϢзʿ 8.
		 * ݷʿƽ÷ 9. ɷSoap
		 * 
		 * 10.ԷSoapĽǩ 11.ǩķSoapĽм
		 */

		// ʼsoap
		Metaset firstSoapMt;

		Metaset encedSoapMt;
		Metaset decedSoapMt;
		Metaset signedSoapMt;

		System.out.println("ʼ......\n");
		// ȡģSoap
		// firstSoapMt = Metaset.create(tConst.tSoapFile);
		// MetasetBuilderImpl mtbuilder = new MetasetBuilderImpl();
		MetasetBuilder mtbuilder = MetasetBuilder.getInstance();
		firstSoapMt = MetasetParserFactory.getMetasetParser().parse("files\\smallSoap.xml");
		MetaPrint.pXML(firstSoapMt, "ʼSoap");
		System.out.println("\n");

		// Metaset EncWSDL = Metaset.create(tConst.enc_WSDL);
		Metaset EncWSDL = MetasetParserFactory.getMetasetParser().parse("files\\EncWSDL.xml");

		/***********************************************************************
		 * ʼʼHandler
		 **********************************************************************/

		/** ***************1. ǩ SinatureHandler****************************** */
		// Metaset HandlerLinks = new Metaset("HandlerLinks");
		List<Attribute> attributesList = firstSoapMt.attributes();
		
		
		Metaset HandlerLinks = mtbuilder.newMetaset("HandlerLinks");
		Metaset hder = firstSoapMt.element("Header");
		
		for (Metaset temp : hder.elements()) {
			temp.detach();
			HandlerLinks.add(temp);
		}
		// Metaset operation = new Metaset("operation");
		
		Metaset operation = mtbuilder.newMetaset("operation");
//		Metaset bdy = firstSoapMt.filter(".\\Body").car().car();
		Metaset bdy=(Metaset)firstSoapMt.element("Body");
		
		bdy.detach();
		operation.add(bdy);
		
		// System.out.println("ttttttttttttttttttttttttttttttt\n"+bdy.toFormatXML());
		// Metaset wsdd1 = Metaset.create(tConst.clientWSDD);
		Metaset wsdd1 = MetasetParserFactory.getMetasetParser().parse("files\\ClientWSDD.xml");

		Date date1 = new Date();
		date1.getTime();

		SinatureHandler sinatureHandler = new SinatureHandler();
//		sinatureHandler.init(EncWSDL, wsdd1, attributesList);
		sinatureHandler.init("http://www.w3.org/2001/04/xmlenc#rsa-1.5", ".\\Body","http://www.w3.org/2000/09/xmldsig#sha1", attributesList); 
		signedSoapMt = sinatureHandler.process(HandlerLinks, operation,firstSoapMt.getQName());

//		Date date2 = new Date();
//		date2.getTime();
//
//		long l = date2.getTime() - date1.getTime();

//		System.out.println("1-10 --------  " + l);
//
//		MetaPrint.pXML(HandlerLinks, "HandlerLinks");
//		System.out.println("\n");
//		MetaPrint.pXML(operation, "operation");
//		System.out.println("\n");

		MetaPrint.pXML(signedSoapMt, "ǩSoap");
		System.out.println("\n");
		/** ******************************************************************* */

		/** ***************2. ܴ EncHandler****************************** */
		// Metaset HandlerLinks2 = new Metaset("HandlerLinks");
//		Metaset HandlerLinks2 = mtbuilder.newMetaset("HandlerLinks");
////		Metaset hder2 = signedSoapMt.filter(".\\Header").car();
////		for (int i = 0; i < hder2.elements().size(); i++) {
////			HandlerLinks2.add(hder2.elements().get(i));
////		}
//		Metaset hder2 = signedSoapMt.element("Header");
//		for (Metaset temp1 : hder2.elements()) {
//			temp1.detach();
//			HandlerLinks2.add(temp1);
//		}
//		
//		// Metaset operation2 = new Metaset("operation");
//		Metaset operation2 = mtbuilder.newMetaset("operation");
////		Metaset bdy2 = signedSoapMt.filter(".\\Body").car().car();
////		operation2.add(bdy2);
//		Metaset bdy2=signedSoapMt.element("Body");
//		
//		bdy2.detach();
//		operation2.add(bdy2);
		
		EncHandler encHandler = new EncHandler();
//		encHandler.init(EncWSDL, wsdd1);"http://www.w3.org/2000/09/xmldsig#rsac""http://www.w3.org/2001/04/xmlenc#aes-cbcc"
//		encHandler.init("http://www.w3.org/2000/09/xmldsig#rsac", "conf/WSSecureFiles/files/server.cer","http://www.w3.org/2001/04/xmlenc#aes-cbcc");
//		
		encHandler.init("http://www.w3.org/2001/04/xmlenc#rsa-1.5", "files/server.cer","http://www.w3.org/2001/04/xmlenc#aes256-cbc");
//		encedSoapMt = encHandler.process(HandlerLinks2, operation2, signedSoapMt.getQName());
		encedSoapMt = encHandler.process(signedSoapMt);
		MetaPrint.pXML(encedSoapMt, "ܺSoap");
		System.out.println("\n");
		/** ******************************************************************* */
		/** ******************************************************************* */

		System.out
				.println("**************************************************\n");
		System.out.println("SOAPϴ...\n");
		System.out
				.println("**************************************************\n");

		/** ******************************************************************* */
		/** ***************3. ܴ EncHandler****************************** */
		// Metaset HandlerLinks3 = new Metaset("HandlerLinks");
//		
//		Metaset HandlerLinks3 = mtbuilder.newMetaset("HandlerLinks");
////		Metaset hder3 = encedSoapMt.filter(".\\Header").car();
////		for (int i = 0; i < hder3.elements().size(); i++) {
////			HandlerLinks3.add(hder3.elements().get(i));
////		}
//		Metaset hder3 = encedSoapMt.element("Header");
//		for (Metaset temp : hder3.elements()) {
//			temp.detach();
//			HandlerLinks3.add(temp);
//		}
//		
//		// Metaset operation3 = new Metaset("operation");
//		Metaset operation3 = mtbuilder.newMetaset("operation");
////		Metaset bdy3 = encedSoapMt.filter(".\\Body").car().car();
////		operation3.add(bdy3);
//		Metaset bdy3=encedSoapMt.element("Body");
//		bdy3.detach();
//		operation3.add(bdy3);
		// Metaset wsdd2 = Metaset.create(tConst.containerWSDD);
//		Metaset wsdd2 = MetasetParserFactory.getMetasetParser().parse("files\\ContainerWSDD.xml");

		DecryptionHandler decryptionHandler = new DecryptionHandler();
//		decryptionHandler.init(EncWSDL, wsdd2, attributesList);
//		decryptionHandler.init("http://www.w3.org/2000/09/xmldsig#rsac", "E:\\˸߻Ŀ2010꣩\\\\XServices_3.5.X\\org.act.xservices.rt.xsecurity\\conf\\WSSecureFiles\\files\\server.keystore", attributesList,"soap");
		
		decryptionHandler.init("http://www.w3.org/2001/04/xmlenc#rsa-1.5", "files\\server.keystore", attributesList,"soap");
		decedSoapMt = decryptionHandler.process(encedSoapMt,"http://www.w3.org/2001/04/xmlenc#aes256-cbc");
		MetaPrint.pXML(decedSoapMt, "ܺSoap");
		System.out.println("\n");
		/** ******************************************************************* */
		/** ******************************************************************* */

		/** ******************************************************************* */
		/** ***************4. ǩ EncHandler****************************** */
		// Metaset HandlerLinks4 = new Metaset("HandlerLinks");
		Metaset HandlerLinks4 = mtbuilder.newMetaset("HandlerLinks");
		Metaset hder4 = decedSoapMt.filter(".\\Header").car();
//		for (int i = 0; i < hder4.elements().size(); i++) {
//			HandlerLinks4.add(hder4.elements().get(i));
//		}
		
		for (Metaset temp : hder4.elements()) {
			temp.detach();
			HandlerLinks4.add(temp);
		}

		// Metaset operation4 = new Metaset("operation");
		Metaset operation4 = mtbuilder.newMetaset("operation");
//		Metaset bdy4 = decedSoapMt.filter(".\\Body").car().car();
//		operation4.add(bdy4);
		Metaset bdy4=(Metaset)decedSoapMt.element("Body");
		bdy4.detach();
		operation4.add(bdy4);

		SignAnaHandler SignAnaHandler = new SignAnaHandler();
//		SignAnaHandler.init(EncWSDL, wsdd2);
		SignAnaHandler.init("D:/files/server.cer", "http://www.w3.org/2001/04/xmlenc#rsa-1.5", "http://www.w3.org/2000/09/xmldsig#sha1", ".\\Body");
		Metaset signanaMt = SignAnaHandler.process(HandlerLinks4, operation4,decedSoapMt.getQName());
		MetaPrint.pXML(signanaMt, "aaaa");
		String id = signanaMt.car().getText();
		if (id.equals("wrong person")) {
			Metaset err = SignAnaHandler.notifyerr();
			MetaPrint.pXML(err, "aaaa");
		}
		System.out.println("\n");

		/** ******************************************************************* */
		/** ******************************************************************* */

		if (!(id.equals("wrong person"))) {
			// 5. ʿƴACHandler
			SimpleDateFormat sdf = new SimpleDateFormat("",
					Locale.SIMPLIFIED_CHINESE);
			sdf.applyPattern("yyyyMMdd_HHʱmmssSS");
			String timeStr = sdf.format(new Date());
			System.out.println("start  " + timeStr);

			// ACHandler aCHandler = new ACHandler();
			// aCHandler.init(null,null);
			// Metaset mt = aCHandler.process(signanaMt,null);
			// System.out.println("ʿƽ");
			MetaPrint.pXML(signanaMt);

			SimpleDateFormat sdf2 = new SimpleDateFormat("",
					Locale.SIMPLIFIED_CHINESE);
			sdf2.applyPattern("yyyyMMdd_HHʱmmssSS");
			String timeStr2 = sdf.format(new Date());
			System.out.println("finish  " + timeStr2);

			// 6.÷ģ
			// String rezult =
			// signanaMt.filter(".\\Result\\Decision").car().getValue();
			Service service = new Service("Permit");
			Metaset mt22 = service.resopnse();
			MetaPrint.pXML(mt22, "÷񷵻ر");

			// 7.Է񷵻رĽǩ
			// Metaset HandlerLinks7 = new Metaset("HandlerLinks");
			Metaset HandlerLinks7 = mtbuilder.newMetaset("HandlerLinks");
			Metaset hder7 = mt22.filter(".\\Header").car();
//			for (int i = 0; i < hder7.elements().size(); i++) {
//				HandlerLinks7.add(hder7.elements().get(i));
//			}
			for (Metaset temp : hder7.elements()) {
				temp.detach();
				HandlerLinks7.add(temp);
			}
			// Metaset operation7 = new Metaset("operation");
			Metaset operation7 = mtbuilder.newMetaset("operation");
//			Metaset bdy7 = mt22.filter(".\\Body").car().car();
//			operation7.add(bdy7);
			Metaset bdy7=(Metaset)mt22.element("Body");
			bdy7.detach();
			operation7.add(bdy7);

			SinatureHandler sinatureHandler2 = new SinatureHandler();
			sinatureHandler2.init("http://www.w3.org/2001/04/xmlenc#rsa-1.5", ".\\Body","http://www.w3.org/2000/09/xmldsig#sha1", attributesList); 
			Metaset signedSoapMt2 = sinatureHandler2.process(HandlerLinks7,
					operation7,mt22.getQName());
			MetaPrint.pXML(signedSoapMt2, "ǩSoap");
			System.out.println("\n");

			// 8. Է񷵻رĽм
			// Metaset HandlerLinks8 = new Metaset("HandlerLinks");
			Metaset HandlerLinks8 = mtbuilder.newMetaset("HandlerLinks");
			Metaset hder8 = signedSoapMt2.filter(".\\Header").car();
//			for (int i = 0; i < hder8.elements().size(); i++) {
//				HandlerLinks8.add(hder8.elements().get(i));
//			}
			for (Metaset temp : hder8.elements()) {
				temp.detach();
				HandlerLinks8.add(temp);
			}
			
			
			// Metaset operation8 = new Metaset("operation");
			Metaset operation8 = mtbuilder.newMetaset("operation");
//			Metaset bdy8 = signedSoapMt2.filter(".\\Body").car().car();
//			operation8.add(bdy8);
			Metaset bdy8=(Metaset)signedSoapMt2.element("Body");
			
			bdy8.detach();
			operation8.add(bdy8);
			
			

			EncHandler encHandler2 = new EncHandler();
			encHandler2.init("http://www.w3.org/2001/04/xmlenc#rsa-1.5", "files/server.cer","http://www.w3.org/2001/04/xmlenc#aes256-cbc");
			Metaset encedSoapMt2 = encHandler2.process(HandlerLinks8,
					operation8,signedSoapMt2.getQName());
			MetaPrint.pXML(encedSoapMt2, "ܺSoap");
			System.out.println("\n");

			/** ******************************************************************* */
			/** ***************3. ܴ EncHandler****************************** */
			// Metaset HandlerLinks9 = new Metaset("HandlerLinks");
			Metaset HandlerLinks9 = mtbuilder.newMetaset("HandlerLinks");
			Metaset hder9 = encedSoapMt2.filter(".\\Header").car();
//			for (int i = 0; i < hder9.elements().size(); i++) {
//				HandlerLinks9.add(hder9.elements().get(i));
//			}
			for (Metaset temp : hder9.elements()) {
				temp.detach();
				HandlerLinks9.add(temp);
			}
			
			// Metaset operation9 = new Metaset("operation");
			Metaset operation9 = mtbuilder.newMetaset("operation");
//			Metaset bdy9 = encedSoapMt2.filter(".\\Body").car().car();
//			operation9.add(bdy9);
			Metaset bdy9=encedSoapMt2.element("Body");
			bdy9.detach();
			operation9.add(bdy9);
			
			

			DecryptionHandler decryptionHandler9 = new DecryptionHandler();
//			decryptionHandler9.init(EncWSDL, wsdd1, attributesList);
//			decedSoapMt = decryptionHandler9.process(HandlerLinks9, operation9);
			decryptionHandler.init("http://www.w3.org/2001/04/xmlenc#rsa-1.5", "files\\server.keystore", attributesList,"soap");
			decedSoapMt = decryptionHandler.process(HandlerLinks9, operation9,encedSoapMt2.getQName(),"http://www.w3.org/2001/04/xmlenc#aes256-cbc");
			MetaPrint.pXML(decedSoapMt, "ͻ ܺSoap");
			System.out.println("\n");
			/** ******************************************************************* */
			/** ******************************************************************* */
		}

	}
}
