
package org.act.xservices.rt.xsecurity.test;

import org.act.xservices.rt.metaset.MetasetBuilder;
import org.act.xservices.rt.metaset.MetasetParserFactory;
import org.act.xservices.rt.xom.Metaset;


public class Service
{
	private boolean permitFlag;
	
	private String permitStr;

	/**
	 * @param permitStr
	 */
	public Service(String permitStr)
	{
		super();
		this.permitStr = permitStr;
		if (permitStr.equals("Permit"))
		{
			permitFlag = true;
		}else
		{
			permitFlag = false;
		}
	}
	
	public Metaset resopnse() throws Exception
	{
		Metaset mt = null;
		String resp;
		if (permitFlag)
		{
			resp = 
				"<SOAP-ENV:Envelope xmlns:SOAP-ENV=\"http://schemas.xmlsoap.org/soap/envelope/\"" 
				+"         xmlns:soapenc=\"http://schemas.xmlsoap.org/soap/encoding/\"         "
				+"         xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\"                       " 
				+"          xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"            " 
				+"          SOAP-ENV:encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\"    " 
				+">"
				
				+"<Header id=\"#xinanjiang\">"
				+"</Header>"
				+"<SOAP-ENV:Body id=\"#xiaoshan\">"
				+"<getLowerCase xmlns=\"http://localhost:8090/toLowerCaseService\">"
					+"<param0 type=\"xsd:string\">hang zhou</param0>"
					+"</getLowerCase>"
					+"</SOAP-ENV:Body>"
					+"</SOAP-ENV:Envelope>";
		}else {
			resp = 
				"<SOAP-ENV:Envelope xmlns:SOAP-ENV=\"http://schemas.xmlsoap.org/soap/envelope/\"" 
				+"         xmlns:soapenc=\"http://schemas.xmlsoap.org/soap/encoding/\"         "
				+"         xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\"                       " 
				+"          xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"            " 
				+"          SOAP-ENV:encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\"    " 
				+">"
				
				+"<Header id=\"#xinanjiang\">"
				+"<Security>"
				+"<UsernameToken Id=\"MyID\">"
				+"<Username>southeast</Username>"
				+"</UsernameToken>"
				+"</Security>"
				+"</Header>"
				+"<SOAP-ENV:Body id=\"#xiaoshan\">"
				+"<error></error>"
					+"</SOAP-ENV:Body>"
					+"</SOAP-ENV:Envelope>";
		}
//		mt = Metaset.create(resp, "");
//		MetasetBuilderImpl mtbuilder = new MetasetBuilderImpl();
		mt =  MetasetParserFactory.getMetasetParser().parseXMLString(resp);
		return mt;
		
	}
	
}
