
package org.act.xservices.rt.xsecurity.util;



public class Constant
{

	public static String FILE_CONFIG = "config/XDSec_Config.xml";

	public static String NS_XMLDSIG_NAME = "http://www.w3.org/2000/09/xmldsig#";

	public static String NS_XMLENC_NAME = "http://www.w3.org/2001/04/xmlenc#";

	public static String NS_XMLDECRYPT_NAME = "http://www.w3.org/2002/07/decrypt#";

	public static String NS_XMLXPATHFILTER_NAME = "http://www.w3.org/2002/06/xmldsig-filter2";

	public static final String NS_XMLNS = "xmlns";

	public static final String PREFIX_SIGNATURE = "ds";

	public static final String PREFIX_ENCRYPTION = "xenc";

	public static final String PREFIX_DECRYPTION = "dcrpt";

	public static final String PREFIX_XPATHFILTER = "dsig-xpath";

	public static final String NS_XML_NAME = "http://www.w3.org/XML/1998/namespace";

	public static final String NS_XMLNS_NAME = "http://www.w3.org/2000/xmlns/";

	public static final String NS_XDSEC_CONFIG = "http://cscw.buaa.edu.cn/XDSec/NS/#configuration";

	public static final String NS_XSLT_NSNAME = "http://www.w3.org/1999/XSL/Transform";

	public static final String NS_XSLT_NSPREFIX = "xslt";

	public static String ATT_FILTER = "Filter";

	public static String ATT_FILTER_INTERSECT = "intersect";

	public static String ATT_FILTER_SUBTRACT = "subtract";

	public static String ATT_FILTER_UNION = "union";

	public static String ATT_ALGORITHM = "Algorithm";

	public static String ATT_ID = "Id";

	public static String ATT_TYPE = "Type";

	public static String ATT_URI = "URI";

	public static String ATT_ENCODE = "Encoding";

	public static String ATT_MIMETYPE = "MimeType";

	public static String ATT_TARGET = "Target";

	public static String ATT_CARRIEDKEYNAME = "CarriedKeyName";

	public static String ATT_RECIPIENT = "Recipient";

	public static String ATT_XMLNS = "xmlns";

	public static String ATT_ = "";

	public static String TAG_SIGNATURE_NAME = "Signature";

	public static String TAG_SIGNEDINFO_NAME = "SignedInfo";

	public static String TAG_SIGNATUREVALUE_NAME = "SignatureValue";

	public static String TAG_KEYINFO_NAME = "KeyInfo";

	public static String TAG_OBJECT_NAME = "Object";

	public static String TAG_REFERENCE_NAME = "Reference";

	public static String TAG_SIGNATUREMETHOD_NAME = "SignatureMethod";

	public static String TAG_CANONICALIZATIONMETHOD_NAME = "CanonicalizationMethod";

	public static String TAG_TRANSFORMS_NAME = "Transforms";

	public static String TAG_TRANSFORM_NAME = "Transform";

	public static String TAG_EXCEPT_NAME = "Except";

	public static String TAG_XPATH_NAME = "XPath";

	public static String TAG_DIGESTMETHOD_NAME = "DigestMethod";

	public static String TAG_DIGESTVALUE_NAME = "DigestValue";

	public static String TAG_KEYVALUE_NAME = "KeyValue";

	public static String TAG_RSAKEY_NAME = "RSAKeyValue";

	public static String TAG_RSAKEY_MODULUS = "Modulus";

	public static String TAG_RSAKEY_EXPONENT = "Exponent";

	public static String TAG_DSAKEY_NAME = "DSAKeyValue";

	public static String TAG_DSAKEY_P = "P";

	public static String TAG_DSAKEY_Q = "Q";

	public static String TAG_DSAKEY_G = "G";

	public static String TAG_DSAKEY_Y = "Y";

	public static String TAG_DSAKEY_J = "J";

	public static String TAG_DSAKEY_SEED = "Seed";

	public static String TAG_DSAKEY_PGENCOUNTER = "PgenCounter";

	public static String TAG_KEYNAME_NAME = "KeyName";

	public static String TAG_RETIREVALMETHOD_NAME = "RetrievalMethod";

	public static String TAG_STYLESHEET_NAME = "stylesheet";

	public static String TAG_X509DATA_NAME = "X509Data";

	public static String TAG_X509CERTIFICATE_NAME = "X509Certificate";

	public static String TAG_X509CRL_NAME = "X509CRL";

	public static String TAG_X509ISSUERSERIAL_NAME = "X509IssuerSerial";

	public static String TAG_X509ISSUERNAME_NAME = "X509IssuerName";

	public static String TAG_X509SERIALNUMBER_NAME = "X509SerialNumber";

	public static String TAG_X509SKI_NAME = "X509SKI";

	public static String TAG_X509SUBJECTNAME_NAME = "X509SubjectName";

	public static String TAG_SPKIDATA_NAME = "SPKIData";

	public static String TAG_SPKISEXP_NAME = "SPKISexp";

	public static String TAG_PGPDATA_NAME = "PGPData";

	public static String TAG_PGPDATA_ID = "PGPKeyId";

	public static String TAG_PGPDATA_PACKET = "PGPKeyPacket";

	public static String TAG_MGMTDATA_NAME = "MgmtData";

	public static String TAG_MANIFEST_NAME = "Manifest";

	public static String TAG_PROPERTIES_NAME = "SignatureProperties";

	public static String TAG_PROPERTY_NAME = "SignatureProperty";

	public static String TAG_HMACOUTPUTLENGTH_NAME = "HMACOutputLength";

	public static String ENC_ENCRYPTEDDATA_TAG = "EncryptedData";

	public static String ENC_ENCRYPTEDKEY_TAG = "EncryptedKey";

	public static String ENC_ENCRYPTIONMETHOD_TAG = "EncryptionMethod";

	public static String ENC_KEYSIZE_TAG = "KeySize";

	public static String ENC_DIGESTMETHOD_TAG = "DigestMethod";

	public static String ENC_OAEPPARAMS_TAG = "OAEPparams";

	public static String ENC_CIPHERDATA_TAG = "CipherData";

	public static String ENC_CIPHERVALUE_TAG = "CipherValue";

	public static String ENC_CIPHERREFERENCE_TAG = "CipherReference";

	public static String ENC_REFERENCELIST_TAG = "ReferenceList";

	public static String ENC_DATAREFERENCE_TAG = "DataReference";

	public static String ENC_KEYREFERENCE_TAG = "KeyReference";

	public static String ENC__TAG = "";

	public static String ENC_TYPE_ELEMENT = "http://www.w3.org/2001/04/xmlenc#Element";

	public static String ENC_TYPE_CONTENT = "http://www.w3.org/2001/04/xmlenc#Content";

	public static String ENC_TYPE_MEDIATYPEPREFIX = "http://www.isi.edu/in-notes/iana/assignments/media-types/";

	public static String ENC_TYPE_ENCRYPTEDKEY = "http://www.w3.org/2001/04/xmlenc#EncryptedKey";

	public static String KEY_KEYVALUE_TAG = "KeyValue";

	public static String KEY_RSAKEY_TAG = "RSAKeyValue";

	public static String KEY_RSAKEY_MODULUS = "Modulus";

	public static String KEY_RSAKEY_EXPONENT = "Exponent";

	public static String KEY_DSAKEY_TAG = "DSAKey";

	public static String KEY_DSAKEY_P = "P";

	public static String KEY_DSAKEY_Q = "Q";

	public static String KEY_DSAKEY_G = "G";

	public static String KEY_DSAKEY_Y = "Y";

	public static String KEY_DSAKEY_J = "J";

	public static String KEY_DSAKEY_SEED = "Seed";

	public static String KEY_DSAKEY_PGENCOUNTER = "PgenCounter";

	public static String KEY_KEYNAME_TAG = "KeyName";

	public static String KEY_RETIREVALMETHOD_TAG = "RetrievalMethod";

	public static String KEY_X509DATA_TAG = "X509Data";

	public static String KEY_X509CERTIFICATE_TAG = "X509Certificate";

	public static String KEY_X509CRL_TAG = "X509CRL";

	public static String KEY_X509ISSUERSERIAL_TAG = "X509IssuerSerial";

	public static String KEY_X509ISSUERNAME_TAG = "X509IssuerName";

	public static String KEY_X509SERIALNUMBER_TAG = "X509SerialNumber";

	public static String KEY_X509SKI_TAG = "X509SKI";

	public static String KEY_X509SUBJECTNAME_TAG = "X509SubjectName";

	public static String KEY_SPKIDATA_TAG = "SPKIData";

	public static String KEY_PGPDATA_TAG = "PGPData";

	public static String KEY_PGPDATA_ID = "PGPKeyId";

	public static String KEY_PGPDATA_Packet = "PGPKeyPacket";

	public static String KEY_AGREEMENTMETHOD_TAG = "AgreementMethod";

	public static String KEY_NONCE_TAG = "Nonce";

	public static String KEY_ORIGINATORKEYINFO_TAG = "OriginatorKeyInfo";

	public static String KEY_RECIPIENTKEYINFO_TAG = "RecipientKeyInfo";

	public static String KEY_DHKEYVALUE_TAG = "DHKeyValue";

	public static String KEY_PRIME_TAG = "Prime";

	public static String KEY_GENERATOR_TAG = "Generator";

	public static String KEY_PUBLIC_TAG = "Public";

	public static String KEY__TAG = "";

	public static String KEY_DEVICE_XKMS = "XKMS";

	public static String KEY_DEVICE_XKMS_IMPL = "org.act.xdsec.extension.keydevice.XKMSDeviceImpl";

	public static String KEY_DEVICE_KEYSTORE = "KeyStore";

	public static String KEY_DEVICE_KEYSTORE_IMPL = "org.act.xdsec.extension.keydevice.KeyStoreDeviceImpl";

	public static String JCA_CERT_ID = "X.509";

	public static String JCE_CONFIG_FILE = "xdsec.xml";

	public static String JCE_MAP_CLASS = "org.act.sec.algorithm.JCEAlgorithm";

	public static String ALG_DSAWITHSHA1_ID = "SHA-1/DSA";

	public static String ALG_DSAWITHSHA1_URI = "http://www.w3.org/2000/09/xmldsig#dsa-sha1";

	public static String ALG_DSAWITHSHA1_IMPL = "org.act.xdsec.extension.algorithm.SignatureAlgorithmImpl";

	public static String ALG_RSAWITHSHA1_ID = "SHA-1/RSA";

	public static String ALG_RSAWITHSHA1_URI = "http://www.w3.org/2000/09/xmldsig#rsa-sha1";

	public static String ALG_RSAWITHSHA1_IMPL = "org.act.xdsec.extension.algorithm.SignatureAlgorithmImpl";

	public static String ALG_HMAC_URI = "http://www.w3.org/2000/09/xmldsig#hmac-sha1";

	public static String ALG_HMAC_IMPL = "org.act.xdsec.extension.algorithm.SignatureAlgorithmImpl";

	public static String ALG_SHA1_URI = "http://www.w3.org/2000/09/xmldsig#sha1";

	public static String ALG_SHA1_IMPL = "org.act.xdsec.extension.algorithm.DigestAlgorithmImpl";

	public static String ALG_SHA256_URI = NS_XMLENC_NAME + "sha256";

	public static String ALG_SHA256_IMPL = "";

	public static String ALG_SHA512_URI = NS_XMLENC_NAME + "sha512";

	public static String ALG_SHA512_IMPL = "";

	public static String ALG_RIPEMD160_URI = NS_XMLENC_NAME + "ripemd160";

	public static String ALG_RIPEMD160_IMPL = "";

	public static String ALG_CANONICALIZATION_URI = "http://www.w3.org/TR/2001/REC-xml-c14n-20010315";

	public static String ALG_CANONICALIZATION_IMPL = "org.act.xdsec.extension.algorithm.CanonicalAlgorithmImpl";

	public static String ALG_CANONICALIZATIONWC_URI = "http://www.w3.org/TR/2001/REC-xml-c14n-20010315#WithComments";

	public static String ALG_CANONICALIZATIONWC_IMPL = "org.act.xdsec.extension.algorithm.CanonicalAlgorithmImpl";

	public static String ALG_C14N_TRAN_URI = ALG_CANONICALIZATION_URI;

	public static String ALG_C14N_TRAN_IMPL = "org.act.xdsec.extension.algorithm.transform.TransformC14N";

	public static String ALG_C14NWC_TRAN_URI = ALG_CANONICALIZATIONWC_URI;

	public static String ALG_C14NWC_TRAN_IMPL = "org.act.xdsec.extension.algorithm.transform.TransformC14NWithComments";

	public static String ALG_XSLT_URI = "http://www.w3.org/TR/1999/REC-xslt-19991116";

	public static String ALG_XSLT_IMPL = "org.act.xdsec.extension.algorithm.transform.TransformXSLT";

	public static String ALG_XPATH_URI = "http://www.w3.org/TR/1999/REC-xpath-19991116";

	public static String ALG_XPATH_IMPL = "org.act.xdsec.extension.algorithm.transform.TransformXPath";

	public static String ALG_XPATHFILTER2_URI = "http://www.w3.org/2002/06/xmldsig-filter2";

	public static String ALG_XPATHFILTER2_IMPL = "org.act.xdsec.extension.algorithm.transform.TransformXPathFilter";

	public static String ALG_ENVELOPEDSIG_URI = "http://www.w3.org/2000/09/xmldsig#enveloped-signature";

	public static String ALG_ENVELOPEDSIG_IMPL = "org.act.xdsec.extension.algorithm.transform.TransformEnvelopedSignature";

	public static String ALG_DECTRANSFORM_URI = "http://www.w3.org/2002/07/decrypt#XML";

	public static String ALG_DECTRANSFORM_IMPL = "org.act.xdsec.extension.algorithm.transform.DecryptionTransform";

	public static String ALG_DSIG_URI = "http://www.w3.org/2000/09/xmldsig#";

	public static String ALG_DES_URI = NS_XMLENC_NAME + "tripledes-cbc";

	public static String ALG_DES_IMPL = "org.act.xdsec.extension.algorithm.BlockEncryptionAlgImpl";

	public static String ALG_AES128_URI = NS_XMLENC_NAME + "aes128-cbc";

	public static String ALG_AES128_IMPL = "org.act.xdsec.extension.algorithm.BlockEncryptionAlgImpl";

	public static String ALG_AES256_URI = NS_XMLENC_NAME + "aes256-cbc";

	public static String ALG_AES256_IMPL = "org.act.xdsec.extension.algorithm.BlockEncryptionAlgImpl";

	public static String ALG_AES192_URI = NS_XMLENC_NAME + "aes192-cbc";

	public static String ALG_AES192_IMPL = "org.act.xdsec.extension.algorithm.BlockEncryptionAlgImpl";

	public static String ALG_ARCFOUR_URI = NS_XMLENC_NAME + "arcfour";

	public static String ALG_ARCFOUR_IMPL = "";

	public static String ALG_RSA15_URI = NS_XMLENC_NAME + "rsa-1_5";

	public static String ALG_RSA15_IMPL = "org.act.xdsec.extension.algorithm.KeyTransportAlgorithmImpl";

	public static String ALG_RSAOAEP_URI = NS_XMLENC_NAME + "rsa-oaep-mgf1p";

	public static String ALG_RSAOAEP_IMPL = "org.act.xdsec.extension.algorithm.KeyTransportAlgorithmImpl";

	public static String ALG_KW3DES_URI = NS_XMLENC_NAME + "kw-tripledes";

	public static String ALG_KW3DES_IMPL = "org.act.xdsec.extension.algorithm.SymmetricKeyWrapAlgorithmImpl";

	public static String ALG_KWAES128_URI = NS_XMLENC_NAME + "kw-aes128";

	public static String ALG_KWAES128_IMPL = "org.act.xdsec.extension.algorithm.SymmetricKeyWrapAlgorithmImpl";

	public static String ALG_KWAES256_URI = NS_XMLENC_NAME + "kw-aes256";

	public static String ALG_KWAES256_IMPL = "org.act.xdsec.extension.algorithm.SymmetricKeyWrapAlgorithmImpl";

	public static String ALG_KWAES192_URI = NS_XMLENC_NAME + "kw-aes192";

	public static String ALG_KWAES192_IMPL = "org.act.xdsec.extension.algorithm.SymmetricKeyWrapAlgorithmImpl";

	public static String ALG_BASE64_ID = "base64";

	public static String ALG_BASE64_URI = "http://www.w3.org/2000/09/xmldsig#base64";

	public static String ALG_BASE64_IMPL = "org.act.xdsec.extension.algorithm.transform.TransformBase64Decode";

	public static String ALG_DH_ID = "";

	public static String ALG_DH_URI = NS_XMLENC_NAME + "dh";

	public static String ALG_DH_IMPL = "";

	private static final String XPATH_NO_COMMENTS = "[not(self::comment())]";

	public static final String XPATH_C14N_WITH_COMMENTS = "(//. | //@* | //namespace::*)";

	public static final String XPATH_ONLY_COMMENTS = XPATH_C14N_WITH_COMMENTS
			+ "[(self::comment())]";

	public static final String XPATH_C14N_OMIT_COMMENTS = XPATH_C14N_WITH_COMMENTS
			+ XPATH_NO_COMMENTS;

	public static final String XPATH_C14N_WITH_COMMENTS_SINGLE_NODE = "(.//. | .//@* | .//namespace::*)";

	public static final String XPATH_C14N_OMIT_COMMENTS_SINGLE_NODE = XPATH_C14N_WITH_COMMENTS_SINGLE_NODE
			+ XPATH_NO_COMMENTS;

	public static String ERR_001 = "";

	public static String ERR_002 = "";

	public static final String ERR_MSGRERSOURCEBUNDLE_DIR = "/resource";

	public static final String ERR_MSGRERSOURCEBUNDLE_BASE = ERR_MSGRERSOURCEBUNDLE_DIR
			+ "/" + "xmlsecurity";

	public static String DFT_ALG_SIGNATURE = ALG_DSAWITHSHA1_URI;

	public static String DFT_ALG_DIGEST = ALG_SHA1_URI;

	public static String DFT_ALG_CANONICALIZATION = ALG_CANONICALIZATION_URI;

	public static String DFT_KEY_KEYVALUEPROCESSOR = "org.act.xdsec.extension.keyinfo.KeyValueProcessorImpl";

	public static String DFT_KEY_KEYNAMEPROCESSOR = "org.act.xdsec.extension.keyinfo.KeyNameProcessorImpl";

	public static String DAT_TYPE_STRING = "String";

	public static String DAT_TYPE_NODE = "Node";

	public static String DAT_TYPE_NODELIST = "NodeList";

	public static String DAT_TYPE_BYTE = "Byte";

	public static String DAT_TYPE_STREAM = "Stream";

	public static String X_CTRLF = "\n";
}

class AlgorithmType
{
	static String ALG_SIGNATURE = Constant.TAG_SIGNATUREMETHOD_NAME;

	static String ALG_CANONICALIZATION = Constant.TAG_CANONICALIZATIONMETHOD_NAME;

	static String ALG_TRANSFORM = Constant.TAG_TRANSFORM_NAME;

	static String ALG_DIGEST = Constant.TAG_DIGESTMETHOD_NAME;
}
