package org.act.xservices.rt.xsecurity.wssecurity.grammar;

import org.act.xservices.rt.metaset.MetasetBuilder;
import org.act.xservices.rt.xom.Metaset;
import org.act.xservices.rt.xom.QName;

public class Canonicalization {
	private Metaset CanonicalizationMethod;

	public Canonicalization(String algorithm) {
		QName CanonicalizationMethodq = new QName(SecurityConstant.dsNamespace,
				"CanonicalizationMethod", SecurityConstant.ds);
		CanonicalizationMethod = MetasetBuilder.getInstance()
				.newMetaset(CanonicalizationMethodq);
		CanonicalizationMethod.add(MetasetBuilder.getInstance()
				.newAttribute("Algorithm", algorithm));
	}

	public Metaset getCanonicalizationMethod() {
		return this.CanonicalizationMethod;
	}
}
