package org.act.xservices.rt.xsecurity.wssecurity.grammar;

import org.act.xservices.rt.metaset.MetasetBuilder;
import org.act.xservices.rt.xom.Metaset;
import org.act.xservices.rt.xom.QName;

public class DigestMethod {
	private Metaset DigestMethod;

	public DigestMethod(String algorithm) {
		// DigestMethod = new Metaset(SecurityConstant.ds + ":DigestMethod");
		// DigestMethod.add(new Attribute("Algorithm", algorithm));

		// MetasetBuilderImpl DigestMethodbuilder = new MetasetBuilderImpl();
		QName DigestMethodq = new QName("http://www.w3.org/2000/09/xmldsig#",
				"DigestMethod", "ds");
		DigestMethod = MetasetBuilder.getInstance().newMetaset(DigestMethodq);

		DigestMethod.add(MetasetBuilder.getInstance().newAttribute("Algorithm",
				algorithm));
	}

	public Metaset getDigestMethod() {
		return this.DigestMethod;
	}
}
