package org.act.xservices.rt.xsecurity.wssecurity.grammar;

import org.act.xservices.rt.metaset.MetasetBuilder;
import org.act.xservices.rt.xom.Metaset;
import org.act.xservices.rt.xom.QName;

public class KeyInfo {
	private Metaset KeyInfo;

	private Metaset KeyName;

	/**
	 * @param id
	 * @param keyName
	 */
	public KeyInfo(String id, String keyName) {
		// KeyInfo = new Metaset(SecurityConstant.ds + ":KeyInfo ");
		// KeyInfo.add(new Attribute("xmlns:" + SecurityConstant.ds,
		// SecurityConstant.dsNamespace));
		// KeyInfo.add(new Attribute("Id", id));
		// KeyName = new Metaset(SecurityConstant.ds + ":KeyName");

		// MetasetBuilderImpl KeyInfobuilder = new MetasetBuilderImpl();
		QName KeyInfoq = new QName(SecurityConstant.dsNamespace, "KeyInfo",
				"ds");
		KeyInfo = MetasetBuilder.getInstance().newMetaset(KeyInfoq);
		KeyInfo.add(MetasetBuilder.getInstance().newAttribute("xmlns:"
				+ SecurityConstant.ds, SecurityConstant.dsNamespace));
		KeyInfo.add(MetasetBuilder.getInstance().newAttribute("Id", id));
		QName KeyNameq = new QName(SecurityConstant.dsNamespace, "KeyName",
				"ds");
		KeyName = MetasetBuilder.getInstance().newMetaset(KeyNameq);

		KeyName.setText(keyName);
		KeyInfo.add(KeyName);
	}

	/**
	 * 
	 */
	public KeyInfo() {
		this("", "");
	}

	/**
	 * @return
	 */
	public String getId() {
		// return KeyInfo.selector(".\\", "Id");
		return KeyInfo.selectorAttributeValue(".\\", "Id");
	}

	/**
	 * @param id
	 */
	public void setId(String id) {
		KeyInfo.elements().get(1).setText(id);
	}

	/**
	 * @return
	 */
	public String getKeyName() {
		return KeyName.getText();
	}

	/**
	 * @param keyName
	 */
	public void setKeyName(String keyName) {
		KeyName.setText(keyName);
	}

	public Metaset getKeyInfo() {
		return KeyInfo;
	}
}
