
package org.act.xservices.rt.xsecurity.wsspolicy;

import java.util.ArrayList;
import java.util.List;

import org.apache.neethi.Assertion;

public abstract class AbstractConfigurableSecurityAssertion extends AbstractSecurityAssertion {
    
    protected ArrayList configurations = null;
    
    public void addConfiguration(Assertion assertion) {
        if (configurations == null) {
            configurations = new ArrayList();
        }
        configurations.add(assertion);
    }
    
    public List getConfigurations() {
        return configurations;
    }
    
    public Assertion getDefaultAssertion() {
        if (configurations != null) {
            return (Assertion) configurations.get(0);
        }
        return null;
    }
    
}
