package org.act.xservices.rt.xsecurity.wsspolicy;

public class WSSecurityPolicy {

	private AsymmetricBinding asymbinding ;
	private SymmetricBinding symbinding;
	private UsernameToken usernametoken;
	private SignedEncryptedParts sigencparts;
	
	public void setAsymmetricBinding(AsymmetricBinding asymbinding){
		this.asymbinding=asymbinding;
	}
	
	public void setSymmetricBinding(SymmetricBinding symbinding){
		this.symbinding = symbinding;
	}
	
	public void setUsernameToken(UsernameToken usernametoken){
		this.usernametoken=usernametoken;
	}
	
	public void setSignedEncryptedParts(SignedEncryptedParts sigencparts){
		this.sigencparts=sigencparts;
	}
	
	public UsernameToken getUsernameToken(){
		return this.usernametoken;
	}
	
	public SignedEncryptedParts getSignedEncryptedParts(){
		return this.sigencparts;
	}
	
	public SymmetricBinding getSymmetricBinding(){
		return this.symbinding;
	}
	
	public AsymmetricBinding getAsymmetricBinding(){
		return this.asymbinding;
	}
	
	
}
