/**
 * ContextAction.java
 */
package org.act.xservices.rt.xsecurity.xacml.context;


import org.act.xservices.rt.xom.Metaset;
import org.act.xservices.rt.xsecurity.xacml.exception.DataTypeMappingException;
import org.act.xservices.rt.xsecurity.xacml.exception.PolicySyntaxErrorException;

/**
 * OASIS XACML2.06.5ڡ
 * <xs:element name="Action" type="xacml-context:ActionType"/> <xs:complexType
 * name="ActionType"> <xs:sequence> <xs:element ref="xacml-context:Attribute"
 * minOccurs="0" maxOccurs="unbounded"/> </xs:sequence> </xs:complexType>
 * 
 * 
 */
public class ContextAction extends AContextEntity {
	public ContextAction(ContextAttribute[] attributes) {
		super(attributes);
	}

	public ContextAction(Metaset xmlElement) throws PolicySyntaxErrorException,
			DataTypeMappingException {
		super(xmlElement);
	}

}
