/**
 * IRequestContext.java
 */
package org.act.xservices.rt.xsecurity.xacml.context;

import java.net.URI;

import org.act.xservices.rt.xsecurity.xacml.exception.IndeterminateException;
import org.act.xservices.rt.xsecurity.xacml.policy.target.AttributeValue;

/**
 * ӿڴȨġ
 * 
 * 
 */
public interface IRequest {
	
	public AttributeValue[] queryAttributeValues(URI attributeId,
			URI dataType, String issuer, URI subjectCategory);

	public AttributeValue[] getAttributeValuesByXPath(
			String requestContextPath, URI dataType)
			throws IndeterminateException;

	public String getResourceId();
	
	public AContextEntity[] getAllContextEntities();
	
}
