/**
 * IdReference.java
 */
package org.act.xservices.rt.xsecurity.xacml.policy;

import java.net.URI;

import org.act.xservices.rt.xsecurity.xacml.AXacmlElement;

/**
 * 
 */
public class IdReference extends AXacmlElement {
	private URI xacmlPolicyId = null;

	private VersionMatch version = null;

	private VersionMatch earlistVersion = null;

	private VersionMatch lastVersion = null;

	public IdReference() {
	}

	public IdReference(URI xacmlPolicyId, VersionMatch version,
			VersionMatch earlistVersion, VersionMatch lastVersion) {
		this.xacmlPolicyId = xacmlPolicyId;
		this.version = version;
		this.earlistVersion = earlistVersion;
		this.lastVersion = lastVersion;
	}

	public VersionMatch getEarlistVersion() {
		return earlistVersion;
	}

	public void setEarlistVersion(VersionMatch earlistVersion) {
		this.earlistVersion = earlistVersion;
	}

	public VersionMatch getLastVersion() {
		return lastVersion;
	}

	public void setLastVersion(VersionMatch lastVersion) {
		this.lastVersion = lastVersion;
	}

	public VersionMatch getVersion() {
		return version;
	}

	public void setVersion(VersionMatch version) {
		this.version = version;
	}

	public URI getXacmlPolicyId() {
		return xacmlPolicyId;
	}

	public void setXacmlPolicyId(URI xacmlPolicyId) {
		this.xacmlPolicyId = xacmlPolicyId;
	}
}
