package org.act.ws.manage;

/**
 * @version 2008-4-15
 * @author chenyy [chenyy@act.buaa.edu.cn]
 * @since JDK1.5
 */
public class JVMInfo {
	  public JVMInfo() {
	  }

	  /**
	   * õJVMܴС
	   * @param unitNum
	   * @return
	   */
	  public static long getJVMTotalM(int unitNum)
	  {
	    long unit;
	    switch (unitNum) {
	          case 0:
	            unit = 1;
	            break;
	          case 1:
	            unit = 1024;
	            break;
	          case 2:
	            unit = 1024*1024;
	            break;
	          default:
	            unit = 1;
	    }
	    return Runtime.getRuntime().totalMemory()/unit;
	  }

	  /**
	   * õJVMڴС
	   * @param unitNum
	   * @return
	   */
	  public static long getJVMMaxM(int unitNum)
	  {
	    long unit;
	    switch (unitNum) {
	          case 0:
	            unit = 1;
	            break;
	          case 1:
	            unit = 1024;
	            break;
	          case 2:
	            unit = 1024*1024;
	            break;
	          default:
	            unit = 1;
	    }
	    return Runtime.getRuntime().maxMemory()/unit;
	  }

	  /**
	   * õJVMڴС
	   * @param unitNum
	   * @return
	   */
	  public static long getJVMFreeM(int unitNum)
	  {
	    long unit;
	    switch (unitNum) {
	          case 0:
	            unit = 1;
	            break;
	          case 1:
	            unit = 1024;
	            break;
	          case 2:
	            unit = 1024*1024;
	            break;
	          default:
	            unit = 1;
	    }
	    return Runtime.getRuntime().freeMemory()/unit;
	  }

	}