package org.act.xservices.engine.rt;

import java.util.ArrayList;

public class CorrelationSetInstance {
	
	private String name;
	
	private ArrayList<PropertyInstance> propertyInstances = new ArrayList<PropertyInstance>();
	
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public ArrayList<PropertyInstance> getPropertyInstances() {
		return propertyInstances;
	}

	public void setPropertyInstances(ArrayList<PropertyInstance> propertyInstances) {
		this.propertyInstances = propertyInstances;
	}
	
	public void addPropertyInstance(PropertyInstance propertyInstance) {
		propertyInstances.add(propertyInstance);
	}

	@Override
	public boolean equals(Object arg0) {
		CorrelationSetInstance csInstance = (CorrelationSetInstance) arg0;
		if(csInstance.getName().equals(name)) {
			ArrayList<PropertyInstance> propInstances = csInstance.getPropertyInstances();
			if(propInstances.size() == propertyInstances.size()) {
				for(int i=0; i<propInstances.size(); i++) {
					PropertyInstance propInstance = propInstances.get(i);
					PropertyInstance propertyInstance = propertyInstances.get(i);
					if(!propInstance.getQname().equals(propertyInstance.getQname()) || 
					   !propInstance.getValue().equals(propertyInstance.getValue())) {
						return false;
					}
				}
				return true;
			}
		}
		return false;
	}
	
}
