package org.act.xservices.engine.rt;

import org.act.xservices.engine.rt.utils.Pool;

/**
 * ʵ
 * @author sun
 *
 */
public class InstanceUnitPool extends Pool{
	
	public InstanceUnit get(String id) {
		return (InstanceUnit)super.get(id);
	}
	
	public InstanceUnit[] getAll() {
		return (InstanceUnit[])super.getMap().values().toArray(new InstanceUnit[0]);
	}
	
	public boolean add(InstanceUnit instanceUnit) {
		return super.add(instanceUnit.getId(), instanceUnit);
	}
	
	public boolean delete(String id) {
		return super.delete(id);
	}
	
	public boolean delete(InstanceUnit instanceUnit) {
		String id = instanceUnit.getId();
		return super.delete(id);
	}
}
