package org.act.xservices.engine.rt.aspect;

import org.act.xservices.engine.rt.deploy.DeploymentUnit;
import org.act.xservices.engine.rt.deploy.DeploymentUnitRegistry;

/**
 * ƥjoin point activityڵprocess
 * 
 */
public class ThisProcess {

	public DeploymentUnit getDeploymentUnitByPartnerLink(
			DeploymentUnitRegistry deploymentUnitRegistry, String partnerLink) {
		DeploymentUnit deploymentUnit = null;
		DeploymentUnit[] deploymentUnits = deploymentUnitRegistry.getAll();
		for (int i = 0; i <= deploymentUnits.length; i++) {
			if (deploymentUnits[i].getPartnerLink(partnerLink) != null) {
				deploymentUnit = deploymentUnits[i];
				break;
			}
		}
		return deploymentUnit;
	}

	public DeploymentUnit getDeploymentUnitByVariable(
			DeploymentUnitRegistry deploymentUnitRegistry, String variable) {
		DeploymentUnit deploymentUnit = null;
		DeploymentUnit[] deploymentUnits = deploymentUnitRegistry.getAll();
		for (int i = 0; i <= deploymentUnits.length; i++) {
			if (deploymentUnits[i].getVariableDef(variable) != null) {
				deploymentUnit = deploymentUnits[i];
				break;
			}
		}
		return deploymentUnit;
	}
}
