package org.act.xservices.engine.rt.aspect.deploy;

import org.act.xservices.engine.rt.utils.Pool;

public class AspectDeploymentUnitRegistry extends Pool {
	
	public AspectDeploymentUnit get(String id) {
			return (AspectDeploymentUnit) super.get(id);
		}
	    
	 public AspectDeploymentUnit[] getAll() {
	    	return (AspectDeploymentUnit[])super.getMap().values().toArray(new AspectDeploymentUnit[0]);
	    }
	    
	 public boolean add(AspectDeploymentUnit deploymentUnit) {
	    	return super.add(deploymentUnit.getId(), deploymentUnit);
	    }
	    
	 public boolean delete(String id) {
	    	return super.delete(id);
	    }
	    
	 public boolean delete(AspectDeploymentUnit deploymentUnit) {
	    	String id = deploymentUnit.getId();
	    	return super.delete(id);
	    }
}
