package org.act.xservices.engine.rt.aspect.evolution;

import org.act.xservices.engine.rt.InstanceUnit;
import org.act.xservices.engine.rt.bpel11.Bpel11ActivityInstance;
import org.act.xservices.engine.rt.bpel11.Bpel11DeploymentUnit;

public class ActivityInstanceLocationInstance {
	/**
	 * õûʵִ·
	 * 
	 * @param instanceUnit
	 * @return
	 */
	public static ActivityInstanceLocation getActivityInstanceLocation(
			InstanceUnit instanceUnit) {
		ActivityInstanceLocation location = new ActivityInstanceLocation();
		Bpel11DeploymentUnit deploymentUnit = (Bpel11DeploymentUnit) instanceUnit
				.getDeploymentUnit();
		// ¼name
		String processName = deploymentUnit.getName();
		location.setProcessName(processName);
		// ¼ִ·
		if (instanceUnit.getActivityInstanceFinished() != null) {
			Bpel11ActivityInstance ai = (Bpel11ActivityInstance) instanceUnit
					.getActivityInstanceFinished();
			location.addFistActivity(ai);
			Boolean need = true;
			while (need) {
				need = false;
				if (ai.getActivityInstanceOfFather() != null) {
					need = true;
					Bpel11ActivityInstance ai1 = (Bpel11ActivityInstance) ai
							.getActivityInstanceOfFather();
					location.addFistActivity(ai1);
					ai = ai1;
				}
			}
		}
		return location;
	}
}
