package org.act.xservices.engine.rt.aspect.evolution;

import java.util.ArrayList;

/**
 * xpathַ XPathLocation
 *
 */
public class XPathLocationInstance {
	/**
	 * xpathһ·ӦһXPath·
	 * @param xpathString
	 * @return
	 */
	public static ArrayList<XPathLocation> getXPathLocation(String xpathString) {

		ArrayList<XPathLocation> xpathLocations = new ArrayList<XPathLocation>();
		String[] xpaths = xpathString.split("\\|");
		for (int i = 0; i < xpaths.length; i++) {
			XPathLocation xpathLocation = new XPathLocation();
			xpathLocation.setLocation(xpaths[i]);
			String[] steps = xpaths[i].split("\\//");// ֻ֮"//"
			for (int j = 1; j < steps.length; j++) { // process֮ǰ"//",jʼֵΪ1
				String stepLoc = null;
				String stepAtt = null;
				int index = steps[j].indexOf("[");
				if (index != -1) {
					// 
					stepLoc = steps[j].substring(0, index);
					stepAtt = steps[j].substring(index);
				} else {
					stepLoc = steps[j];
				}
				if (j == 1 && stepLoc.equalsIgnoreCase("process")) {
					// ͷprocess
					if (stepAtt != null) {
						String[] stepAtts = stepAtt.split("and");
						for (int k = 0; k < stepAtts.length; k++) {
							int startOfName = stepAtts[k].indexOf("@");
							int endOfName = stepAtts[k].indexOf("=");
							String nameOfAtt = stepAtts[k].substring(
									startOfName + 1, endOfName);
							if (nameOfAtt.equalsIgnoreCase("name")) {
								int startOfValue = stepAtts[k].indexOf("\"");
								int endOfValue = stepAtts[k].lastIndexOf("\"");
								String valueOfAtt = stepAtts[k].substring(
										startOfValue + 1, endOfValue);
								xpathLocation.setProcessName(valueOfAtt);
							}
						}
					}// endif
					continue;// жڲǰѭ
				}
				xpathLocation.addActivity(stepLoc);
				if (stepAtt != null) {
					String[] stepAtts = stepAtt.split("and");
					for (int k = 0; k < stepAtts.length; k++) {
						int startOfName = stepAtts[k].indexOf("@");
						int endOfName = stepAtts[k].indexOf("=");
						String nameOfAtt = stepAtts[k].substring(
								startOfName + 1, endOfName);
						int startOfValue = stepAtts[k].indexOf("\"");
						int endOfValue = stepAtts[k].lastIndexOf("\"");
						String valueOfAtt = stepAtts[k].substring(
								startOfValue + 1, endOfValue);
						xpathLocation.addActivityAttribute(stepLoc, nameOfAtt,
								valueOfAtt);
					}// for
				}// endif
			}
			xpathLocations.add(xpathLocation);
		}// endfor
		return xpathLocations;
	}
}
