package org.act.xservices.engine.rt.bpel20;

import java.util.Stack;

import org.act.xservices.bpel20.TElseif;
import org.act.xservices.bpel20.TIf;
import org.act.xservices.engine.rt.bpel.expression.BooleanExpression;

public class IfInstance extends Bpel20ActivityInstance {

	private Stack<Object> activitiesStack;
	
	public IfInstance(TIf If, Bpel20InstanceUnit instanceUnit) {
		this.type = "If";
		this.name = If.getName();
		this.activity = If;
		this.instanceUnit = instanceUnit;
		this.activitiesStack = instanceUnit.getActivitiesStack();
	}
	
	public IfInstance(TIf If, Bpel20InstanceUnit instanceUnit, Stack<Object> activitiesStack) {
		this(If, instanceUnit);
		this.activitiesStack = activitiesStack;
	}

	// <if standard-attributes>
	// standard-elements
	// <condition expressionLanguage="anyURI"?>bool-expr</condition>
	// activity
	// <elseif>*
	// <condition expressionLanguage="anyURI"?>bool-expr</condition>
	// activity
	// </elseif>
	// <else>? 
	// activity
	// </else>
	// </if>

	public void run() throws Exception {
		super.start();
		TIf If = (TIf) this.activity;
		Bpel20InstanceUnit instanceUnit = (Bpel20InstanceUnit)this.instanceUnit;
		boolean otherwise = true;

		String condition = (String)If.getCondition().getMixed().getValue(0);
		//жǷifԪconditionıʽ
		if(BooleanExpression.getExpressionValue(condition,instanceUnit)) {
			Object activity = InstanceUtil.getSubActivity(If);
			activitiesStack.push(activity);
			otherwise = false;
		}else{
			if(If.getElseif() != null) {
				for(int i=0; i<If.getElseif().size(); i++) {
					TElseif elseif = If.getElseif().get(i);
					condition = (String)elseif.getCondition().getMixed().getValue(0);
					//жǷĳelseifԪconditionıʽ
					if(BooleanExpression.getExpressionValue(condition,instanceUnit)) {
						Object activity = InstanceUtil.getSubActivity(elseif);
						activitiesStack.push(activity);
						otherwise = false;
						break;
					}
				}
			}
			//жǷִelse
			if(If.getElse() != null && otherwise == true) {
				Object activity = InstanceUtil.getSubActivity(If.getElse());
				activitiesStack.push(activity);
			}
		}
		super.finish();
	}
}
