package org.act.xservices.engine.rt.bpel20;

import java.util.Stack;

import org.act.xservices.bpel20.TRethrow;
import org.act.xservices.bpel20.TThrow;

public class RethrowInstance extends Bpel20ActivityInstance {

	private Stack<Object> activitiesStack;
	
	public RethrowInstance(TRethrow rethrow, Bpel20InstanceUnit instanceUnit) {
		this.type = "Rethrow";
		this.name = rethrow.getName();
		this.activity = rethrow;
		this.instanceUnit = instanceUnit;
		this.activitiesStack = instanceUnit.getActivitiesStack();
	}
	
	public RethrowInstance(TRethrow rethrow, Bpel20InstanceUnit instanceUnit, Stack<Object> activitiesStack) {
		this(rethrow, instanceUnit);
		this.activitiesStack = activitiesStack;
	}

	// <rethrow standard-attributes>
	// standard-elements
	// </rethrow>
	
	public void run() throws Exception {
		super.start();
		TThrow Throw = (TThrow) this.activity;
		Bpel20InstanceUnit instanceUnit = (Bpel20InstanceUnit)this.instanceUnit;
		super.finish();
	}
}
