package org.act.xservices.engine.rt.debug;

import java.util.ArrayList;

import org.act.xservices.engine.rt.InstanceUnit;
import org.act.xservices.engine.rt.utils.DataUtil;
import org.act.xservices.rt.metaset.MetasetBuilder;
import org.act.xservices.rt.xom.Metaset;

/**
 * Խģ߽еԣ²
 * 1. Debug.setDebug() ״̬
 * 2. ͻˣ̣ʵڿʼֹͣ
 * 3. Debug.reStart(IDs) ʵIDsΪҪʵֹͣĵ
 * 4. sleep(n) Ϊͬԭڴ˴ȴһʱ
 * 5. Debug.stopIDs() ʵѾֹͣĵ
 * 6. Debug.getVariableValue(variableName) 鿴ֵ
 * 7. öϵ㣬ӵ3ظ
 * 8. Debug.outDebug()
 * 
 * @author sun
 *
 */
public class Debug {
	
	/**
	 * ʶǷ״̬
	 */
	private static boolean isDebug = false; 
	
	/**
	 * ʵֹͣʶ
	 */
	private static Object waitPoint;
	
	/**
	 * ʵҪֹͣĵ
	 */
	private static ArrayList<String> IDs;
	
	/**
	 * ʵѾֹͣĵ
	 */
	private static ArrayList<String> stopIDs;
	
	/**
	 * Եʵ
	 */
	private static InstanceUnit instanceUnit;
	
	
	/**
	 * Ƿ״̬
	 * 
	 */
	public static boolean isDebug() {
		return isDebug;
	}
	
	/**
	 * ״̬
	 * 
	 */
	public static void setDebug() {
		isDebug = true;
		waitPoint = new Object();
		IDs = new ArrayList<String>();
		stopIDs = new ArrayList<String>();
		instanceUnit = null;
	}
	
	/**
	 * ֹͣ
	 * 
	 */
	public static void outDebug() {
		isDebug = false;
	}
	
	/**
	 * ʵֹͣ
	 * 
	 */
	public static void stop(InstanceUnit instance) {
		System.out.println("------Debug------");
		instanceUnit = instance;
		synchronized (waitPoint) {
			try {
				waitPoint.wait();
			} catch (InterruptedException e) {
				e.printStackTrace();
			}
		}
	}
	
	/**
	 * idIDsУʵҪڸõֹͣ
	 * 
	 * @param id
	 */
	public static void stop(String id) {
		if(IDs.contains(id)) {
			stopIDs.add(id);
			synchronized (waitPoint) {
				try {
					waitPoint.wait();
				} catch (InterruptedException e) {
					e.printStackTrace();
				}
			}
		}
	}
	
	/**
	 * ʵҪֹͣĵ
	 * 
	 * @param debugIDs
	 */
	public static void reStart(ArrayList<String> debugIDs) {
		IDs = debugIDs;
		synchronized (waitPoint) {
			waitPoint.notifyAll();
		}
	}
	
	/**
	 * ʵֹͣ
	 * 
	 * @return
	 */
	public static ArrayList<String> stopIDs() {
		return stopIDs;
	}
	
	/**
	 * ݱƻñֵ
	 * 
	 * @param variableName
	 * @return
	 */
	public static Metaset getVariableValue(String variableName) {	
		Metaset value = MetasetBuilder.getInstance().newMetaset(variableName);
		DataUtil.data2metaset(instanceUnit, variableName, value);
		return value;
	}
}
