package org.act.xservices.rt.xcontainer.adaptation.adapter;

import org.act.xservices.rt.xcontainer.framework.IContainerEnvironment;
import org.act.xservices.rt.xcontainer.framework.config.IConfigurable;
import org.act.xservices.rt.xcontainer.framework.lifecycle.ILifecycle;
import org.act.xservices.rt.xcontainer.framework.objectpool.IDispatchTarget;
import org.act.xservices.rt.xcontainer.inf.context.IServiceContext;

public interface IAdapter extends ILifecycle, IConfigurable{
	
	public String getName();

	public void setName(String name);

	public String getDescription();

	public void setDescription(String description);
	
	/**
	 * ServiceContext
	 * @param serviceContext
	 */
	public void process(IServiceContext serviceContext);
	

	/**
	 * Ŀ
	 * @param targetObjectPool
	 */
	public void setTargetObjectPool(IDispatchTarget<IServiceContext> targetObjectPool);
	
	public void setContainerEnvironment(IContainerEnvironment containerEnv);
}
