package org.act.xservices.rt.rpc.client;

import java.lang.reflect.Type;
import java.util.ArrayList;
import java.util.List;

import org.act.xservices.rt.client.XServicesException;
import org.act.xservices.rt.xcontainer.rpc.DeserializationException;
import org.act.xservices.rt.xcontainer.rpc.SerializationException;
import org.act.xservices.rt.xom.QName;

import sun.reflect.generics.reflectiveObjects.ParameterizedTypeImpl;

public class CollectionListClient {
	@SuppressWarnings("unchecked")
	public static void main(String[] args) throws SerializationException,
			XServicesException, DeserializationException {
		RPCServiceClient client = new RPCServiceClient(
				"http://localhost:8091/CollectionList");

		ArrayList<Integer> array = new ArrayList<Integer>();

		array.add(1);
		array.add(2);
		// parameters
		Object[] opArgs = new Object[] { array };

		// QName of the target method
		QName opAdd = new QName("http://collection.pojo.rt.xservices.act.org",
				"add", "ns");

		
		Type[] types = new Type[] { Integer.class };
		Type type = ParameterizedTypeImpl.make(ArrayList.class, types,
				List.class);

		// Metaset sendSOAP = BeanUtil.getMetaset(opAdd, opArgs, partName, true,
		// null);
		//
		// System.out.println(sendSOAP.toFormatXML());

		// invoke web service
		// return type
		Type[] returnTypes = new Type[] { type };

		Object[] response = client.invokeBlocking(opAdd, opArgs, returnTypes);
		// add
		ArrayList<Object> result = (ArrayList<Object>) response[0];

		for (int i = 0; i < result.size(); i++) {
			System.out.println("result[" + i + "] = " + result.get(i));
		}

	}
}
