package org.act.xservices.rt.rpc.client;

import java.lang.reflect.Type;

import org.act.xservices.rt.client.XServicesException;
import org.act.xservices.rt.xcontainer.rpc.DeserializationException;
import org.act.xservices.rt.xcontainer.rpc.SerializationException;
import org.act.xservices.rt.xom.QName;

public class Factorial {
	public static void main(String[] args) throws SerializationException,
			XServicesException, DeserializationException {
		RPCServiceClient client = new RPCServiceClient(
				"http://192.168.2.250:8091/TestFactorial");

		QName opp = new QName("http://act.org", "calFactorial");
		int n = 10;
		Object[] objs = new Object[] { n };
		Type[] returnTypes = new Type[] { int.class };
		Object[] result = client.invokeBlocking(opp, objs, returnTypes);
		int r = (Integer) result[0];
		System.out.println(r);
	}
}
