package org.act.xservices.rt.rpc.client;

import java.lang.reflect.Method;
import java.lang.reflect.ParameterizedType;
import java.lang.reflect.Type;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import sun.reflect.generics.reflectiveObjects.ParameterizedTypeImpl;

public class TestArrayListType {

	public static void main(String[] args) throws Exception {
		Method[] methods = TestArrayListType.class.getDeclaredMethods();
		for (Method method : methods) {
			System.out.println(" returnType: ");
			Type returnType = method.getGenericReturnType();
			if (returnType instanceof ParameterizedType) {
				Type[] types = ((ParameterizedType) returnType)
						.getActualTypeArguments();
				System.out.println(((ParameterizedType) returnType)
						.getRawType());
			 
				for (Type type : types) {
					if (type instanceof Class<?>) {
						System.out.println(type);
					}

				}
			} else if (returnType instanceof Class<?>) {
				System.out
						.println("Class:" + ((Class<?>) returnType).getName());
			}
			System.out.println(" paramTypeType: ");
			Type[] paramTypeList = method.getGenericParameterTypes();			
			for (Type paramType : paramTypeList) {
				if (paramType instanceof ParameterizedType) {
					Type[] types = ((ParameterizedType) paramType)
							.getActualTypeArguments();
					for (Type type : types) {
						System.out.println(type);
					}
				}
			}
		}

		ArrayList<Integer> array = new ArrayList<Integer>();
		Type type = ((ParameterizedType) array.getClass()
				.getGenericSuperclass()).getActualTypeArguments()[0];
		System.out.println(type);

		Type[] types = new Type[] { String.class, Integer.class };
		ParameterizedTypeImpl param = ParameterizedTypeImpl.make(HashMap.class,
				types, List.class);

		System.out.println(param.getRawType().getName());
		System.out.println(param.getOwnerType());
		types = param.getActualTypeArguments();
		System.out.println(types[0]);
		System.out.println(types[1]);
	}

	public static ArrayList<String> test3(List<Integer> list) {
		return null;
	}

	public static Map<String, Double> test4(Map<String, Object> map) {
		return null;
	}

	public static String test5(Integer value) {
		return "";
	}
}
