package org.act.xservices.rt.rpc.client;

import java.io.IOException;

import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.entity.StringEntity;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.params.CoreProtocolPNames;
import org.apache.http.util.EntityUtils;

public class TestHttpClient {
	public static void main(String args[]) throws ClientProtocolException,
			IOException {
		HttpClient httpclient = new DefaultHttpClient();

		HttpPost  httppost = new HttpPost("http://localhost:8091/AddressBook");

//		String soap ="<?xml version=\"1.0\" encoding=\"utf-8\"?>"+
//			"<soapenv:Envelope xmlns:soapenv=\"http://schemas.xmlsoap.org/soap/envelope/\">"
//				+ "<soapenv:Body>"
//				+ "<findEntry xmlns=\"http://service.addressbook.sample\">"
//				+ " <arg0 xmlns= \"\">й</arg0>"
//				+ "</findEntry>"
//				+ "</soapenv:Body>" + "</soapenv:Envelope>";
		
		//soap=new String(soap.getBytes(),"GBK");
		String soap="aa";
		StringEntity reqEntity=new StringEntity(soap,"utf-8");
		//InputStreamEntity reqEntity = new InputStreamEntity(
		//		new ByteArrayInputStream(soap.getBytes()), -1);
		reqEntity.setContentType("text/xml");
		reqEntity.setContentEncoding("UTF-8");
		reqEntity.setChunked(false);
		
		//reqEntity.setChunked(true);
 
		// It may be more appropriate to use FileEntity class in this particular
		// instance but we are using a more generic InputStreamEntity to
		// demonstrate
		// the capability to stream out data from any arbitrary source
		// 
		// FileEntity entity = new FileEntity(file, "binary/octet-stream");

		httppost.setEntity(reqEntity);
	
//		Header header=new BasicHeader("SOAPAction","http://localhost:8091/TestDemo");
//		httppost.setHeader(header);
		httppost.getParams().setBooleanParameter(CoreProtocolPNames.USE_EXPECT_CONTINUE, false);
		httppost.getParams().setParameter("Content-Type", "text/xml;charset=utf-8");
		//System.out.println("executing request " + httppost.getRequestLine());
		HttpResponse response = httpclient.execute(httppost);
		HttpEntity resEntity = response.getEntity();
		
		System.out.println("----------------------------------------");

		if (resEntity != null) {
			System.out.println(EntityUtils.toString(resEntity));
		}
		if (resEntity != null) {
			resEntity.consumeContent();
		}

		// When HttpClient instance is no longer needed,
		// shut down the connection manager to ensure
		// immediate deallocation of all system resources
		httpclient.getConnectionManager().shutdown();
	}
}
