package org.act.xservices.rt.stub.client;

import java.util.List;

import org.act.xservices.rt.metaset.MetasetBuilder;
import org.act.xservices.rt.xcontainer.rpc.DeserializationException;
import org.act.xservices.rt.xcontainer.rpc.SerializationException;
import org.act.xservices.rt.xcontainer.util.JavaObjectDeserializeUtil;
import org.act.xservices.rt.xcontainer.util.JavaObjectSerializeUtil;
import org.act.xservices.rt.xcontainer.xdb.XDBBean;
import org.act.xservices.rt.xom.Metaset;
import org.act.xservices.rt.xom.QName;

public class Hello implements XDBBean {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public final QName MY_QNAME = new QName("http://www.example.org/sayHello/",
			"sayHello", "ns1");

	/**
	 * field for In
	 */

	protected java.lang.String in;

	/**
	 * Auto generated getter method
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getIn() {
		return in;
	}

	/**
	 * Auto generated setter method
	 * 
	 * @param param
	 *            In
	 */
	public void setIn(java.lang.String param) {

		this.in = param;

	}

	/**
	 * 
	 * @param parentQName
	 * @param factory
	 * @return org.act.xservices.rt.xom.Metaset
	 * @throws SerializationException
	 */
	public Metaset serialize(final QName parentQName)
			throws SerializationException {

		Metaset operation = MetasetBuilder.getInstance().createElement(
				parentQName);
		Metaset[] items = JavaObjectSerializeUtil.serializeParameter(in, "in",
				null, false);
		for (Metaset item : items) {
			operation.add(item);
		}
		return operation;
	}

	public  Hello deserialize(Metaset param)
			throws DeserializationException {

		List<Metaset> items = param.elements();
		for (int i = 0; i < items.size();) {
			Metaset[] params = JavaObjectDeserializeUtil.getSameItems(i, items);
			i = +params.length;
			Object arg = JavaObjectDeserializeUtil.deserializeParameter(params,
					String.class, null);
			this.setIn((String) arg);
		}
		return this;
	}

	public QName getMyQName() {
		return this.MY_QNAME;
	}

}
