package org.act.xservices.rt.xcontainer.management;

import java.io.File;
import java.util.Set;

import org.act.xservices.rt.xom.QName;



/**
 * ӿ
 * @version 1.0 2008-6-16
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */
public interface IServiceManagement {
	
	
	
	/**
	 * ݷ  WSDLļľ·
	 * @return WSDLļľ·޷ҵ򷵻null
	 */
	public String getWSDLFileAbsolutePath(String serviceName, String namespaceURI);
	
	/**
	 * ݷ  WSDDļľ·
	 * @param serviceName
	 * @return
	 */
	public String getWSDDFileAbsolutePath(String serviceName, String namespaceURI);
	
	/**
	 * ѲķƵļ
	 * @return
	 */
	public Set<QName> getDeployedServicesName();
	
	/**
	 * ݷƷش˷ֵ֧ķϢ
	 * @param serviceName
	 * @return 
	 */
	public Set<MethodInfoBean> getMethodsInfo(String serviceName, String namespaceURI);
	
	
	//------------add 2008-06-16
	/**
     * ǰѲķ
     * @return еǰѲķ
     */
	public int getDeployedServiceNum();
	
	/**
	 * ǰеķ
	 * @return еķ
	 */
	public int getRunningServiceNum();
	
	/**
	 * ʼǰʱ
	 * @return Ѵ
	 */
	public int getProcessedServiceNum();
	
	/**
	 * ʼǰʱõĴ
	 * @return 
	 */
	public int getErrorInvokeNum();
	
	
	/**
	 * һWeb
	 * @param wsar
	 * @return ɹʧ
	 */
	public boolean deployService(String serviceWSAR, String serviceName);
	
	/**
	 * ĳ
	 * @param serviceName 
	 * @return ɹʧ
	 */
	public boolean undeployService(String serviceName, String namespaceURI);
	
	/**
	 * ֹͣĳֹͣ󣬸÷ͣSOAP󣬿ͨStart½SOAP
	 * @param serviceName
	 * @return ֹͣɹʧ
	 */
	public boolean stopService(String serviceName);
	
	/**
	 * ĳֹͣ״̬ķ񣬸÷½SOAP
	 * @param serviceName
	 * @return ɹʧ
	 */
    public boolean startService(String serviceName);
    
    /**
     * ĳĵǰ״̬ started/stopped
     * @param serviceName
     * @return ĳĵǰ״̬
     */
    public String getServiceStatus(String serviceName);
    
    
	
	
}
