package org.act.xservices.rt.xcontainer.framework;

import java.io.File;

import org.act.xservices.rt.xcontainer.framework.provider.ProviderFactory;
import org.act.xservices.rt.xcontainer.inf.service.SpecialSOAPRegistry;
import org.act.xservices.rt.xcontainer.inf.service.wsdl.XcServiceRegistry;


/**
 * 
 * @version 1.0 2007-04-20
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */
public interface IContainerEnvironment extends IEnvironment{

	/** */
//	public static Logger containerLogger = Logger.getLogger("org.act.ws.container");

	public static final String BPEL_PROCESSOR = "bpel_processor";
	
	public static final String WS_PROCESSOR = "ws_processor";
	
	
	/**
	 * ʱĸ·
	 *  D:\WorkSoft\eclipse_Norm\WorkSpace\org.act.ws.container
	 * @return 
	 */
	public String getRuntimePath();

	/**
	 * ServiceURI,ô˷ӦWSDLĵλ
	 * @param serviceURL /,"/TestAdd"
	 * @return WSDLļ·
	 */
	public File getWSDLFileByURL(String serviceURLPath);
	
	public XcServiceRegistry getXcServiceRegistry();
	
	public SpecialSOAPRegistry getSpecialSOAPRegistry();
	
	public ProviderFactory getProviderFactory();
	
	public void setProviderFactory(ProviderFactory providerFactory);
	
	
	//--- ClassLoader
//	public ClassLoader getBpelServiceClassLoader();
//
//	public void setBpelServiceClassLoader(ClassLoader bpelServiceClassLoader);
//
//	public ClassLoader getModuleClassLoader();
//
//	public void setModuleClassLoader(ClassLoader moduleClassLoader);
//
//	public ClassLoader getSystemClassLoader();
//
//	public void setSystemClassLoader(ClassLoader systemClassLoader);
//
//	public ClassLoader getWsServiceClassLoader();
//
//	public void setWsServiceClassLoader(ClassLoader wsServiceClassLoader);
	
}
