package org.act.xservices.rt.xcontainer.framework;

import java.util.HashMap;
import java.util.List;

import org.act.xservices.rt.xcontainer.framework.lifecycle.ILifecycle;
import org.act.xservices.rt.xcontainer.framework.objectpool.IObjectPool;
import org.act.xservices.rt.xcontainer.inf.config.ContainerConfiguration;


/**
 * Webӿ
 * 
 * @LastModifyTime 2008-7-7
 * @CreationTime 2007-04-20
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */
public interface IRuntimeContainer extends ILifecycle{
	
	
	/**
	 * ôϢ
	 * @return
	 */
	public ContainerConfiguration getContainerConfiguration();
	
	
	/**
	 * б
	 * @return
	 */
	public List<IConnector> getConnectorList();
	
	
	/**
	 * ƻ
	 * @param ConnectorName
	 * @return
	 */
	public IConnector getConnectorByName(String ConnectorName);
	
	
	/**
	 * 
	 * άһģÿConnectorɻôĵһ
	 * @return
	 */
	public IContainerEnvironment getContainerEnvironment();
	
	
	/**
	 * ӳ
	 * @return
	 */
	public HashMap<String, IObjectPool> getObjectPoolMap();
	
	/**
	 * ʼ
	 */
	public void initialize() throws Exception;
	
	/**
	 * ļľ·
	 * @return
	 */
	public String getConfigFileAbsolutePath();
	
	
	public String getName();

	public String getDescription();

	public String getVersion();

	public String getStartupTime();
	
}
