package org.act.xservices.rt.xcontainer.framework.dispatch;



/**
 * ɰȫж
 * 
 * @LastModifyTime 2008-10-10
 * @CreationTime 2007-3-20
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */
public abstract class ASafeTask implements ISafeTask {

	/**
	 * execute()׳쳣handleException()д
	 */
	public void run() {
		try {
			execute();
		} catch (Exception e) {
			e.printStackTrace(); //need?
			handleException(e);
		}
	}
	
	public abstract void execute() throws Exception;
	
	public abstract void handleException(Throwable exception);
}
