package org.act.xservices.rt.xcontainer.framework.dispatch;

import org.act.xservices.rt.xcontainer.framework.IConnector;


/**
 * 
 * @LastModifyTime 2008-10-09
 * @CreationTime 2007-3-20
 * @author liujian[liujian@act.buaa.edu.cn]
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */

public abstract class ATaskFactory<T> implements ITaskFactory<T> {

	private IConnector connector;

	/**
	 * 캯
	 * @param interactiveE
	 */
	protected ATaskFactory(IConnector connector) {
		this.connector = connector;
	}

	/**
	 * @return   the connectorEnvironment
	 */
	public IConnector getConnector() {
		return connector;
	}

	/**
	 * ȫִ
	 * @param x
	 * @return
	 */
	public abstract ISafeTask createSafeTask(T x);

}
