package org.act.xservices.rt.xcontainer.framework.externalize;

import java.io.Serializable;

/**
 * This is a marker interface that indicates that the Object and all contents of
 * the Object can be serialized safely without buffering.
 * 
 * @See SafeObjectOutputStream
 * 
 */
public interface SafeSerializable extends Serializable {

}
