package org.act.xservices.rt.xcontainer.framework.handler;

/**
 * 
 * 
 * @LastModifyTime 2008-9-8
 * @CreationTime 2008-9-8
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */
public abstract class AbstractHandler<T> implements IHandler<T>{
	
	private String handlerName;

	private String handlerDescription;
	
	private IHandler<T> nextInHandler;
	
	private IHandler<T> nextOutHandler;
	
	public String getHandlerDescription() {
		return handlerDescription;
	}

	protected void setHandlerDescription(String handlerDescription) {
		this.handlerDescription = handlerDescription;
	}

	public String getHandlerName() {
		return handlerName;
	}

	protected void setHandlerName(String handlerName) {
		this.handlerName = handlerName;
	}

	public IHandler<T> getNextInHandler() {
		return nextInHandler;
	}

	public void setNextInHandler(IHandler<T> nextInHandler) {
		this.nextInHandler = nextInHandler;
	}

	public IHandler<T> getNextOutHandler() {
		return nextOutHandler;
	}

	public void setNextOutHandler(IHandler<T> nextOutHandler) {
		this.nextOutHandler = nextOutHandler;
	}
	
	
	/** 
	 * ĬϵĴʼ
	 */
	public void init(){
		//to do nothing
	}
	
	/** 
	 * ĬϵĴٲ
	 */
	public void destroy() {
		this.setNextInHandler(null);
		this.setNextOutHandler(null);
	}
	
}
