package org.act.xservices.rt.xcontainer.framework.objectpool;

import org.act.xservices.rt.xcontainer.framework.config.IConfigurable;

/**
 * 󻺳ؽӿ
 * @version 1.0 2007-3-20
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */
public interface IObjectPool<T> extends IDispatchSource<T>, IDispatchTarget<T>, IConfigurable {

	/**
	 * 
	 * @return
	 */
	public String getName();
	
	public void setName(String name);
	
	/**
	 * 
	 * @return
	 */
	public boolean isEmpty();
	
	/**
	 * 
	 * @return
	 */
	public boolean isFull();
	
	/**
	 * 
	 * @return
	 */
	public int size();
	
	/**
	 * 
	 * @param size
	 */
	public void setMaxSize(int size);
	
	/**
	 * 
	 * @return
	 */
	public int getMaxSize();
	

	/**
	 * Ϊպٶ
	 */
	public void destroy();
}
