package org.act.xservices.rt.xcontainer.inf.context.impl;

import java.net.URI;

import org.act.xservices.rt.soap.ISOAPEnvelope;
import org.act.xservices.rt.soap.util.SOAPMessageUtil;
import org.act.xservices.rt.xcontainer.inf.context.IATFTransportContext;
import org.act.xservices.rt.xcontainer.inf.context.IMessageContext;
import org.act.xservices.rt.xom.Metaset;

/**
 * MessageContextInOutImpl InOutģʽ£ֱӶITransportContextаװ¶
 * 
 * @author Lizq [lizq@act.buaa.edu.cn] 2007-05-28
 * 
 */
public class MessageContextInOutImpl implements IMessageContext {

	private ISOAPEnvelope soapMessage;

	// deleted by viking , instead by SOPAVversion
	// private Integer version; //ָSOAP version

	private IATFTransportContext transportcontext;

	private boolean isSOAPFaultMessage = false;

	public MessageContextInOutImpl() {

	}

	public MessageContextInOutImpl(IATFTransportContext transportcontext) {
		this.transportcontext = transportcontext;
	}

	public boolean isSOAPFaultMessage() {
		return isSOAPFaultMessage;
	}

	public void setSOAPFaultMessage(boolean isSOAPFaultMessage) {
		this.isSOAPFaultMessage = isSOAPFaultMessage;
	}

	public IATFTransportContext getTransportcontext() {
		return transportcontext;
	}

	public void setTransportcontext(IATFTransportContext transportcontext) {
		this.transportcontext = transportcontext;
	}

	/**
	 * עtransportcontextActionǴŵģ硰urn:ddd ˴Ҫȥ
	 * 
	 * @return
	 * @see org.act.xservices.rt.xcontainer.inf.context.IMessageContext#getAction()
	 */
	public String getAction() {
		return transportcontext.getRequestSoapAction();
	}

	public void setAction(String action) {
		this.transportcontext.setRequestSoapAction(action);
	}

	public String getUri() {
		return transportcontext.getRequestUriString();
	}

	// ??дǣʱURIָʲô
	public void setUri(String uri) {
		this.transportcontext.setRequestUri(URI.create(uri));
	}

	// deleted by
	// public Integer getVersion() {
	// return version;
	// }

	// public void setVersion(Integer version) {
	// this.version = version;
	// }

	public String getTransportProtocol() {
		return transportcontext.getATFTransportSession()
				.getTransportIdentifier();
	}

	// public void setTransportProtocol(String transportProtocol) {
	// this.transportcontext.setTransportProtocol(transportProtocol);
	// }

	public ISOAPEnvelope getSoapMessage() {
		return soapMessage;
	}

	public void setSoapMessage(ISOAPEnvelope soapMessage) {
		this.soapMessage = soapMessage;
	}

	@Deprecated
	public void setSoapMessageBySOAPEnvMetaset(Metaset soapEnv) {

		if (soapEnv instanceof ISOAPEnvelope) {
			this.soapMessage = (ISOAPEnvelope) soapEnv;
		} else {
			this.soapMessage = SOAPMessageUtil
					.convertMetasetToSOAPEnvelope(soapEnv);
		}
	}

	/** *************************** **/
	/**
	 * SOAPģԪΪSOAPEnvelopeöӦMessageContext
	 */
	public static IMessageContext getMesContextFromSOAPEnv(ISOAPEnvelope soapEnv) {
		IMessageContext messageContext = new MessageContextInOutImpl();
		if (soapEnv.getBody() == null) {
			return null;
		} else {
			messageContext.setSoapMessage(soapEnv);
			return messageContext;
		}
	}

}
