package org.act.xservices.rt.xcontainer.inf.service.wsdl;

/**
 * 
 * @author Lizq [lizq@act.buaa.edu.cn] 2007-09-25
 */

public interface WSDL11Constants {

	/**
	 * WSDL Namespace.
	 */
	public static final String NS_URI_WSDL11 = "http://schemas.xmlsoap.org/wsdl/";

	public static final String NS_URI_WSDL20 = "http://www.w3.org/ns/wsdl";

	//
	// WSDL extensions for SOAP in DIME
	// (http://gotdotnet.com/team/xml_wsspecs/dime/WSDL-Extension-for-DIME.htm)
	//
	public static final String URI_DIME_WSDL = "http://schemas.xmlsoap.org/ws/2002/04/dime/wsdl/";

	public static final String URI_DIME_CONTENT = "http://schemas.xmlsoap.org/ws/2002/04/content-type/";

	public static final String URI_DIME_REFERENCE = "http://schemas.xmlsoap.org/ws/2002/04/reference/";

	public static final String URI_DIME_CLOSED_LAYOUT = "http://schemas.xmlsoap.org/ws/2002/04/dime/closed-layout";

	public static final String URI_DIME_OPEN_LAYOUT = "http://schemas.xmlsoap.org/ws/2002/04/dime/open-layout";

	// XOP/MTOM
	public static final String URI_XOP_INCLUDE = "http://www.w3.org/2004/08/xop/include";
	public static final String ELEM_XOP_INCLUDE = "Include";

	//
	// WSDL SOAP Namespace
	//
	public static final String URI_WSDL11_SOAP = "http://schemas.xmlsoap.org/wsdl/soap/";
	public static final String URI_WSDL12_SOAP = "http://schemas.xmlsoap.org/wsdl/soap12/";

	// ͻ˵÷ʽ
	// 1,RPC Զ̵̹
	// 2,DOCUMENT ĵ͵
	public static final String STYLE_RPC = "rpc";
	public static final String STYLE_DOC = "document";
	public static final String STYLE_MSG = "msg";

	// Ϣʽ
	public static final String LITERAL = "literal";

	public static final String ENCODED = "encoded";

	// Ϣģʽ
	public static final String MEP_IN_OUT = "inout";

	public static final String MEP_IN_ONLY = "inonly";

	public static final String MEP_ROBUST_IN_ONLY = "robustinonly";

	public static final String MEP_OUT_ONLY = "outonly";

	public static final String MEP_OUT_IN = "outin";

	public static final String prefix_XSD_NAMESPACEURI = "http://www.w3.org/2001/XMLSchema";

	public static final String prefix_XSI_NAMESPACEURI = "http://www.w3.org/2001/XMLSchema-instance";

	public static final String prefix_SOAPENV_NAMESPACEURI = "http://schemas.xmlsoap.org/soap/envelope/";

	public static final String prefix_WSA_NAMESPACEURI = "http://www.w3.org/2005/08/addressing";

	public static final String prefix_WSAW_NAMESPACEURI = "http://www.w3.org/2006/02/addressing/wsdl";

	// Top-level element names.
	public static final String ELEM_DEFINITIONS = "definitions";

	public static final String ELEM_TYPES = "types";

	public static final String ELEM_MESSAGE = "message";

	public static final String ELEM_PORT_TYPE = "portType";

	public static final String ELEM_BINDING = "binding";

	public static final String ELEM_SERVICE = "service";

	// Non top-level element names.
	public static final String ELEM_PART = "part";

	public static final String ELEM_OPERATION = "operation";

	public static final String ELEM_INPUT = "input";

	public static final String ELEM_OUTPUT = "output";

	public static final String ELEM_FAULT = "fault";

	public static final String ELEM_PORT = "port";

	public static final String ELEM_DOCUMENTATION = "documentation";

	// Attribute names.
	public static final String ATTR_NAME = "name";

	public static final String ATTR_TARGET_NAMESPACE = "targetNamespace";

	public static final String ATTR_ELEMENT = "element";

	public static final String ATTR_TYPE = "type";

	public static final String ATTR_MESSAGE = "message";

	public static final String ATTR_PARAMETER_ORDER = "parameterOrder";

	public static final String ATTR_BINDING = "binding";

	public static final String ATTR_XMLNS = "xmlns";

	public static final String ATTR_NAMESPACE = "namespace";

	public static final String ATTR_LOCATION = "location";

	public static final String ATTR_REQUIRED = "required";

	// Attribute Values
	public static final String ATTR_VALUE_RPC = "rpc";

	public static final String ATTR_VALUE_DOCUMENT = "document";

}
