package org.act.xservices.rt.xcontainer.inf.service.wsdl;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.util.HashMap;
import java.util.Map;

import org.act.xservices.rt.xom.QName;

/**
 * ǶWSDL PortTypeԪغ BindingԪصĳ,ͬʱߵĽɫ
 * һBindingԪΪһPortTypeжoperationsmessagesϢʽЭϸڡһPortTypeܻжBinding
 * һBidngingָֻһЭ
 * һBidngingָaddressϢ
 * 
 * @version 1.0 2007-09-25
 * @version 1.1 2008-04-20
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */

public class XcBinding extends XcElement{
	
	private static final long serialVersionUID = 1L;
	
	private QName qName;
	
	/** operationName-->XcBindingOperation */
	private Map<String,XcBindingOperation> xcBindingOperationMap = new HashMap<String,XcBindingOperation>();
	
//	private XcEndpoint xcEndpoint;
	
	private XcPortType xcPortType;
	
	//from Binding
	private String soapb_Style;
	
	private String soapb_Transport;
	
	//Policy
//	private String wsPolicy;
//	private List<IPolicyProcessor> policyProcessorList;

	
	public XcBinding(){
		
	}
	
	public XcBinding(QName qName){	
		this.qName = qName;
	}
		
	public QName getQName() {
		return qName;
	}

	public void setQName(QName qName) {
		this.qName = qName;
	}


//	public XcEndpoint getXcEndpoint() {
//		return xcEndpoint;
//	}
//
//	public void setXcEndpoint(XcEndpoint xcEndpoint) {
//		this.xcEndpoint = xcEndpoint;
//	}

	public XcPortType getXcPortType() {
		return xcPortType;
	}

	public void setXcPortType(XcPortType xcPortType) {
		this.xcPortType = xcPortType;
	}

	


	public String getSoapb_Style() {
		return soapb_Style;
	}

	public void setSoapb_Style(String soapb_Style) {
		this.soapb_Style = soapb_Style;
	}

	public String getSoapb_Transport() {
		return soapb_Transport;
	}

	public void setSoapb_Transport(String soapb_Transport) {
		this.soapb_Transport = soapb_Transport;
	}


	
	public XcBindingOperation getXcBindingOperation(String operationName){
		return xcBindingOperationMap.get(operationName);
	}
	
	public void addXcBindingOperation(XcBindingOperation operation){
		xcBindingOperationMap.put(operation.getQName().getName(), operation);
	}
	
	public boolean removeXcBindingOperation(String operationName){
		if(xcBindingOperationMap.remove(operationName) == null){
			return false;
		}else{
			return true;
		}
	}
	
	
	public Map<String,XcBindingOperation> getXcBindingOperationMap(){
		return xcBindingOperationMap;
	}
	

	
	/**
	 * ش˶һȿ¡
	 * @return
	 * @throws Exception
	 */
	public XcBinding copy() throws Exception{
		ByteArrayOutputStream bout = new ByteArrayOutputStream();
		ObjectOutputStream out = new ObjectOutputStream(bout);
		out.writeObject(this);
		out.close();
		
		ByteArrayInputStream bin = new ByteArrayInputStream(bout.toByteArray());
		ObjectInputStream in = new ObjectInputStream(bin);
		XcBinding serBinding = (XcBinding) in.readObject();
		in.close();
		bin.close();
		return serBinding;
	}
	
	

//	public List<IPolicyProcessor> getPolicyProcessorList() {
//		return policyProcessorList;
//	}
//
//	public void setPolicyProcessorList(List<IPolicyProcessor> policyProcessorList) {
//		this.policyProcessorList = policyProcessorList;
//	}
//	
//	public String getWsPolicy() {
//		return wsPolicy;
//	}
//
//	public void setWsPolicy(String wsPolicy) {
//		this.wsPolicy = wsPolicy;
//	}

	
	
}
