package org.act.xservices.rt.xcontainer.inf.service.wsdl;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;


public abstract class XcElement extends AWSDLElement{

	private static final long serialVersionUID = 1L;
	private Map<String, Object> parameterMap;
	
	
	public Object getParameter(String name) {
		return parameterMap.get(name);
	}

	public Iterator<String> getParameterNames() {
		return parameterMap.keySet().iterator();
	}

	public void removeParameter(String name) {
		parameterMap.remove(name);
	}

	public void addParameter(String name, Object parameterValue) {
		if(parameterMap == null){
			parameterMap = new HashMap<String, Object>();
		}
		parameterMap.put(name, parameterValue);
	}
}
