package org.act.xservices.rt.xcontainer.inf.service.wsdl;

import java.util.HashMap;
import java.util.Map;

import org.act.xservices.rt.xom.QName;

public class XcMessage extends XcElement {

	/** */
	private static final long serialVersionUID = 1L;

	// Ϣ
	private QName qName;

	private String WSA_Action; // WSAҪ

	// MessageеPart
	private Map<String, XcMessagePart> xcmessagePartMap = new HashMap<String, XcMessagePart>();

	private XcOperation xcOperation;

	private XcBindingMessage xcBindingMessage;

	public XcMessage() {

	}

	public XcMessage(QName qname) {
		this.qName = qname;
	}

	public QName getQName() {
		return qName;
	}

	public void setQName(QName qname) {
		qName = qname;
	}

	public XcMessagePart getXcMessagePart(String partName) {
		return this.xcmessagePartMap.get(partName);
	}

	public void addXcMessagePart(XcMessagePart part) {
		this.xcmessagePartMap.put(part.getName().getName(), part);
	}

	public boolean removeXcMessagePart(String partName) {
		if (xcmessagePartMap.remove(partName) == null) {
			return false;
		} else {
			return true;
		}
	}

	public Map<String, XcMessagePart> getXcMessagePartMap() {
		return xcmessagePartMap;
	}

	public XcOperation getXcOperation() {
		return xcOperation;
	}

	public void setXcOperation(XcOperation xcOperation) {
		this.xcOperation = xcOperation;
	}

	public String getWSA_Action() {
		return WSA_Action;
	}

	public void setWSA_Action(String action) {
		WSA_Action = action;
	}

	public XcBindingMessage getXcBindingMessage() {
		return xcBindingMessage;
	}

	public void setXcBindingMessage(XcBindingMessage xcBindingMessage) {
		this.xcBindingMessage = xcBindingMessage;
	}

	// add by viking
	private String[] argNames = null;

	public String[] getArgNames() {
		return argNames;
	}

	public void setArgNames(String[] argNames) {
		this.argNames = argNames;
	}
}
