package org.act.xservices.rt.xcontainer.inf.service.wsdl;



import org.act.xservices.rt.xom.QName;

/**
 * 
 * @version 1.0 2007-09-25
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */

public class XcMessagePart extends XcElement{


	private static final long serialVersionUID = 8683850909793165657L;
	
	//
	private QName name;	
	
	private QName parameterType;
	
	private XcMessage xcMessage;
	
	public XcMessagePart(){
		
	}
	
	public XcMessagePart(QName name){
		this.name = name;
	}
	
	public XcMessagePart(QName name, QName parameterType){
		this.name = name;
		this.parameterType = parameterType;
	}
	

	public QName getName() {
		return name;
	}

	public void setName(QName name) {
		this.name = name;
	}

	public QName getParameterType() {
		return parameterType;
	}

	public void setParameterType(QName parameterType) {
		this.parameterType = parameterType;
	}

	public XcMessage getXcMessage() {
		return xcMessage;
	}

	public void setXcMessage(XcMessage xcMessage) {
		this.xcMessage = xcMessage;
	}

}
