package org.act.xservices.rt.xcontainer.inf.service.wsdl;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.act.xservices.rt.xom.QName;



public class XcPortType extends XcElement{

	/** */
	private static final long serialVersionUID = 1L;
	
	private QName qName;
	
	/**ӿаķ񷽷 operationName-->XcOperation */
	private Map<String,XcOperation> xcOperationMap = new HashMap<String,XcOperation>();
	
	private XcBinding xcBinding = null;
	
	
	public XcPortType(){
		
	}
	
	public XcPortType(QName qName){
		this.qName = qName;
	}
	
	public QName getQName() {
		return qName;
	}

	public void setQName(QName portTypeQName) {
		this.qName = portTypeQName;
	}
	
	/**
	 * 
	 * @param operationName QName.localpart
	 * @return
	 */
	public XcOperation getXcOperationByName(String operationName){
		return xcOperationMap.get(operationName);
	}
	
	public void addXcOperation(XcOperation xcOperation){
		xcOperationMap.put(xcOperation.getQName().getName(), xcOperation);
	}
	
	/**
	 * 
	 * @param operationName QName.localpart
	 * @return
	 */
	public boolean removeXcOperationByName(String operationName){
		if(xcOperationMap.remove(operationName) == null){
			return false;
		}else{
			return true;
		}
	}
	
	public List<XcOperation> getAllXcOperations(){
		return new ArrayList<XcOperation>(xcOperationMap.values());
	}
	
	public Map<String,XcOperation> getXcOperationMap(){
		return xcOperationMap;
	}

	public XcBinding getXcBinding() {
		return xcBinding;
	}

	public void setXcBinding(XcBinding xcBinding) {
		this.xcBinding = xcBinding;
	}

}
