package org.act.xservices.rt.xcontainer.inf.service.wsdl.schema;

import java.util.List;
/**
 * 
 * @author viking
 * @date 2010-7-30
 * @since JDK 1.5.0
 * @version 1.0.0
 *
 */
public interface ServiceSchema {
	List<OperationSchema> getOperations();

	void addOperation(OperationSchema operation);

	MessageSchema getInputMessage(String opName);

	MessageSchema getOutputMessage(String opName);

	MessageSchema getMessageSchema(String messgaeName);

	void addMessageSchema(MessageSchema message);

	List<MessageSchema> getMessageSchemas();	
}
