package org.act.xservices.rt.xcontainer.message;

import org.act.xservices.rt.xcontainer.framework.dispatch.ASafeTask;
import org.act.xservices.rt.xcontainer.inf.context.IATFTransportContext;
import org.act.xservices.rt.xcontainer.message.handler.MessageSerializeHandler;


/**
 * 
 * @LastModifyTime 2008-10-10
 * @CreationTime 2007-05-28
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */
public class MessageInTask extends ASafeTask {

	private IATFTransportContext transportContext;
	
	private MessageSerializeHandler messageSerializeHandler;

	
	public MessageInTask(){
	}
	
	public void execute() throws Exception {
		messageSerializeHandler.processIn(transportContext);
	}
	
	public void handleException(Throwable exception) {
		System.out.println("exception");
	}
	
	public void setTransportContext(IATFTransportContext transportContext) {
		this.transportContext = transportContext;
	}
	
	public void setMessageSerializeHandler(MessageSerializeHandler msh) {
		this.messageSerializeHandler = msh;
	}
}
