package org.act.xservices.rt.xcontainer.service.resolver;

import org.act.xservices.rt.xcontainer.inf.context.IServiceContext;
import org.act.xservices.rt.xcontainer.inf.service.wsdl.XcService;
import org.act.xservices.rt.xcontainer.inf.service.wsdl.XcServiceRegistry;


/**
 * @LastModifyTime 2009-4-15
 * @CreationTime 2009-4-15
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */
public abstract class AbstractServiceResolver extends AbstractResolver{


	public IServiceContext process(IServiceContext serviceContext, 
			XcServiceRegistry xcServiceRegistry) throws ResolverProcessException{
		
		XcService xcService = serviceContext.getXcService();
		
		if( xcService != null){ //ƥɣֱӷ
			return serviceContext;
		}
		
		//ҷ
		xcService = findService(serviceContext, xcServiceRegistry);
		
		if(xcService != null){
			serviceContext.setXcService(xcService);
			return serviceContext;
			
		}else{
			return serviceContext;
		}
	}
	
    public abstract XcService findService(IServiceContext serviceContext, 
			XcServiceRegistry xcServiceRegistry) throws ResolverProcessException;
}
