/*
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 *
 */
package org.act.xservices.rt.hs.server;


/**
 * An application-level HTTP request processor.
 *
 * @author The Apache MINA Project (dev@mina.apache.org)
 * @version $Rev: 615699 $, $Date: 2008-01-28 03:03:44 +0100 (lun, 28 jan 2008) $
 */
public interface HttpService
{
    void handleRequest( HttpServiceContext context ) throws Exception;

    void start();

    void stop();
}
