package org.act.xservices.rt.xcontainer.transport.http.mina.codec;

import org.act.xservices.rt.xcontainer.framework.transport.ITransportSender;
import org.act.xservices.rt.xcontainer.inf.context.IATFTransportSession;
import org.act.xservices.rt.xcontainer.transport.http.Http11TransportProtocol;
import org.apache.mina.core.session.IoSession;


/**
 * MINAIoSessionİװ
 * 
 * @LastModifyTime 2008-10-11
 * @CreationTime
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */
public class HTTPTransportSession implements IATFTransportSession {
	
	private IoSession ioSession;
	
    private String httpVersion;

    private String method;

    protected int responseCode;  //˲ĵ״̬
	
    private String reasonPhrase;

	private ITransportSender transportSender;

    
	public HTTPTransportSession(IoSession ioSession){
		this.ioSession = ioSession;
	}
	
	public HTTPTransportSession(){	
	}
    
    public String getRequestMethod() {
        return method;
    }

    public void setRequestMethod(String method) {
        this.method = method;
    }
    
    public String getHttpVersion() {
        return httpVersion;
    }

    public void setHttpVersion(String version) {
        this.httpVersion = version;
    }
    
    public String getReasonPhrase() {
        return reasonPhrase;
    }

    public void setReasonPhrase(String reasonPhrase) {
        this.reasonPhrase = reasonPhrase;
    }

	public int getResponseCode() {
		return responseCode;
	}

	public void setResponseCode(int responseCode) {
		this.responseCode = responseCode;
	}
	
	public IoSession getIoSession(){
		return ioSession;
	}
	
	
	public ITransportSender getTransportSender() {
		return transportSender;
	}

	public void setTransportSender(ITransportSender httpSender) {
		this.transportSender = httpSender;
		
	}

	//COMMENT liujian ʾǰỰʹõĴЭ飬ɴЭıʶʶ"http"
	//ĿǰҪݴЭãTransportSessionʼʱ봫봫Э顣
	public String getTransportIdentifier() {
		return Http11TransportProtocol.HTTP_TRANSPORT_IDENTIFIER;
	}

	public void close() {
		// TODO Auto-generated method stub
		throw new RuntimeException("Not Impelemnted.");
	}

}
