package org.act.xservices.rt.xcontainer.transport.smtp;

import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

import javax.mail.Session;

import org.act.xservices.rt.xcontainer.framework.transport.ITransportSender;


/**
 * 
 * @author Lizq 
 * 2008-1-18
 */
public class SMTPTransportSession implements ISMTPTransportSession{
	
	private Session smtpSession;  //ʾʼỰ
	
	private String contentType;  //

	private byte[] content; 
	
	private final Map<Object,Object> attributes = new HashMap<Object,Object>();
	
	private ITransportSender transportSender;
	
	public SMTPTransportSession(){
		
	}
	
	
	public SMTPTransportSession(Session smtpSession){
		this.smtpSession = smtpSession;
	}

	
	
//	public ITransportHandler getTransportHandler(){
//		return this.transportHandler;
//	}
//	
//	public void setTransportHandler(ITransportHandler transportHandler){
//		this.transportHandler = transportHandler;
//	}
	
	
	public Session getSmtpSession() {
		return smtpSession;
	}


	public void setSmtpSession(Session smtpSession) {
		this.smtpSession = smtpSession;
	}
	
	
    public Map getAttributes() {
        return Collections.unmodifiableMap(attributes);
    }

    public Object getAttribute(Object key) {
        return attributes.get(key);
    }

    public boolean containsAttribute(Object key) {
        return attributes.containsKey(key);
    }

    public void setAttribute(Object key, Object attribute) {
        attributes.put(key, attribute);
    }

    public void removeAttribute(Object key) {
        attributes.remove(key);
    }


	public byte[] getContent() {
		return content;
	}


	public void setContent(byte[] content) {
		this.content = content;
	}


	public String getContentType() {
		return contentType;
	}


	public void setContentType(String contentType) {
		this.contentType = contentType;
	}


	public void close() {
		// TODO Զɷ
		
	}


	public String getTransportIdentifier() {
		return SMTPTransportProtocol.SMTP_TRANSPORT_IDENTIFIER;
	}


	public ITransportSender getTransportSender() {
		return transportSender;
	}

	public void setTransportSender(ITransportSender smtpSender) {
		this.transportSender = smtpSender;
		
	}

	
	
}
