package org.act.xservices.rt.xcontainer.parser.wsdl;

import java.io.File;

public class WSDLParserFactory {

	public static final String WSDL11PARSER_OF_WSDL4J = "PARSER_OF_WSDL4J_WSDL11";

	public static final String WSDL20PARSER_OF_WODEN = "PARSER_OF_WODEN_WSDL20";

	/**
	 * һʵ
	 * 
	 * @return
	 */
	public static IWSDLParser CreatWSDLParser(String paeserName, File wsdlFile) {
		if (paeserName.equals(WSDL11PARSER_OF_WSDL4J)) {
			return new WSDL11ParserUSEWSDL4J(wsdlFile);
		} else if (paeserName.equals(WSDL20PARSER_OF_WODEN)) {
			return new WSDL20ParserUSEWODEN(wsdlFile);
		}
		return null;
	}

}
