package org.act.xservices.rt.xcontainer.wsdl.schemaImpl;

import java.util.ArrayList;
import java.util.List;

import javax.xml.namespace.QName;

import org.act.xservices.rt.xcontainer.inf.service.wsdl.schema.ComplexType;
import org.act.xservices.rt.xcontainer.inf.service.wsdl.schema.ElementType;

/**
 * 
 * @author viking
 * @date 2010-8-4
 * @since JDK 1.5.0
 * @version 1.0.0
 *
 */
public class ComplexTypeImpl extends SchemaTypeImpl implements ComplexType {

	private List<ElementType> elements = new ArrayList<ElementType>();

	private String particle;

	private QName type;
	public ComplexTypeImpl() {
		super();
	}

	public ComplexTypeImpl(String name) {
		super(name);
	}

	public void addElementType(ElementType element) {	
		elements.add(element);
	}

	public List<ElementType> getElementTypes() {		 
		return elements;
	}

	public String getComplexParticle() {
		return this.particle;
	}

	public void setComplexParticle(String particle) {
		this.particle = particle;
	}

	public QName getType() {
		 
		return type;
	}

	public void setType(QName type) { 
		this.type=type;
	}

}
