package org.act.xservices.rt.xcontainer.wsdl.test;

import java.io.File;

import org.act.xservices.rt.xcontainer.inf.service.wsdl.XcService;
import org.act.xservices.rt.xcontainer.inf.service.wsdl.schema.MessageSchema;
import org.act.xservices.rt.xcontainer.inf.service.wsdl.schema.ServiceSchema;
import org.act.xservices.rt.xcontainer.wsdl.WSDLParseException;
import org.act.xservices.rt.xcontainer.wsdl.schemaImpl.MessagePartParser;

public class MessageSchemaAnalyze extends SchemaAnalyzeBase{
	public static void showSchema(String filepath) throws WSDLParseException {
		File file = new File(filepath);
		MessagePartParser parser = new MessagePartParser(file);
		XcService xservice = parser.parseWSDL();
		ServiceSchema schema = xservice.getServiceSchema();
		for(MessageSchema message:schema.getMessageSchemas()){
			showElements(message.getAllElements(),1);
		}	
	}
}
