package org.act;

import java.util.List;
import org.act.xservices.rt.metaset.MetasetBuilder;
import org.act.xservices.rt.xcontainer.rpc.DeserializationException;
import org.act.xservices.rt.xcontainer.rpc.SerializationException;
import org.act.xservices.rt.xcontainer.rpc.util.JavaObjectDeserializeUtil;
import org.act.xservices.rt.xcontainer.rpc.util.JavaObjectSerializeUtil;
import org.act.xservices.rt.xom.Metaset;
import org.act.xservices.rt.xcontainer.xdb.XDBBean;
import org.act.xservices.rt.xom.QName;

public  class Add implements XDBBean {
public static final QName MY_QNAME = new QName(
"http://org", "add","ns1");
private Integer a;
public void setA( Integer a ){
this.a = a;
}

public Integer getA( ){
return a;
}
private Integer b;
public void setB( Integer b ){
this.b = b;
}

public Integer getB( ){
return b;
}
public Metaset serialize(QName myQname) throws SerializationException {
Metaset response = MetasetBuilder.getInstance().createElement(myQname);
QName partName;
Metaset[] items;
partName = new QName("a");
items = JavaObjectSerializeUtil.serializeParameter(a,partName, 0, false, null);
for (Metaset item : items) {
response.add(item);
}
partName = new QName("b");
items = JavaObjectSerializeUtil.serializeParameter(b,partName, 0, false, null);
for (Metaset item : items) {
response.add(item);
}
return response;
}
public static Add deserialize(Metaset param)
throws DeserializationException {
Add add = new Add();
List<Metaset> items = param.elements();
for (int i = 0; i < items.size();) {
Metaset[] params = JavaObjectDeserializeUtil.getSameItems(i, items);
i = +params.length;
Object arg;
arg = JavaObjectDeserializeUtil.deserializeParameter(
params,Integer.class, null);
add.setA((Integer) arg );
arg = JavaObjectDeserializeUtil.deserializeParameter(
params,Integer.class, null);
add.setB((Integer) arg );
}
return add;
}
public QName getMyQName() {
return this.MY_QNAME;
}
}
