package org.act;

import java.util.List;
import org.act.xservices.rt.metaset.MetasetBuilder;
import org.act.xservices.rt.xcontainer.rpc.DeserializationException;
import org.act.xservices.rt.xcontainer.rpc.SerializationException;
import org.act.xservices.rt.xcontainer.rpc.util.JavaObjectDeserializeUtil;
import org.act.xservices.rt.xcontainer.rpc.util.JavaObjectSerializeUtil;
import org.act.xservices.rt.xom.Metaset;
import org.act.xservices.rt.xcontainer.xdb.XDBBean;
import org.act.xservices.rt.xom.QName;

public  class AddResponse implements XDBBean {
public static final QName MY_QNAME = new QName(
"http://org", "addResponse","ns1");
private Integer returnArg;
public void setReturnArg( Integer returnArg ){
this.returnArg = returnArg;
}

public Integer getReturnArg( ){
return returnArg;
}
public Metaset serialize(QName myQname) throws SerializationException {
Metaset response = MetasetBuilder.getInstance().createElement(myQname);
QName partName;
Metaset[] items;
partName = new QName("returnArg");
items = JavaObjectSerializeUtil.serializeParameter(returnArg,partName, 0, false, null);
for (Metaset item : items) {
response.add(item);
}
return response;
}
public static AddResponse deserialize(Metaset param)
throws DeserializationException {
AddResponse addResponse = new AddResponse();
List<Metaset> items = param.elements();
for (int i = 0; i < items.size();) {
Metaset[] params = JavaObjectDeserializeUtil.getSameItems(i, items);
i = +params.length;
Object arg;
arg = JavaObjectDeserializeUtil.deserializeParameter(
params,Integer.class, null);
addResponse.setReturnArg((Integer) arg );
}
return addResponse;
}
public QName getMyQName() {
return this.MY_QNAME;
}
}
