package org.act;
import java.util.List;
import org.act.xservices.rt.client.ServiceClient;
import org.act.xservices.rt.client.XServicesException;
import org.act.xservices.rt.metaset.MetasetBuilder;
import org.act.xservices.rt.xcontainer.rpc.DeserializationException;
import org.act.xservices.rt.xcontainer.rpc.SerializationException;
import org.act.xservices.rt.xcontainer.rpc.util.JavaObjectDeserializeUtil;
import org.act.xservices.rt.xcontainer.rpc.util.JavaObjectSerializeUtil;
import org.act.xservices.rt.xom.Metaset;
import org.act.xservices.rt.xom.QName;
public class TestStub{
private ServiceClient serverClient;
public TestStub() {
	this("http://www.example.org/");
}
public TestStub(String uri) {
	serverClient = new ServiceClient(uri);
}
public AddResponse add(Add in)
throws SerializationException,XServicesException {
Metaset request = in.serialize(in.getMyQName());
Metaset response = serverClient.sendReceive(request);
Object obj ;
try {
	obj = AddResponse.deserialize(response);
} catch (DeserializationException e) {
	throw new XServicesException(e);
}
return (AddResponse) obj;
}
private java.lang.Object fromMetaset(Metaset param, java.lang.Class<?> type) {
	try {
if(Add.class.equals(type)){
return Add.deserialize(param);
}
if(AddResponse.class.equals(type)){
return AddResponse.deserialize(param);
}
	} catch (Exception e) {
		throw new RuntimeException(e);
	}
	return null;
}public static class Add implements XDBBean {
public static final QName MY_QNAME = new QName(
"http://org", "add","ns1");
private Integer a;
public void setA( Integer a ){
this.a = a;
}

public Integer getA( ){
return a;
}
private Integer b;
public void setB( Integer b ){
this.b = b;
}

public Integer getB( ){
return b;
}
public Metaset serialize(QName myQname) throws SerializationException {
Metaset response = MetasetBuilder.getInstance().createElement(myQname);
QName partName;
Metaset[] items;
partName = new QName("a");
items = JavaObjectSerializeUtil.serializeParameter(a,partName, 0, false, null);
for (Metaset item : items) {
response.add(item);
}
partName = new QName("b");
items = JavaObjectSerializeUtil.serializeParameter(b,partName, 0, false, null);
for (Metaset item : items) {
response.add(item);
}
return response;
}
public static Add deserialize(Metaset param)
throws DeserializationException {
Add add = new Add();
List<Metaset> items = param.elements();
for (int i = 0; i < items.size();) {
Metaset[] params = JavaObjectDeserializeUtil.getSameItems(i, items);
i = +params.length;
Object arg;
arg = JavaObjectDeserializeUtil.deserializeParameter(
params,Integer.class, null);
add.setA((Integer) arg );
arg = JavaObjectDeserializeUtil.deserializeParameter(
params,Integer.class, null);
add.setB((Integer) arg );
}
return add;
}
public QName getMyQName() {
return this.MY_QNAME;
}
}
public static class AddResponse implements XDBBean {
public static final QName MY_QNAME = new QName(
"http://org", "addResponse","ns1");
private Integer returnArg;
public void setReturnArg( Integer returnArg ){
this.returnArg = returnArg;
}

public Integer getReturnArg( ){
return returnArg;
}
public Metaset serialize(QName myQname) throws SerializationException {
Metaset response = MetasetBuilder.getInstance().createElement(myQname);
QName partName;
Metaset[] items;
partName = new QName("returnArg");
items = JavaObjectSerializeUtil.serializeParameter(returnArg,partName, 0, false, null);
for (Metaset item : items) {
response.add(item);
}
return response;
}
public static AddResponse deserialize(Metaset param)
throws DeserializationException {
AddResponse addResponse = new AddResponse();
List<Metaset> items = param.elements();
for (int i = 0; i < items.size();) {
Metaset[] params = JavaObjectDeserializeUtil.getSameItems(i, items);
i = +params.length;
Object arg;
arg = JavaObjectDeserializeUtil.deserializeParameter(
params,Integer.class, null);
addResponse.setReturnArg((Integer) arg );
}
return addResponse;
}
public QName getMyQName() {
return this.MY_QNAME;
}
}
}
