package org.act.xservice.rt.xcontainer.wsdl2java;

import java.util.HashMap;
import java.util.Map;

import org.act.xservices.log.Logger;
import org.act.xservices.log.LoggerFactory;
import org.act.xservices.rt.xcontainer.wsdl.typemapping.SimpleTypeMapper;


public final class Const {

	//ɵjavaļ
	public static final String MSG_RECERIER_IN_OUT = "MessageRecerierInOut";
	public static final String RESPONSE = "Response";
	public static final String SKELETON = "Skeleton";
	public static final String STUB = "Stub";
	public static final String TEST = "Test";
	
	public static Logger logger =  LoggerFactory.getLogger(Const.class);
	

	//˲ֵѾƵwsdl
	//types
    /*private static final String STRING = "java.lang.String";
    private static final String W_INT = "java.lang.Integer";
    private static final String W_DOUBLE = "java.lang.Double";
    private static final String W_LONG = "java.lang.Long";
    private static final String W_BYTE = "java.lang.Byte";
    private static final String W_SHORT = "java.lang.Short";
    private static final String W_BOOLEAN = "java.lang.Boolean";
    private static final String W_CHAR = "java.lang.Character";
    private static final String W_FLOAT = "java.lang.Float";
    private static final String W_CALENDAR = "java.util.Calendar";
    private static final String W_DATE = "java.util.Date";
    private static final String INT = "int";
    private static final String BOOLEAN = "boolean";
    private static final String BYTE = "byte";
    private static final String DOUBLE = "double";
    private static final String SHORT = "short";
    private static final String LONG = "long";
    private static final String FLOAT = "float";
    private static final String CHAR = "char";
    */

    //private static final String BIG_DECIMAL = "java.math.BigDecimal";
	//private static final String BIG_INTEGER = "java.math.BigInteger";
//	private static final String DAY = "org.act.xservices.rt.xcontainer.databinding.types.Day";
//	private static final String DURATION = "org.act.xservices.rt.xcontainer.databinding.types.Duration";
//	private static final String MONTH = "org.act.xservices.rt.xcontainer.databinding.types.Month";
//	private static final String MONTH_DAY = "org.act.xservices.rt.xcontainer.databinding.types.MonthDay";
//	private static final String TIME = "org.act.xservices.rt.xcontainer.databinding.types.Time";
//	private static final String YEAR = "org.act.xservices.rt.xcontainer.databinding.types.Year";
//	private static final String YEAR_MONTH = "org.act.xservices.rt.xcontainer.databinding.types.YearMonth";
//
//    private static Map<String,String> simpleTypeMap = new HashMap<String, String>();
//    static {
//    	
//    	simpleTypeMap.put("anyType", "java.util.ArrayList");
//    	
//		simpleTypeMap.put("boolean", "java.lang.Boolean");
//		simpleTypeMap.put("byte", "java.lang.Byte");
//		simpleTypeMap.put("char", "java.lang.Character");
//		simpleTypeMap.put("double", "java.lang.Double");
//		simpleTypeMap.put("float", "java.lang.Float");
//		simpleTypeMap.put("int", "java.lang.Integer");
//		simpleTypeMap.put("long", "java.lang.Long");
//		simpleTypeMap.put("short", "java.lang.Short");
//		simpleTypeMap.put("string", "java.lang.String");
//		simpleTypeMap.put("integer","java.lang.Integer");
//		
//		simpleTypeMap.put("duration",DURATION);
//		simpleTypeMap.put("dateTime","");
//		simpleTypeMap.put("time",TIME);
//		simpleTypeMap.put("date","java.util.Date");
//		simpleTypeMap.put("gYearMonth",YEAR_MONTH);
//		simpleTypeMap.put("gYear",YEAR);
//		simpleTypeMap.put("gMonthDay",MONTH_DAY);
//		simpleTypeMap.put("gDay",DAY);
//		simpleTypeMap.put("gMonth",MONTH);
//		simpleTypeMap.put("base64Binary","");
//		simpleTypeMap.put("hexBinary","");
//		simpleTypeMap.put("anyURI","");
//		simpleTypeMap.put("QName","");
//		simpleTypeMap.put("NOTATION","");
//		
//		
//		simpleTypeMap.put("normalizedString","");
//		simpleTypeMap.put("token","");
//		simpleTypeMap.put("language","");
//		simpleTypeMap.put("NMTOKEN","");
//		simpleTypeMap.put("NMTOKENS","");
//		simpleTypeMap.put("Name","");
//		simpleTypeMap.put("NCName","");
//		simpleTypeMap.put("ID","");
//		simpleTypeMap.put("IDREF","");
//		simpleTypeMap.put("ENTITY","");
//		simpleTypeMap.put("IDREFS","");
//		simpleTypeMap.put("ENTITES","");
//		
//    }

    public static boolean isSimpleType(String type){
    	//return simpleTypeMap.containsKey(type);
    	return SimpleTypeMapper.isSchemaSimpleType(type);
    }
    public static String getSimpleTypeClassName(String type){
    	//return simpleTypeMap.get(type);
    	return SimpleTypeMapper.getSimpleTypeClassName(type);
    }
    
	public static void main(String [] a){
		genTypeClass();
	}
	private static void genTypeClass(){
		String[] types={
				"boolean","byte","char","double","float","int","long","short",
				"string","integer",""
		};
		for(String tt:types){
			String s = tt.substring(0,1).toUpperCase();
			s += tt.substring(1);
			System.out.println("simpleTypeMap.put(\""+tt+"\", \""+s+"\");");
		}
	}
	
	
	
}
