package org.act.xservice.rt.xcontainer.wsdl2java;

import org.act.xservice.rt.xcontainer.wsdl2java.bean.ClassInfoBean;

/**
 * this is the main class of wsdl to java generator system
 * @author linj
 *
 */
public class Wsdl2JavaGenerator {

	private ClassInfoBean cib;
	private String wsdlFileloc;
	
	public Wsdl2JavaGenerator(String wsdlFileLoc,ClassInfoBean cib) {
		this.wsdlFileloc = wsdlFileLoc;
		this.cib = cib;
	}
	

	public void process(){
		WsdlParserAdapter parser = new WsdlParserAdapter(wsdlFileloc);
		parser.parser();
		CodeGenOperator op = new CodeGenOperator(parser.getWsdlBean(), cib);
		op.gen();
	}
	
	public static void main(String [] a){
		//F:\XserviceRuntime\XServicesWSRuntime\org.act.xservices.rt.xcontainer.codegen.wsdl2java\src\main\resources\Test.wsdl
		
		String wsdlFileLoc ="F:\\XserviceRuntime\\XServicesWSRuntime\\org.act.xservices.rt.xcontainer.codegen.wsdl2java\\src\\main\\resources\\SayHello.wsdl";
		String packageLoca = "F:\\XserviceRuntime\\XServicesWSRuntime\\org.act.xservices.rt.xcontainer.codegen.wsdl2java\\src\\test\\java\\";
		//String wsdlFileLoc = "F:\\XserviceRuntime\\tools\\wsdtworkplace\\ogr.act.xservice.rt.wsdt.codegen.wsdl2java\\src\\LearnWSDL.wsdl";
//		String packageLoca = "F:\\XserviceRuntime\\tools\\wsdtworkplace\\ogr.act.xservice.rt.wsdt.codegen.wsdl2java\\test";
		
		ClassInfoBean cib = new ClassInfoBean();
		cib.setGenClient(true);
		cib.setGenService(true);
		cib.setGenTest(true);
		cib.setPackageName("org.act");
		cib.setStubFoldFullPath(packageLoca);
		
		Wsdl2JavaGenerator generator = new Wsdl2JavaGenerator(wsdlFileLoc, cib);//new Wsdl2JavaGenerator(wsdlFileLoc,packageLoca,"org.act");
		generator.process();
	}
}
