package org.act.xservice.rt.xcontainer.wsdl2java.bean;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class WsdlBean {

	private String wsdlFileName;
	private String ServiceName;
	private List<OperationBean> operations = new ArrayList<OperationBean>();
	private Map<String , InOutTypeBean> complexTypes  = new HashMap<String, InOutTypeBean>();
	private String targetNameSpace;
	public  Map<String, InOutTypeBean> getComplexTypes() {
		return complexTypes;
	}

	public String getServiceName() {
		return ServiceName;
	}

	public void setServiceName(String serviceName) {
		ServiceName = serviceName;
	}

	public List<OperationBean> getOperations() {
		return operations;
	}

	public void setOperations(List<OperationBean> operations) {
		this.operations = operations;
	}
	
	public  void addType(String typeName, InOutTypeBean iotb){
		complexTypes.put(typeName, iotb);
	}
	public InOutTypeBean get(String typeName){
		return complexTypes.get(typeName);
	}
	public void addOperation(OperationBean opb){
		operations.add(opb);
	}

	public String getWsdlFileName() {
		return wsdlFileName;
	}

	public void setWsdlFileName(String wsdlFileName) {
		this.wsdlFileName = wsdlFileName;
	}

	public String getTargetNameSpace() {
		return targetNameSpace;
	}

	public void setTargetNameSpace(String targetNameSpace) {
		this.targetNameSpace = targetNameSpace;
	}
}
