package org.act.xservices.rt.xnotification;

import org.act.xservices.rt.metaset.MetasetBuilder;
import org.act.xservices.rt.xom.Attribute;
import org.act.xservices.rt.xom.Metaset;
import org.act.xservices.rt.xom.QName;

public class NotificationUtil {

	private static MetasetBuilder metasetBuilder = 
		MetasetBuilder.getInstance();
	
	
	
	public static Metaset getMetasetOfPrefix_WSNBR(String localPart){
		return metasetBuilder.newMetaset(
				NotificationConstants.URI_NS_WSN_BR, localPart, "wsn-br");
	}
	
	
	public static Metaset getMetasetOfPrefix_WSA(String localPart){
		return metasetBuilder.newMetaset(
				NotificationConstants.URI_NS_WSA, localPart, "wsa");
	}
	
	public static Metaset getMetasetOfPrefix_WSNT(String localPart){
		return metasetBuilder.newMetaset(
				NotificationConstants.URI_NS_WSNT, localPart, "wsnt");
	}
	
	public static Metaset getMetasetNoPrefix(String localPart){
		return metasetBuilder.newMetaset(localPart);
	}
	
	public static Metaset getMetaset(String namespaceURI, String localPart, String prefix){
		return metasetBuilder.newMetaset(namespaceURI, localPart, prefix);
	}
	
	public static Attribute getNewAttribute(String localName, String value){
		return metasetBuilder.newAttribute(localName, value);
	}
	
	public static Attribute getNewAttribute(QName qName, String value){
		return metasetBuilder.newAttribute(qName, value);
	}
}
