package org.act.xservices.rt.xnotification.base.fault;

import java.util.Calendar;

import org.act.xservices.rt.xcontainer.addressing.IEndpointReference;
import org.act.xservices.rt.xom.Metaset;

/**
 * 
 * @version 1.0 2008-3-22
 * @author liwu 2006-5-10
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */


public class InvalidMessageContentExpressionException extends
		NotificationBaseException {

	private static final long serialVersionUID = -8958359800441553270L;

	public InvalidMessageContentExpressionException(String name,
			Calendar timestamp, String description) {
		super(name, timestamp, description);
	}

	/**
	 * @param name
	 * @param timestamp
	 * @param originatorReference
	 * @param errorCode
	 * @param description
	 * @param faultCause
	 */
	public InvalidMessageContentExpressionException(String name,
			Calendar timestamp, IEndpointReference originatorReference,
			Metaset errorCode, String description, Metaset faultCause) {
		super(name, timestamp, originatorReference, errorCode, description,
				faultCause);
	}

}
