package org.act.xservices.rt.xnotification.base.impl;

import org.act.xservices.rt.xcontainer.addressing.IEndpointReference;
import org.act.xservices.rt.xnotification.base.INotificationPublisher;
import org.act.xservices.rt.xnotification.base.IPublisherTopicSet;
import org.act.xservices.rt.xnotification.base.ITopicTreesSet;

/**
 * ֪ͨ߳
 * 
 * @version 1.0 2008-3-3
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */
public abstract class ANotificationPublisher implements INotificationPublisher {

	
	/**֪ͨߵĶ˵ */
	protected IEndpointReference publisherEPR;
	
	/**ֵ֪֧ͨ⼯ */
	protected IPublisherTopicSet publisherTopicSet;
	
	/**֪ͨ漰νṹĳЩǲֵ֧ */
	protected ITopicTreesSet topicTreesSet;
	
	/**
	 * һ֪ͨ߱뺬һ֪ͨERPе֪ͨϢ֪ͨ 
	 * עԺж֪ͨ˴д by lizq 2008-03-18
	 */
	protected IEndpointReference notificationBrokerEPR;
	
	
	
	
	public ANotificationPublisher(IEndpointReference publisherEPR){
		this.publisherEPR = publisherEPR;
		this.publisherTopicSet = new PublisherTopicSet();
		this.topicTreesSet = new TopicTreesSet();
	}
	
	
	public IEndpointReference getEPR() {
		return publisherEPR;
	}
	
//	public void setEPR(IEndpointReference publisherEPR) {
//		this.publisherEPR = publisherEPR;
//	}
	

	public IPublisherTopicSet getTopicSet() {
		return publisherTopicSet;
	}
	
	public ITopicTreesSet getTopicTreesSet() {
		return topicTreesSet;
	}
	
	public IEndpointReference getNotificationBrokerEPR() {
		return notificationBrokerEPR;
	}


	

	public void setNotificationBrokerEPR(IEndpointReference notificationBrokerEPR) {
		this.notificationBrokerEPR = notificationBrokerEPR;
	}
	
}
