package org.act.xservices.rt.xnotification.broker;

import java.util.Calendar;
import java.util.Set;

import org.act.xservices.rt.xcontainer.addressing.IEndpointReference;
import org.act.xservices.rt.xcontainer.addressing.IMessageAddressingProperties;
import org.act.xservices.rt.xnotification.topic.ITopic;
import org.act.xservices.rt.xnotification.topic.expression.ITopicExpression;

public interface IPublisherRegistrationContext {
	
    /**
     * @return  demand
     */
    public boolean isDemand();


    /**
     * @param demand Ҫõ demand
     */
    public void setDemand(boolean demand);
    
    
    /**
     * @return  initialTerminationTime
     */
    public Calendar getInitialTerminationTime();


    /**
     * @param initialTerminationTime Ҫõ initialTerminationTime
     */
    public void setInitialTerminationTime(Calendar initialTerminationTime);
    
    

    /**
     * @return  publisherReferenceEPR
     */
    public IEndpointReference getPublisherReferenceEPR();


    /**
     * @param publisherReferenceEPR Ҫõ publisherReferenceEPR
     */
    public void setPublisherReferenceEPR(IEndpointReference publisherReferenceEPR);
    
    
    /**
     * @return  topicExpression
     */
    public ITopicExpression[] getTopicExpressions();


    /**
     * @param topicExpression Ҫõ topicExpression
     */
    public void setTopicExpressions(ITopicExpression[] topicExpressions);
    
    
	public IMessageAddressingProperties getMesAP();
	
	public Set<ITopic> getTopicsSet();


	public void setTopicsSet(Set<ITopic> topicsSet);

}
