
package org.act.xservices.rt.xnotification.message.base;

import org.act.xservices.rt.xnotification.util.ConfigException;
import org.act.xservices.rt.xom.Metaset;

/**
 * 
 * @version 1.0 2008-3-16
 * @author liwu 2006-6-12
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */
public class CreatePullPointResponseMessage extends Message {

    /**
     *    
<s:Envelope ... > 
<s:Header> 
<wsa:Action> 
http://docs.oasis-open.org/wsn/bw-2/PullPoint/CreatePullPointResponse 
</wsa:Action> 
... 
</s:Header> 
<s:Body> 
<wsnt:CreatePullPointResponse> 
<wsnt:PullPoint> 
<wsa:Address>...</wsa:Address> 
... 
</wsnt:PullPoint> 
</wsnt:CreatePullPointResponse> 
</s:Body> 
</s:Envelope>
     */
	
    public CreatePullPointResponseMessage(Metaset response) {
		buildMessageSkeleton();
		this.getWSAAction().setText(actionValue);
		this.getBody().add(response);
	}

	private String actionValue = "http://docs.oasis-open.org/wsn/bw-2/PullPoint/CreatePullPointResponse";

	public void config(Metaset config) throws ConfigException {
		// TODO Զɷ

	}

}
