
package org.act.xservices.rt.xnotification.message.base;

import org.act.xservices.rt.xnotification.NotificationUtil;
import org.act.xservices.rt.xnotification.util.ConfigException;
import org.act.xservices.rt.xom.Metaset;

/**
 * 
 * @version 1.0 2008-3-16
 * @author liwu 2006-6-12
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */
public class DestroyPullPointResponseMessage extends Message {

    /**
<s:Envelope ... > 
<s:Header> 
<wsa:Action> 
http://docs.oasis-open.org/wsn/bw-2/PullPoint/DestroyPullPointResponse 
</wsa:Action> 
... 
</s:Header> 
<s:Body> 
<wsnt:DestroyPullPointResponse/> 
</s:Body> 
</s:Envelope>
     */
    public DestroyPullPointResponseMessage() {
        super();
        buildMessageSkeleton();      
        this.getWSAAction().setText(actionValue);
        Metaset response = NotificationUtil.getMetasetOfPrefix_WSNT("DestroyPullPointResponse");
        this.getBody().add(response);
    }
    private String actionValue="http://docs.oasis-open.org/wsn/bw-2/PullPoint/DestroyPullPointResponse";

    public void config(Metaset config) throws ConfigException {
        // TODO Զɷ

    }

}
