
package org.act.xservices.rt.xnotification.message.base;

import org.act.xservices.rt.xnotification.util.ConfigException;
import org.act.xservices.rt.xom.Metaset;

/**
 * GetCurrentMessage  ӦϢ
 * @version 1.0 2008-3-16
 * @author liwu 2006-6-12
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */

public class GetCurrentMessageResponseMessage extends Message {

    /**
     * 
<s:Envelope ... >
<s:Header>
<wsa:Action>
http://docs.oasis-open.org/wsn/bw-2/NotificationProducer/GetCurrentMessageResponse 
</wsa:Action> 
... 
</s:Header> 
<s:Body> 
<wsnt:GetCurrentMessageResponse> 
<npex:NotifyContent>exampleNotifyContent</npex:NotifyContent> 
</wsnt:GetCurrentMessageResponse> 
</s:Body> 
</s:Envelope>
     */
	
	private String actionValue = "http://docs.oasis-open.org/wsn/bw-2/NotificationProducer/GetCurrentMessageResponse";

	public GetCurrentMessageResponseMessage(Metaset response) {
		buildMessageSkeleton();
		this.getWSAAction().setText(actionValue);
		this.getBody().add(response);

	}
	
	public void config(Metaset config) throws ConfigException {
		// TODO Զɷ

	}

}
