
package org.act.xservices.rt.xnotification.message.base;

import org.act.xservices.rt.xnotification.util.ConfigException;
import org.act.xservices.rt.xom.Metaset;

/**
 * 
 * @version 1.0 2008-3-16
 * @author liwu
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */
public class GetMessagesResponse extends Message {

    /**
     * 
<s:Envelope ... > 
<s:Header> 
<wsa:Action> 
http://docs.oasis-open.org/wsn/bw-2/PullPoint/GetMessagesResponse 
</wsa:Action> 
... 
</s:Header> 
<s:Body> 
<wsnt:GetMessagesResponse> 
<wsnt:NotificationMessage> 
... 
</wsnt:NotificationMessage> 
<wsnt:NotificationMessage> 
... 
</wsnt:NotificationMessage> 
</wsnt:GetMessagesResponse> 
</s:Body> 
</s:Envelope>
     */
	
	private String actionValue = 
		"http://docs.oasis-open.org/wsn/bw-2/PullPoint/GetMessagesResponse ";

	 
    public GetMessagesResponse(Metaset response) {
      
        this.getWSAAction().setText(actionValue);
        this.getBody().add(response);
    }
   
    public void config(Metaset config) throws ConfigException {

    }

}
