package org.act.xservices.rt.xnotification.message.base;

import org.act.xservices.rt.xnotification.base.fault.InvalidTopicExpressionException;
import org.act.xservices.rt.xnotification.topic.expression.ITopicExpression;
import org.act.xservices.rt.xom.Metaset;


/**
 * ϢеFilter
 * ڹ˷֪ͨߵ֪ͨϢ
 * 
 * @version 1.0 
 * @author cover_eye wangyg@act.buaa.edu.cn
 * @since JDK1.5
 */
public interface IFilter {

    /**
     * ڶϢУȷʽ
     * @param topicExpression
     */
    public void setTopicExpressions(ITopicExpression[] topicExpression);

    public ITopicExpression[] getTopicExpressions();

    /**
     * ڶϢУ֪ͨߵһЩԴ
     * @param producerResourceProperty
     */
    public void setProducerProperties(Metaset producerResourceProperty);

    public Metaset getProducerProperties();

    /**
     * ֪ͨϢݵĹ
     * ʽ֪ͨϢݽֵΪһbooleanֵ
     * @param messageContent
     */
    public void setMessageContent(Metaset messageContent);

    public Metaset getMessageContent();

    /**
     * filterϢ壬Filter
     * @param filter
     * @throws InvalidTopicExpressionException
     */
    public void buildFilter(Message filterMessage) throws InvalidTopicExpressionException;

    /**
     * FilterתΪMetaset
     * @return
     */
    public Metaset toMetaset();
    
}
