package org.act.xservices.rt.xnotification.message.broker;

import org.act.xservices.rt.xnotification.message.base.Message;
import org.act.xservices.rt.xnotification.util.ConfigException;
import org.act.xservices.rt.xom.Metaset;

/**
 * 
 * @version 1.0 2008-3-16
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */
public class DestroyRegistrationRequestMessage extends Message {

	/**
	 * ٷעϢ
	<s:Envelope ... >
	  <s:Header>
	    <wsa:Action>
	      http://docs.oasis-open.org/wsn/brw-2/PublisherRegistrationManager/DestroyRegistrationRequest
	    </wsa:Action>
	    ...
	  </s:Header>
	  <s:Body>
	    <wsn-br:DestroyRegistration>
	       <wsn-br:PublisherReference>
             <wsa:Address>
                http://www.example.org/PublisherEndpoint
             </wsa:Address>
           </wsn-br:PublisherReference>
	    <wsn-br:DestroyRegistration/>
	  </s:Body>
	</s:Envelope>
	*/
	
	
	private String actionValue = 
		"http://docs.oasis-open.org/wsn/brw-2/PublisherRegistrationManager/DestroyRegistration";

	public DestroyRegistrationRequestMessage(Metaset messagebody) {
		buildMessageSkeleton();
		this.getWSAAction().setText(actionValue);
		this.getBody().add(messagebody);

	}

	public void config(Metaset config) throws ConfigException {
		// TODO Զɷ

	}

}
