
package org.act.xservices.rt.xnotification.topic.expression;

import java.util.Map;

/**
 * ʽ
 * 
 * @version 1.0 2008-3-13
 * @author cover_eye wangyg@act.buaa.edu.cn 2006-5-12
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */
public abstract class TopicExpression implements ITopicExpression {
    
	/** */
	private static final long serialVersionUID = 1L;

	String dialect = null;

    String content = null;
    
    /**˱ʽ漰ƿռӳ localname-->NameSpaceURI */
    Map<String, String> tpNamespaceMap =null;

    /**
     * TODO...汾ı仯Ҫdialect...
     *
     * 
     * @param dialect
     * @param content
     */
    public TopicExpression(String dialect, String content, Map<String, String> tpNamespaceMap) {
        this.dialect = dialect;
        this.content = content;
        this.tpNamespaceMap = tpNamespaceMap;
    }

    
    public String getContent() {
        return content;
    }

    public String getDialect() {
        return dialect;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public void setDialect(String dialectURL) {
        this.dialect = dialectURL;

    }

    public Map<String,String> getTopicNamespaceMap(){
    	return tpNamespaceMap;
    }
 
    public void setTopicNamespaceMap(Map<String,String> tpNamespaceMap){
    	this.tpNamespaceMap = tpNamespaceMap;
    }
    
    

	public String toString() {
        return "dialect:" + dialect + ",content:" + content;
    }

    public boolean equals(Object anObject) {
    	if (this == anObject) {
    	    return true;
    	}
    	if (anObject instanceof TopicExpression) {
    		if (((TopicExpression)anObject).
    				toString().equals(this.toString())){
                return true;
            }
    	}
    	return false;
    }
   

	public int hashCode() {
        return toString().hashCode();
    }



}
