package org.act.xservices.rt.soap;

import org.act.xservices.rt.soap.exception.SOAPProcException;
import org.act.xservices.rt.xom.Metaset;

/**
 * @author Viking.Liu
 * @since JDK 1.5
 * @date 2010-6-5
 * @version 1.0.0
 * 
 */
public interface ISOAPFaultCode extends Metaset {

	/** @param value */
	void addFaultValue(ISOAPFaultValue faultValue) throws SOAPProcException;

	/** @return Returns ISOAPFaultValue. */
	ISOAPFaultValue getFaultValue() throws SOAPProcException;

	/** @param value */
	void addFaultSubCode(ISOAPFaultSubCode faultSubNode)
			throws SOAPProcException;

	/** @return Returns ISOAPFaultSubCode. */
	ISOAPFaultSubCode getFaultSubCode() throws SOAPProcException;

}
