package org.act.xservices.rt.soap;

import java.util.Iterator;

import org.act.xservices.rt.xom.Metaset;

/**
 * @author Viking.Liu
 * @since JDK 1.5
 * @date 2010-6-5
 * @version 1.0.0
 * 
 */
/**
 * The Detail element information item is intended for carrying application
 * specific error information related to the SOAP Body .
 * <p/>
 * The Detail element information item has: A [local name] of Detail . A
 * [namespace name] of http://www.w3.org/2003/05/soap-envelope . Zero or more
 * attribute information items in its [attributes] property. Zero or more child
 * element information items in its [children] property.
 */
public interface ISOAPFaultDetail extends Metaset {
	void addDetailEntry(Metaset detailElement);

	Iterator<Metaset> getAllDetailEntries();
}
