package org.act.xservices.rt.soap;

import org.act.xservices.rt.xom.Metaset;

/**
 * @author Viking.Liu
 * @since JDK 1.5
 * @date 2010-6-5
 * @version 1.0.0
 * 
 */
public interface ISOAPFaultNode extends Metaset {

	/**
	 * each SOAP node is identified by a URI. The value of the Node element
	 * information item is the URI that identifies the SOAP node that generated
	 * the fault. SOAP nodes that do not act as the ultimate SOAP receiver MUST
	 * include this element information item. An ultimate SOAP receiver MAY
	 * include this element information item to indicate explicitly that it
	 * generated the fault.
	 * 
	 * @param uri
	 */
	void setNodeValue(String uri);

	String getNodeValue();
}
