package org.act.xservices.rt.soap;

import org.act.xservices.rt.xom.Metaset;

/**
 * @author Viking.Liu
 * @since JDK 1.5
 * @date 2010-6-5
 * @version 1.0.0
 * 
 */
/**
 * The Role element information item identifies the role the node was operating
 * in at the point the fault occurred.
 * <p/>
 * The Role element information item has: A [local name] of Role . A [namespace
 * name] of http://www.w3.org/2003/05/soap-envelope .
 */
public interface ISOAPFaultRole extends Metaset {

	/**
	 * The value of the Role element information item MUST be one of the roles
	 * assumed by the node during processing of the message
	 * 
	 * @param uri
	 */
	void setRoleValue(String uri);

	String getRoleValue();
}
