package org.act.xservices.rt.soap;

import org.act.xservices.rt.soap.exception.SOAPProcException;
import org.act.xservices.rt.xom.Metaset;
/**
 * @author Viking.Liu
 * @since JDK 1.5
 * @date 2010-6-5
 * @version 1.0.0
 * 
 */
public interface ISOAPFaultSubCode extends Metaset {

	/**
	 * Fault SubCode contain only one mandatory Value child. This value child
	 * contains a QName
	 * 
	 * @param soapFaultSubCodeValue
	 */
	void addFaultValue(ISOAPFaultValue soapFaultSubCodeValue)
			throws SOAPProcException;

	ISOAPFaultValue getFaultValue() throws SOAPProcException;

	/**
	 * Fault SubCode can contain an optional SubCode
	 * 
	 * @param subCode
	 */
	void addFaultSubCode(ISOAPFaultSubCode subCode) throws SOAPProcException;

	ISOAPFaultSubCode getFaultSubCode() throws SOAPProcException;
}
