package org.act.xservices.rt.soap.impl;

import java.util.Iterator;

import org.act.xservices.rt.soap.ISOAPFaultDetail;
import org.act.xservices.rt.xom.Metaset;
import org.act.xservices.rt.xom.Namespace;
import org.act.xservices.rt.xom.QName;
import org.act.xservices.rt.xom.tree.DefaultElement;

/**
 * 
 * @author Viking.Liu
 * @date 2010-6-3
 * @since JDK 1.5
 * @version 1.0.0
 * 
 */
public abstract class SOAPFaultDetailImpl extends DefaultElement implements
		ISOAPFaultDetail {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public SOAPFaultDetailImpl(QName qname) {
		super(qname);
	}

	public SOAPFaultDetailImpl(String name, Namespace namespace) {
		super(name, namespace);
	}

	public SOAPFaultDetailImpl(String name) {
		super(name);
	}

	
	public void addDetailEntry(Metaset detailElement) {
		add(detailElement);
	}

	
	public Iterator<Metaset> getAllDetailEntries() {
		return elementIterator();
	}
}
