package org.act.xservices.rt.soap11.impl;

import org.act.xservices.rt.soap.ISOAPFault;
import org.act.xservices.rt.soap.exception.SOAPException;
import org.act.xservices.rt.soap.exception.SOAPProcException;
import org.act.xservices.rt.soap.factory.SOAPFactory;
import org.act.xservices.rt.soap.impl.SOAPBodyImpl;
import org.act.xservices.rt.xom.Namespace;
import org.act.xservices.rt.xom.QName;
/**
 * 
 * @author Viking.Liu
 * @date2010-6-9
 * @since JDK 1.5
 * @version 1.0.0 
 *
 */
public class SOAP11BodyImpl extends SOAPBodyImpl{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;


	public SOAP11BodyImpl() {
		super();
	}

	public SOAP11BodyImpl(QName qname) {
		super(qname);
	}

	public SOAP11BodyImpl(String name, Namespace namespace) {
		super(name, namespace);
	}

	public ISOAPFault addFault(Exception e) throws SOAPException {
		ISOAPFault fault;
		try {
			fault = SOAPFactory.getSOAP11Factory().createSOAPFault(e);
			addFault(fault);
			return fault;
		} catch (SOAPProcException e1) {
			e1.printStackTrace();
		}
		return null;
	}
}
