package org.act.xservices.rt.soap12.impl;

import org.act.xservices.rt.soap.ISOAPFault;
import org.act.xservices.rt.soap.exception.SOAPException;
import org.act.xservices.rt.soap.exception.SOAPProcException;
import org.act.xservices.rt.soap.factory.SOAPFactory;
import org.act.xservices.rt.soap.impl.SOAPBodyImpl;
import org.act.xservices.rt.xom.Namespace;
import org.act.xservices.rt.xom.QName;

/**
 * 
 * @author Viking.Liu
 * @date 2010-6-3
 * @since JDK 1.5
 * @version 1.0.0
 * 
 */
public class SOAP12BodyImpl extends SOAPBodyImpl {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public SOAP12BodyImpl() {
		super();
	}

	public SOAP12BodyImpl(QName qname) {
		super(qname);
	}

	public SOAP12BodyImpl(String name, Namespace namespace) {
		super(name, namespace);
	}

	public ISOAPFault addFault(Exception e) throws SOAPException {
		ISOAPFault fault;
		try {
			fault = SOAPFactory.getSOAP12Factory().createSOAPFault(e);
			addFault(fault);
			return fault;
		} catch (SOAPProcException e1) {
			throw e1;
		}
	}
}
