package org.act.xservices.rt.soap;

import java.io.InputStream;

import org.act.xservices.rt.soap.builder.ISOAPBuilder;
import org.act.xservices.rt.soap.builder.SOAPBuilderFactory;

public class SOAPBaseTest {
	public static InputStream getInputStream(String filepath) {
		return SOAPBaseTest.class.getClassLoader()
				.getResourceAsStream(filepath);
	}

	public static ISOAPMessage readSOAPMessage(String filepath) {
		ISOAPBuilder builder = SOAPBuilderFactory.getSOAPBuilder();
		// builder.setSOAPFactory(SOAPFactory.getSOAP11Factory());

		return builder.readSOAPMessage(getInputStream(filepath));

	}
}
