package org.act.xservices.rt.metaset.query;

import java.util.ArrayList;
import java.util.List;
import java.util.StringTokenizer;


import org.act.xservices.rt.metaset.exception.ElementExpressionException;
import org.act.xservices.rt.metaset.utils.ExpressionUtil;
import org.act.xservices.rt.xom.Attribute;
import org.act.xservices.rt.xom.QName;


/**
 * Ԫرʽ,ʾ·ʽеԪأ¼ʽ 1. "act:book@actAttr:name='java'" 2.
 * "{http://act.buaa.edu.cn}book@{http://xiao.org}name='java'" 3.
 * "act:book@{http://xiao.org}name='java'" 4.
 * {http://act.buaa.edu.cn}book@actAttr:name='java'
 * 
 * 
 * ԪػԵQNameֱʾʽ 1. {NamespaceURI}Localpart 2. Prefix:Localpart
 * 
 * 
 * @version 1.0 2006-11-06
 * @version 1.1 2008-05-07
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */

public class ElementExpression {

	/** Ԫرʽ */
	private QName elementQName = null;

	/** Ԫرʽбע˴ĬֵΪListNULL by lizq */
	private List<Attribute> attrList = new ArrayList<Attribute>(0);

	/**
	 * ñʽԪرʽ
	 * 
	 * @param eleExp
	 */
	public ElementExpression(String eleExp) throws ElementExpressionException {
		parseElementExp(eleExp);
	}

	/**
	 * ñʽ(ַ)н
	 * 
	 * @param eleExp
	 * @throws ElementExpressionException
	 */
	private void parseElementExp(String eleExp)
			throws ElementExpressionException {

		eleExp = eleExp.trim();

		StringTokenizer st = new StringTokenizer(eleExp,
				PathExpConstant.SEPERATOR_OF_ATTRIBUTE);

		// parse Ԫ
		if (st.hasMoreTokens()) {
			String elementStr = st.nextToken();
			QName qname = ExpressionUtil.parseQNameString(elementStr);
			this.setElementQName(qname);
		}

		// parse 
		while (st.hasMoreTokens()) {
			// {http://xiao.org}name='java'
			attrList.add(ExpressionUtil.parseAttributeString(st.nextToken()));
		}// end of while
	}

	/**
	 * 
	 * @return
	 */
	public List<Attribute> getAttrList() {
		return attrList;
	}

	/**
	 * 
	 * @param attrList
	 */
	public void setAttrList(List<Attribute> attrList) {
		this.attrList = attrList;
	}

	/**
	 * 
	 * @return
	 */
	public QName getElementQName() {
		return elementQName;
	}

	/**
	 * 
	 * @param elementName
	 */
	public void setElementQName(QName elementQName) {
		this.elementQName = elementQName;
	}

}
