package org.act.xservices.rt.metaset.query;

import java.util.List;
import java.util.ArrayList;
import java.util.StringTokenizer;

import org.act.xservices.rt.metaset.exception.ElementExpressionException;
import org.act.xservices.rt.metaset.exception.PathExpressionException;


/**
 * ѡ·ıʽ
 * 磺"act:store\\act:book@act:name=Java@act:author=LW"
 * -------------------------------------------------------------------------------------
 * ·ʽPathExpķΪ
 * ( *ʾƥԪֵ) 
 * (.ʾƥ䵱ǰԪ·ʽĿͷ)
 * 
 * 
 *  = Ա  |  ǰ׺:Ա  |  {ƿռURI}Ա  |  *
 * AttrName = AttrLocalName  |  Prefix:AttrLocalName  |  {NSURI}AttrLocalName  |  *
 * 
 * ֵ = ַ  |  *
 * AttrValue = String  |  *
 * 
 *  =   |  ='ֵ'
 * Attr = AttrName  |  AttrName='AttrValue'
 * 
 *  = @  |  
 * AttrGroup = AttrGroup@Attr  |  Attr
 * 
 * Ԫ = Ԫر  |  ǰ׺: Ԫر  |  {ƿռURI}Ԫر  |   *
 * ElemName = ElemLocalName  |  Prefix:ElemLocalName  |  {NSURI}ElemLocalName  |  *
 * 
 * Ԫرʽ =  Ԫ  |  Ԫ@
 * ElemExp = ElemName  |  ElemName@AttrGroup
 * 
 * Ԫرʽ-1 = .  |  .@
 * ElemExp-1 = .  |  .@AttrGroup
 * 
 * ·ʽ-1  = ·ʽ-1\\Ԫرʽ  |  Ԫرʽ 
 * pathExp-1 = pathExp-1\\ElemExp  |  ElemExp
 * 
 * ·ʽ-2  =  Ԫرʽ-1  |  Ԫرʽ-1\\·ʽ-1 
 * pathExp-2 = ElemExp-1  |  ElemExp-1\\pathExp-1 
 * 
 * ·ʽ = ·ʽ-1  |  ·ʽ-2
 * pathExp = pathExp-1  |  pathExp-2
 * 
 * ---------------------------------------------------------------------------------------
 * 
 * @version 1.0 2006-11-06
 * @version 1.1 2008-05-06
 * @author cover_eye
 * @author Lizq [lizq@act.buaa.edu.cn]
 * @since JDK1.5
 */

public class PathExpression implements IPathExpression{
	

	/**洢õԪرʽ */
	private List<ElementExpression> elementList;

	
	/**
	 * ñʽʽ
	 * 
	 * @param pathExp
	 */
	public PathExpression(String pathExp) throws ElementExpressionException, PathExpressionException {
		parse(pathExp);
	}

	/**
	 * ñʽ(ַ)н,ؽõԪرʽ
	 * 
	 * @param pathExp
	 * @return
	 * @throws ElementExpressionException 
	 */
	//TODO ַ﷨ add by lizq 20080508
	private void parse(String pathExp) throws ElementExpressionException, PathExpressionException  {
		
		//ա\\pathExpиٶиÿһ־ΪһElemExp,ElementExpressionн
		elementList = new ArrayList<ElementExpression>();
		
		StringTokenizer st = new StringTokenizer(pathExp, PathExpConstant.SEPERATOR_OF_Element);
		
		while (st.hasMoreTokens()) {
			String str = st.nextToken();
			elementList.add(new ElementExpression(str));
		}
	}

	/**
	 * õñʽԪرʽб
	 * 
	 * @return
	 */
	public List<ElementExpression> getElementList() {
		return elementList;
	}

	/**
	 * 
	 * @param elementList:Ԫرʽ
	 */
	public void setElementList(List<ElementExpression> elementList) {
		this.elementList = elementList;
	}

}
