package org.act.xservices.rt.xsecurity.authen;

import javax.security.auth.Subject;

import org.act.xservices.rt.xsecurity.exception.LoginException;



public class LoginContext
{

	private Subject subject; // û֤ɵSubject

	private AuthenProcessor[] loginModules; // ֤ģ飬ÿģ鸺һַʽ֤

	
	
	private String id;
	
	private String clientAsymPubKey;

	/**
	 * 캯
	 */
	public LoginContext()
	{
		this.subject = new Subject();
		this.loginModules = null;
		//this.soapsec = null;
	}

	/**
	 * ֤
	 * @throws LoginException
	 */
	public boolean login() throws LoginException, Exception
	{
		if (loginModules != null)
		{
			for (int i = 0; i < loginModules.length; i++)
			{
				// ø֤ģlogin֤
				if (loginModules[i] != null && loginModules[i].login(this))
				{
					id = loginModules[i].getId();
					return true; // κһ֤ģɹ֤򷵻trueʾ֤ͨ
				}
					
			}
		}
		return false; // ûκ֤ģ飬û֤ģɹ֤֤ʧܡ
	}

	/**
	 * ȡ֤
	 * @return   ֤SubjectаPrincipalÿPrincipalһݡ
	 *           һ˵÷᷵nullܷزκPrincipalSubject
	 *           ˵֤ģ鶼ȷߵݡ
	 */
	public Subject getSubject()
	{
		return this.subject;
	}

	/**
	 * ע̡һεû߻Ựʱá
	 * @throws LoginException
	 */
	public boolean logout() throws LoginException
	{
		if (loginModules != null)
		{
			for (int i = 0; i < loginModules.length; i++)
			{
				// ø֤ģlogoutע
				if (loginModules[i] != null && loginModules[i].logout(this))
					return true;
			}
		}
		return false; // ûκ֤ģ飬û֤ģɹעעʧܡ
	}

	/**
	 * ֤ģ
	 * @param loginModules
	 */
	public void setLoginModules(AuthenProcessor[] loginModules)
	{
		this.loginModules = loginModules;
	}

	/**
	 * ȡ֤ģ
	 * @return
	 */
	public AuthenProcessor[] getLoginModules()
	{
		return this.loginModules;
	}

	

	/**
	 * @return the id
	 */
	public String getId()
	{
		return id;
	}

	/**
	 * @param id the id to set
	 */
	public void setId(String id)
	{
		this.id = id;
	}

	/**
	 * @return the clientAsymPubKey
	 */
	public String getClientAsymPubKey()
	{
		return clientAsymPubKey;
	}

	/**
	 * @param clientAsymPubKey the clientAsymPubKey to set
	 */
	public void setClientAsymPubKey(String clientAsymPubKey)
	{
		this.clientAsymPubKey = clientAsymPubKey;
	}

	
	
}
