package org.act.xservices.rt.xsecurity.enc;

import java.security.Key;
import java.security.NoSuchAlgorithmException;

import org.act.xservices.rt.xom.Metaset;
import org.act.xservices.rt.xsecurity.exception.EncryptException;
import org.act.xservices.rt.xsecurity.util.tConst;


public class XMLEncoder {
	private Metaset xmlMt;

	private Key symKey;

	private String encPara;
	
	private String SyAlgorithm;

	/**
	 * @param xmlMt
	 */
	public XMLEncoder(Metaset xmlMt, Key symKey, String encPara, String syalgorithm) {
		super();
		this.xmlMt = xmlMt;
		this.symKey = symKey;
		this.encPara = encPara;
		this.SyAlgorithm=syalgorithm;
	}
	
	public XMLEncoder(Metaset xmlMt,Key symKey,String encPara)
	{
		super();
		this.xmlMt = xmlMt;
		this.symKey = symKey;
		this.encPara = encPara;
		this.SyAlgorithm=tConst.des;
	}

	public String EncExecuteAction() throws NoSuchAlgorithmException,
			EncryptException {

		Metaset mt2Enc = getDatatoEnc();
		if (mt2Enc == null) {
			System.out.println("aaaaaaaaaaaaaaaaa");
			// System.exit(0);
		}
		EncryptedData encData = new EncryptedData();
		String data = encData.encrypt(mt2Enc, symKey, this.SyAlgorithm);
		return data;
	}

	public String getId() {
		// String id = xmlMt.selector(".\\"+encPara, "id");
		// String id = xmlMt.selectorAttributeValue(".\\"+encPara, "id");
		String id = "";
		if (encPara.equals("Header")) {
			id = "#xinanjiang";
		} else {
			id = "#xiaoshan";
		}
		return id;
	}

	public Metaset getDatatoEnc() {
		// System.out.println(".\\"+encPara);
		// System.out.println("--------------------\n"+xmlMt.toFormatXML());
		Metaset datatoEnc = xmlMt.filter(".\\" + encPara).car();
		// System.out.println("--------------------\n"+datatoEnc.toFormatXML());
		return datatoEnc;
	}
}
