
package org.act.xservices.rt.xsecurity.enc.algfactory;

import org.act.xservices.rt.xsecurity.enc.algorithm.RSA_Dec;
import org.act.xservices.rt.xsecurity.enc.algorithm.RSA_Decc;


public class AsymDecFactory
{
	public AsymDec getDec(String s)
	{
		AsymDec asymDec = null;
		
		if (s.equals("http://www.w3.org/2000/09/xmldsig#rsa"))
		{
			asymDec = new RSA_Dec();
		}
		else if(s.equals("http://www.w3.org/2000/09/xmldsig#rsac")){
			asymDec = new RSA_Decc();
		}
		else
		{
			asymDec = new RSA_Dec();
		}
		return asymDec;
	}
}
