
package org.act.xservices.rt.xsecurity.enc.algorithm;


import java.security.*;
import java.security.spec.*;
import javax.crypto.*;
import javax.crypto.spec.*;
import javax.crypto.interfaces.*;

import org.act.xservices.rt.xsecurity.enc.algfactory.AsymDec;




import sun.misc.BASE64Decoder;

import java.security.cert.Certificate;
import java.security.cert.CertificateException;
import java.security.cert.CertificateFactory;
import java.security.interfaces.*;
import java.math.*;
import java.io.*;

public class RSA_Dec implements AsymDec
{
	

	public static String decpri(String s, String asymKey) throws Exception
	{
		BASE64Decoder base64De = new BASE64Decoder();
		byte[] sss = base64De.decodeBuffer(s);
		String ctext = new String(sss);
		BigInteger c = new BigInteger(ctext);
		FileInputStream f = new FileInputStream(asymKey);
		ObjectInputStream b = new ObjectInputStream(f);
		RSAPrivateKey prk = (RSAPrivateKey) b.readObject();
		BigInteger d = prk.getPrivateExponent();
		BigInteger n = prk.getModulus();
		BigInteger m = c.modPow(d, n);
		byte[] mt = m.toByteArray();
		String ss = "";
		for (int i = 0; i < mt.length; i++)
		{
			ss = ss + (char) mt[i];
		}

		return ss;
	}

	public static String decpub(String s, String asymKey) throws Exception
	{

		String ctext = s;
		BigInteger c = new BigInteger(ctext);

		FileInputStream f = new FileInputStream(asymKey);
		ObjectInputStream b = new ObjectInputStream(f);
		RSAPublicKey prk = (RSAPublicKey) b.readObject();

		BigInteger d = prk.getPublicExponent();
		BigInteger n = prk.getModulus();

		BigInteger m = c.modPow(d, n);

		byte[] mt = m.toByteArray();
		String ss = "";
		for (int i = 0; i < mt.length; i++)
		{
			ss = ss + (char) mt[i];
		}

		return ss;
	}

	/* (non-Javadoc)
	 * @see org.act.sec.enc.algfactory.AsymDec#encWithPri(java.lang.String, java.lang.String)
	 */
	public String encWithPri(String s, String asymKey,String psw)
	{
		BASE64Decoder base64De = new BASE64Decoder();
		byte[] sss;
		try
		{
			sss = base64De.decodeBuffer(s);
			String ctext = new String(sss);
			BigInteger c = new BigInteger(ctext);
			
			FileInputStream input=new FileInputStream(asymKey);//Կ

			KeyStore keyStore;
			try
			{
				keyStore = KeyStore.getInstance("JKS");
				try
				{
					keyStore.load(input,psw.toCharArray());
					input.close();
					PrivateKey prk;
					try
					{
						prk = (PrivateKey)keyStore.getKey("server",psw.toCharArray());
						BigInteger d = ((RSAPrivateKey) prk).getPrivateExponent();
						BigInteger n = ((RSAKey) prk).getModulus();
						BigInteger m = c.modPow(d, n);
						byte[] mt = m.toByteArray();
						String ss = "";
						for (int i = 0; i < mt.length; i++)
						{
							ss = ss + (char) mt[i];
						}

						return ss;
					} catch (UnrecoverableKeyException e)
					{
						// TODO Auto-generated catch block
						e.printStackTrace();
					} //CA֤ ֤
					
				} catch (NoSuchAlgorithmException e)
				{
					// TODO Auto-generated catch block
					e.printStackTrace();
				} catch (CertificateException e)
				{
					// TODO Auto-generated catch block
					e.printStackTrace();
				}  //Կ
				
			} catch (KeyStoreException e1)
			{
				// TODO Auto-generated catch block
				e1.printStackTrace();
			}
		} catch (IOException e)
		{
			
			return "false";
		}
		return asymKey;
		
	}

	/* (non-Javadoc)
	 * @see org.act.sec.enc.algfactory.AsymDec#encWithPub(java.lang.String, java.lang.String)
	 */
	public String encWithPub(String s, String key)
	{
		BASE64Decoder base64De = new BASE64Decoder();
		byte[] sss;
		
			try
			{
				sss = base64De.decodeBuffer(s);
				
				String ctext = new String(sss);
				
				BigInteger c = new BigInteger(ctext);

				CertificateFactory certFactory=CertificateFactory.getInstance("X.509");
				FileInputStream fis=new FileInputStream(key);
				Certificate  cert=certFactory.generateCertificate(fis);
				RSAPublicKey prk =  (RSAPublicKey) cert.getPublicKey();
				
//				FileInputStream f = new FileInputStream(key);
//				ObjectInputStream b = new ObjectInputStream(f);
//				RSAPublicKey prk = (RSAPublicKey) b.readObject();

				BigInteger d = prk.getPublicExponent();
				BigInteger n = prk.getModulus();

				BigInteger m = c.modPow(d, n);

				byte[] mt = m.toByteArray();
				String ss = "";
				for (int i = 0; i < mt.length; i++)
				{
					ss = ss + (char) mt[i];
				}

				return ss;
				
			} catch (IOException e)
			{
				// TODO Auto-generated catch block
				e.printStackTrace();
			} catch (CertificateException e)
			{
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
			
			
		return null;
			
		
		
	}

}
