package org.act.xservices.rt.xsecurity.test;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;
import java.util.Locale;



import org.act.xservices.rt.metaset.MetasetBuilder;
import org.act.xservices.rt.metaset.MetasetParserFactory;
import org.act.xservices.rt.xom.Attribute;
import org.act.xservices.rt.xom.Metaset;
import org.act.xservices.rt.xsecurity.handler.DecryptionHandler;
import org.act.xservices.rt.xsecurity.handler.EncHandler;
import org.act.xservices.rt.xsecurity.handler.SignAnaHandler;
import org.act.xservices.rt.xsecurity.handler.SinatureHandler;
import org.act.xservices.rt.xsecurity.util.MetaPrint;
import org.act.xservices.rt.xsecurity.util.tConst;


public class SecureTest {
	public static void main(String[] args) throws Exception {

		/*
		 *  1. ͻҵSoap 2. ͻ˶SoapĽǩ 3. ͻ˶ǩSoapĽм
		 * 
		 * 4. Soapϴ
		 * 
		 * 5. SoapĽн 6. ԽܺSoapĽǩ֤ 7. ǩ֤õϢзʿ 8.
		 * ݷʿƽ÷ 9. ɷSoap
		 * 
		 * 10.ԷSoapĽǩ 11.ǩķSoapĽм
		 */

		// ʼsoap
		Metaset firstSoapMt;

		Metaset encedSoapMt;
		Metaset decedSoapMt;
		Metaset signedSoapMt;

		System.out.println("ʼ......\n");
		// ȡģSoap
		// firstSoapMt = Metaset.create(tConst.tSoapFile);
		// MetasetBuilderImpl mtbuilder = new MetasetBuilderImpl();
		MetasetBuilder mtbuilder = MetasetBuilder.getInstance();
		firstSoapMt = MetasetParserFactory.getMetasetParser().parse(tConst.tSoapFile);
		MetaPrint.pXML(firstSoapMt, "ʼSoap");
		System.out.println("\n");

		// Metaset EncWSDL = Metaset.create(tConst.enc_WSDL);
		Metaset EncWSDL = MetasetParserFactory.getMetasetParser().parse(tConst.enc_WSDL);
		
		/***********************************************************************
		 * ʼʼHandler
		 **********************************************************************/

		/** ***************1. ǩ SinatureHandler****************************** */
		// Metaset HandlerLinks = new Metaset("HandlerLinks");
		Metaset HandlerLinks = mtbuilder.newMetaset("HandlerLinks");
		Metaset hder = firstSoapMt.filter(".\\Header").car();
		List<Attribute> attributesList = firstSoapMt.attributes();
		for (int i = 0; i < hder.elements().size(); i++) {
			HandlerLinks.add(hder.elements().get(i));
		}
		// Metaset operation = new Metaset("operation");
		Metaset operation = mtbuilder.newMetaset("operation");
		Metaset bdy = firstSoapMt.filter(".\\Body").car().car();
		operation.add(bdy);
		// System.out.println("ttttttttttttttttttttttttttttttt\n"+bdy.toFormatXML());
		// Metaset wsdd1 = Metaset.create(tConst.clientWSDD);
		Metaset wsdd1 = MetasetParserFactory.getMetasetParser().parseXMLString(tConst.clientWSDD);

		Date date1 = new Date();
		date1.getTime();

		SinatureHandler sinatureHandler = new SinatureHandler();
		sinatureHandler.init(EncWSDL, wsdd1, attributesList);
		signedSoapMt = sinatureHandler.process(HandlerLinks, operation);

		Date date2 = new Date();
		date2.getTime();

		long l = date2.getTime() - date1.getTime();

		System.out.println("1-10 --------  " + l);

		MetaPrint.pXML(HandlerLinks, "HandlerLinks");
		System.out.println("\n");
		MetaPrint.pXML(operation, "operation");
		System.out.println("\n");

		MetaPrint.pXML(signedSoapMt, "ǩSoap");
		System.out.println("\n");
		/** ******************************************************************* */

		/** ***************2. ܴ EncHandler****************************** */
		// Metaset HandlerLinks2 = new Metaset("HandlerLinks");
		Metaset HandlerLinks2 = mtbuilder.newMetaset("HandlerLinks");
		Metaset hder2 = signedSoapMt.filter(".\\Header").car();
		for (int i = 0; i < hder2.elements().size(); i++) {
			HandlerLinks2.add(hder2.elements().get(i));
		}

		// Metaset operation2 = new Metaset("operation");
		Metaset operation2 = mtbuilder.newMetaset("operation");
		Metaset bdy2 = signedSoapMt.filter(".\\Body").car().car();
		operation2.add(bdy2);

		EncHandler encHandler = new EncHandler();
		encHandler.init(EncWSDL, wsdd1);
		encedSoapMt = encHandler.process(HandlerLinks2, operation2);
		MetaPrint.pXML(encedSoapMt, "ܺSoap");
		System.out.println("\n");
		/** ******************************************************************* */
		/** ******************************************************************* */

		System.out
				.println("**************************************************\n");
		System.out.println("SOAPϴ...\n");
		System.out
				.println("**************************************************\n");

		/** ******************************************************************* */
		/** ***************3. ܴ EncHandler****************************** */
		// Metaset HandlerLinks3 = new Metaset("HandlerLinks");
		Metaset HandlerLinks3 = mtbuilder.newMetaset("HandlerLinks");
		Metaset hder3 = encedSoapMt.filter(".\\Header").car();
		for (int i = 0; i < hder3.elements().size(); i++) {
			HandlerLinks3.add(hder3.elements().get(i));
		}
		// Metaset operation3 = new Metaset("operation");
		Metaset operation3 = mtbuilder.newMetaset("operation");
		Metaset bdy3 = encedSoapMt.filter(".\\Body").car().car();
		operation3.add(bdy3);
		// Metaset wsdd2 = Metaset.create(tConst.containerWSDD);
		Metaset wsdd2 = MetasetParserFactory.getMetasetParser().parseXMLString(tConst.containerWSDD);

		DecryptionHandler decryptionHandler = new DecryptionHandler();
		decryptionHandler.init(EncWSDL, wsdd2, attributesList);
		decedSoapMt = decryptionHandler.process(HandlerLinks3, operation3);
		MetaPrint.pXML(decedSoapMt, "ܺSoap");
		System.out.println("\n");
		/** ******************************************************************* */
		/** ******************************************************************* */

		/** ******************************************************************* */
		/** ***************4. ǩ EncHandler****************************** */
		// Metaset HandlerLinks4 = new Metaset("HandlerLinks");
		Metaset HandlerLinks4 = mtbuilder.newMetaset("HandlerLinks");
		Metaset hder4 = decedSoapMt.filter(".\\Header").car();
		for (int i = 0; i < hder4.elements().size(); i++) {
			HandlerLinks4.add(hder4.elements().get(i));
		}

		// Metaset operation4 = new Metaset("operation");
		Metaset operation4 = mtbuilder.newMetaset("operation");
		Metaset bdy4 = decedSoapMt.filter(".\\Body").car().car();
		operation4.add(bdy4);

		SignAnaHandler SignAnaHandler = new SignAnaHandler();
		SignAnaHandler.init(EncWSDL, wsdd2);
		Metaset signanaMt = SignAnaHandler.process(HandlerLinks4, operation4);
		MetaPrint.pXML(signanaMt, "aaaa");
		String id = signanaMt.car().getText();
		if (id.equals("wrong person")) {
			Metaset err = SignAnaHandler.notifyerr();
			MetaPrint.pXML(err, "aaaa");
		}
		System.out.println("\n");

		/** ******************************************************************* */
		/** ******************************************************************* */

		if (!(id.equals("wrong person"))) {
			// 5. ʿƴACHandler
			SimpleDateFormat sdf = new SimpleDateFormat("",
					Locale.SIMPLIFIED_CHINESE);
			sdf.applyPattern("yyyyMMdd_HHʱmmssSS");
			String timeStr = sdf.format(new Date());
			System.out.println("start  " + timeStr);

			// ACHandler aCHandler = new ACHandler();
			// aCHandler.init(null,null);
			// Metaset mt = aCHandler.process(signanaMt,null);
			// System.out.println("ʿƽ");
			MetaPrint.pXML(signanaMt);

			SimpleDateFormat sdf2 = new SimpleDateFormat("",
					Locale.SIMPLIFIED_CHINESE);
			sdf2.applyPattern("yyyyMMdd_HHʱmmssSS");
			String timeStr2 = sdf.format(new Date());
			System.out.println("finish  " + timeStr2);

			// 6.÷ģ
			// String rezult =
			// signanaMt.filter(".\\Result\\Decision").car().getValue();
			Service service = new Service("ddddd");
			Metaset mt22 = service.resopnse();
			MetaPrint.pXML(mt22, "÷񷵻ر");

			// 7.Է񷵻رĽǩ
			// Metaset HandlerLinks7 = new Metaset("HandlerLinks");
			Metaset HandlerLinks7 = mtbuilder.newMetaset("HandlerLinks");
			Metaset hder7 = mt22.filter(".\\Header").car();
			for (int i = 0; i < hder7.elements().size(); i++) {
				HandlerLinks7.add(hder7.elements().get(i));
			}
			// Metaset operation7 = new Metaset("operation");
			Metaset operation7 = mtbuilder.newMetaset("operation");
			Metaset bdy7 = mt22.filter(".\\Body").car().car();
			operation7.add(bdy7);

			SinatureHandler sinatureHandler2 = new SinatureHandler();
			sinatureHandler2.init(EncWSDL, wsdd2, attributesList);
			Metaset signedSoapMt2 = sinatureHandler2.process(HandlerLinks7,
					operation7);
			MetaPrint.pXML(signedSoapMt2, "ǩSoap");
			System.out.println("\n");

			// 8. Է񷵻رĽм
			// Metaset HandlerLinks8 = new Metaset("HandlerLinks");
			Metaset HandlerLinks8 = mtbuilder.newMetaset("HandlerLinks");
			Metaset hder8 = signedSoapMt2.filter(".\\Header").car();
			for (int i = 0; i < hder8.elements().size(); i++) {
				HandlerLinks8.add(hder8.elements().get(i));
			}
			// Metaset operation8 = new Metaset("operation");
			Metaset operation8 = mtbuilder.newMetaset("operation");
			Metaset bdy8 = signedSoapMt2.filter(".\\Body").car().car();
			operation8.add(bdy8);

			EncHandler encHandler2 = new EncHandler();
			encHandler2.init(EncWSDL, wsdd2);
			Metaset encedSoapMt2 = encHandler2.process(HandlerLinks8,
					operation8);
			MetaPrint.pXML(encedSoapMt2, "ܺSoap");
			System.out.println("\n");

			/** ******************************************************************* */
			/** ***************3. ܴ EncHandler****************************** */
			// Metaset HandlerLinks9 = new Metaset("HandlerLinks");
			Metaset HandlerLinks9 = mtbuilder.newMetaset("HandlerLinks");
			Metaset hder9 = encedSoapMt2.filter(".\\Header").car();
			for (int i = 0; i < hder9.elements().size(); i++) {
				HandlerLinks9.add(hder9.elements().get(i));
			}
			// Metaset operation9 = new Metaset("operation");
			Metaset operation9 = mtbuilder.newMetaset("operation");
			Metaset bdy9 = encedSoapMt2.filter(".\\Body").car().car();
			operation9.add(bdy9);

			DecryptionHandler decryptionHandler9 = new DecryptionHandler();
			decryptionHandler9.init(EncWSDL, wsdd1, attributesList);
			decedSoapMt = decryptionHandler9.process(HandlerLinks9, operation9);
			MetaPrint.pXML(decedSoapMt, "ͻ ܺSoap");
			System.out.println("\n");
			/** ******************************************************************* */
			/** ******************************************************************* */
		}

	}
}
