package org.act.xservices.rt.xsecurity.wssecurity.grammar;

import org.act.xservices.rt.metaset.MetasetBuilder;
import org.act.xservices.rt.xom.Metaset;
import org.act.xservices.rt.xom.QName;

public class Ref {
	private Metaset Reference;

	public Ref(String url) {
		// Reference = new Metaset(SecurityConstant.ds + ":Reference");
		// Reference.add(new Attribute("URL", url));
		// MetasetBuilderImpl Referencebuilder = new MetasetBuilderImpl();
		QName Referenceq = new QName(SecurityConstant.dsNamespace, "Reference",
				SecurityConstant.ds);
		Reference = MetasetBuilder.getInstance().newMetaset(Referenceq);
		Reference.add(MetasetBuilder.getInstance().newAttribute("URL", url));
	}

	public Metaset getReference() {
		return this.Reference;
	}

	public Metaset addDigestMethod(Metaset child) {
		this.Reference.add(child);
		return this.Reference;
	}

	public Metaset addDigestValue(Metaset child) {
		this.Reference.add(child);
		return this.Reference;
	}
}
