

package org.act.xservices.rt.xsecurity.wsspolicy;

import org.apache.neethi.PolicyComponent;


import javax.xml.namespace.QName;
import javax.xml.stream.XMLStreamException;
import javax.xml.stream.XMLStreamWriter;


public class TransportToken extends AbstractSecurityAssertion implements TokenWrapper {

    private Token transportToken;
    
//    public TransportToken(int version){
//        setVersion(version);
//    }
//    
   
    public Token getTransportToken() {
        return transportToken;
    }
    
    public QName getName() {
//        if ( version == SPConstants.SP_V12) {
            return SP12Constants.TRANSPORT_TOKEN;
//        } else {
//            return SP11Constants.TRANSPORT_TOKEN;
//        }
    }

    public boolean isOptional() {
        throw new UnsupportedOperationException();
    }

    public PolicyComponent normalize() {
        throw new UnsupportedOperationException();
    }

    public short getType() {
        return org.apache.neethi.Constants.TYPE_ASSERTION;
    }

    public void serialize(XMLStreamWriter writer) throws XMLStreamException {
        
        String localName = getName().getLocalPart();
        String namespaceURI = getName().getNamespaceURI();
        
        String prefix = writer.getPrefix(namespaceURI);
        
        if (prefix == null) {
            prefix = getName().getPrefix();
            writer.setPrefix(prefix, namespaceURI);
        }
        
        // <sp:TransportToken>
        
        writer.writeStartElement(prefix, localName, namespaceURI);
        
        String wspPrefix = writer.getPrefix(SPConstants.POLICY.getNamespaceURI());
        if (wspPrefix == null) {
            wspPrefix = SPConstants.POLICY.getPrefix();
            writer.setPrefix(wspPrefix, SPConstants.POLICY.getNamespaceURI());
        }
        
        // <wsp:Policy>
        writer.writeStartElement(SPConstants.POLICY.getPrefix(), SPConstants.POLICY.getLocalPart(), SPConstants.POLICY.getNamespaceURI());
        
        // serialization of the token ..
        if (transportToken != null) {
            transportToken.serialize(writer);
        }
        
        // </wsp:Policy>
        writer.writeEndElement();
        
        
        writer.writeEndElement();
        // </sp:TransportToken>
    }

    
    public void setToken(Token tok) {
        this.transportToken = tok;
    }
    
    
}
