package org.act.xservices.rt.xsecurity.wsspolicy.processor;

import java.util.List;

import org.act.xservices.rt.metaset.MetasetBuilder;
import org.act.xservices.rt.xcontainer.framework.config.IConfigElement;
import org.act.xservices.rt.xcontainer.framework.policy.IPolicyConfiger;
import org.act.xservices.rt.xcontainer.framework.policy.PolicyConfigException;
import org.act.xservices.rt.xcontainer.framework.util.XContainerUtil;
import org.act.xservices.rt.xcontainer.inf.context.IServiceContext;
import org.act.xservices.rt.xcontainer.inf.service.wsdl.XcEndpoint;
import org.act.xservices.rt.xcontainer.inf.service.wsdl.XcMessage;
import org.act.xservices.rt.xcontainer.inf.service.wsdl.XcOperation;
import org.act.xservices.rt.xcontainer.inf.service.wsdl.XcService;
import org.act.xservices.rt.xom.Metaset;

public class SecurityPolicyConfiger implements IPolicyConfiger{
	
	private String name = "";
	static String policyid;  // ws: id  ȼֻһȫ policy id 
	XcMessage inputmeg = null;
	XcMessage outputmeg = null;
	int Mutex = 0; //  ʶʹжϲ֮以
	MetasetBuilder builder = MetasetBuilder.getInstance();
	Metaset ExtElement = builder.newMetaset("ExtElement");
	Metaset OperationPt = builder.newMetaset("OperationPt");
	Metaset Endpointpt = builder.newMetaset("Endpointpt");
	Metaset Servicept = builder.newMetaset("Servicept");
	Metaset processpt = builder.newMetaset("processpt");//Ĳ
    
	List<XcEndpoint> endpt ;
	List<XcOperation> operpt ;
	XcService serpt ;
	
	Metaset inputmeta = builder.newMetaset("inputmeta");
	// XcServiceȡչԪжΪȫǺ󻺴ΪMetaSet TempCache
	Metaset TempCache = builder.newMetaset("TempCache");

	int tag = 0;
	boolean iswspolicy= false;
	boolean inputag= false;
	boolean outputag= false;
	
	
	public boolean configPolicyProcessor(XcService xcService) throws PolicyConfigException {
		
		/*
		 * ڸúнаȫԴĳʼҪ¼㣺
		 * 1XcServiceгȡWSDLĵԪеչԪأ
		 * 2ӸԪеչԪȡȫԪأжֿռǷϣ
		 * 3XcServiceXcEndpointXcOperationWSDLѡаȫԪص߲Σ
		 *    ò㼰òµаȫԪռWSSecurityPolicyBuilderbuildаȫԽģ
		 * 4ģ밲ȫԴУ
		 * 5ðȫԴ3ѡĲεİȫС
		 */
		
		SecurityPolicyProcessor secpolicyprocessor= new SecurityPolicyProcessor();
		secpolicyprocessor.setPolicyProcessorName("SecurityPolicyProcessor");
		secpolicyprocessor.setPolicyType("security");

		
		
        
    	
    	//   1 жxcServiceǷаȫչԪأӦ
		 xcservicecache( xcService); 
		   
		//   2********ж XcOperation
		 for( int i=0;i<xcService.getAllXcOperation().size();i++)
		 {
			
			 xcoprationprocess(xcService,i);
			 
		 }
              
			if(inputmeg != null)
				    
		    {
			  if(inputmeg.getXcBindingMessage() !=null)
				{
				  if(inputmeg.getXcBindingMessage().getExtensibilityElements().size()!=0)
					{
					if(inputmeg.getXcBindingMessage().getExtensibilityElements().get(0).getElementType().getName().equalsIgnoreCase("PolicyReference"))
					  {
					  if (inputmeg.getXcBindingMessage().getExtensibilityElements().get(0).getExtElement().getAttribute("URI").replaceAll("#", "") != policyid )
					  {
							  // ȣ˵XcOperationinputİȫԪжӦӦľߴнд
							  inputag=true;
							  
					  }
				  }
			  }
		    }
					  if(inputag==true && tag ==0){
				
						 // input,operation,endpoint,serviceİȫԪطԴ
						 //	xcService.getAllXcOperation().get(i).addPolicyProcessor(secpolicyprocessor);
							for(int a=0;a<xcService.getAllXcEndpoints().size();a++){
								xcendpointprocess(xcService,a);//endpointȫԪдEndpointpt
							}
							for(int a=0;a<xcService.getExtensibilityElements().size();a++){
								xcserviceprocess(xcService,a);//serviceȫԪдServicept
							}
							processpt.add(OperationPt);
							processpt.add(Endpointpt);
							processpt.add(Servicept);
							
							if (endpt!=null){for( int i=0;i<endpt.size();i++)//  endpointּԴ
						    {endpt.get(i).addPolicyProcessor(secpolicyprocessor);}}
							if (operpt!=null){for( int i=0;i<operpt.size();i++)//  operationּԴ
						    {operpt.get(i).addPolicyProcessor(secpolicyprocessor);}}
							if (serpt!=null){//  serviceּԴ
						    {serpt.addPolicyProcessor(secpolicyprocessor);}}
							
							
							
							
							secpolicyprocessor.setpolicyprocessIN(processpt);
							Mutex++;
							tag++;
					  }
				  }
				 
	
              	
				
					if(outputmeg != null )
				  {    
						if(outputmeg.getXcBindingMessage()!=null)
					{     if(outputmeg.getXcBindingMessage().getExtensibilityElements().size()!=0)
					 {
					       if(outputmeg.getXcBindingMessage().getExtensibilityElements().get(0).getElementType().getName().equalsIgnoreCase("PolicyReference"))
					   {
						     if (outputmeg.getXcBindingMessage().getExtensibilityElements().get(0).getExtElement().getAttribute("URI").replaceAll("#", "") != policyid )
						   {
							  // ȣ˵XcOperationеİȫԪжӦӦľߴнд
							  
							  outputag=true; 
						  }
					   }
					 }
				    }
					  if(outputag==true && tag==1 && inputag == false )
					  {
							// output,operation,endpoint,serviceİȫԪطԴ
										for(int a=0;a<xcService.getAllXcEndpoints().size();a++){
											xcendpointprocess(xcService,a);//endpointȫԪдEndpointpt
										}
										for(int a=0;a<xcService.getExtensibilityElements().size();a++){
											xcserviceprocess(xcService,a);//serviceȫԪдServicept
										}
//										processpt.add(OperationPt);
//										processpt.add(Endpointpt);
//										processpt.add(Servicept);
										for( int i=0;i<endpt.size();i++)//  endpointּԴ
									    {endpt.get(i).addPolicyProcessor(secpolicyprocessor);}
										for( int i=0;i<operpt.size();i++)//  operationּԴ
									    {operpt.get(i).addPolicyProcessor(secpolicyprocessor);}
										//  serviceּԴ
									    {serpt.addPolicyProcessor(secpolicyprocessor);}
//										processpt.add(XContainerUtil.ChangeDomElementToMetaset(
//												outputmeg.getExtensibilityElements().get(0).getExtElement()));//е
										
										secpolicyprocessor.setpolicyprocessOUT(processpt);
//										secpolicyprocessor.processOUT(outputmeg);
										Mutex++;	
										tag++;
					  }else if (outputag==true && tag==1 && inputag == true){
						  secpolicyprocessor.setpolicyprocessOUT(processpt);
						  tag++;
					  }
					  
				  }
				
				
               // input  outputûУֻoperationе
              if(iswspolicy==true && inputag==false && outputag ==false)
              {
            	  for( int i=0;i<xcService.getAllXcOperation().size();i++){

            		  // operation,endpoint,serviceİȫԪطԴ
								xcService.getAllXcOperation().get(i).addPolicyProcessor(secpolicyprocessor);
								for(int a=0;a<xcService.getAllXcEndpoints().size();a++){
									xcendpointprocess(xcService,a);//endpointȫԪдEndpointpt
								}
								for(int a=0;a<xcService.getExtensibilityElements().size();a++){
									xcserviceprocess(xcService,a);//serviceȫԪдServicept
								}
								processpt.add(OperationPt);
								processpt.add(Endpointpt);
								processpt.add(Servicept);
								for( int m=0;i<endpt.size();m++)//  endpointּԴ
							    {endpt.get(m).addPolicyProcessor(secpolicyprocessor);}
								for( int m=0;i<operpt.size();m++)//  operationּԴ
							    {operpt.get(m).addPolicyProcessor(secpolicyprocessor);}
								//  serviceּԴ
							    {serpt.addPolicyProcessor(secpolicyprocessor);}
								
								secpolicyprocessor.setpolicyprocessIN(processpt);

								Mutex++;	  
              }	
            }		
				// ********ж XcEndpoint
			if(Mutex<1)	
			{
				for(int i=0;i<xcService.getAllXcEndpoints().size();i++){
				    
					xcendpointprocess(xcService,i);
					if(iswspolicy==true){
						xcService.getAllXcEndpoints().get(i).addPolicyProcessor(secpolicyprocessor);
						// endpoint,serviceİȫԪطԴ
						for(int a=0;a<xcService.getExtensibilityElements().size();a++){
							xcserviceprocess(xcService,a);//serviceȫԪдServicept
						}
						processpt.add(Endpointpt);
						processpt.add(Servicept);
						for( int m=0;i<endpt.size();m++)//  endpointּԴ
					    {endpt.get(m).addPolicyProcessor(secpolicyprocessor);}
						
						//  serviceּԴ
					    {serpt.addPolicyProcessor(secpolicyprocessor);}
						secpolicyprocessor.setpolicyprocessIN(processpt);
						Mutex++;
					    }
			}
		}
			
			// ********ж XcService
			if(Mutex<1)	
			{
			
				for(int i=0;i<xcService.getExtensibilityElements().size();i++){
					xcserviceprocess(xcService,i);
					
					if(iswspolicy==true){
						xcService.addPolicyProcessor(secpolicyprocessor);
						processpt.add(Servicept);
						//  serviceּԴ
					    {serpt.addPolicyProcessor(secpolicyprocessor);}
						secpolicyprocessor.setpolicyprocessIN(processpt);
					    }
			}
		}
			
			
			
			
		processpt.clearContent();//processptΪһж׼
		return true;
		
	
	}
	public String getName() {
		// TODO Auto-generated method stub
		return name;
	}


	
    public Metaset getExtElement(IServiceContext serviceContext,
			String HandlerType) {

		MetasetBuilder builder = MetasetBuilder.getInstance();
		int a = 0;

		Metaset ExtElement = builder.newMetaset("ExtElement");

		if ((serviceContext.getXcService().getExtensibilityElements().size()) != 0) {
			for (int i = 0; i < (serviceContext.getXcService()
					.getExtensibilityElements().size()); i++) {

				ExtElement.add(XContainerUtil
						.ChangeDomElementToMetaset(serviceContext
								.getXcService().getExtensibilityElements().get(
										i).getExtElement()));

			}
			a++;
		}

		if ((serviceContext.getXcEndpoint().getExtensibilityElements().size()) != 0) {
			for (int i = 0; i < (serviceContext.getXcEndpoint()
					.getExtensibilityElements().size()); i++) {
				ExtElement.add(XContainerUtil
						.ChangeDomElementToMetaset(serviceContext
								.getXcEndpoint().getExtensibilityElements()
								.get(i).getExtElement()));

			}
			a++;
		}

		if ((serviceContext.getXcOperation().getExtensibilityElements().size()) != 0) {
			for (int i = 0; i < (serviceContext.getXcOperation()
					.getExtensibilityElements().size()); i++) {
				ExtElement.add(XContainerUtil
						.ChangeDomElementToMetaset(serviceContext
								.getXcOperation().getExtensibilityElements()
								.get(i).getExtElement()));
			}
			a++;
		}

		if ((serviceContext.getXcOperation().getXcBindingOperation()
				.getExtensibilityElements().size()) != 0) {
			for (int i = 0; i < (serviceContext.getXcOperation()
					.getXcBindingOperation().getExtensibilityElements().size()); i++) {
				ExtElement.add(XContainerUtil
						.ChangeDomElementToMetaset(serviceContext
								.getXcOperation().getXcBindingOperation()
								.getExtensibilityElements().get(i)
								.getExtElement()));
			}
			a++;
		}

		if (HandlerType.equals("handlin")) {

			if ((serviceContext.getXcOperation().getInputXcMessage()) != null) {

				for (int i = 0; i < (serviceContext.getXcOperation()
						.getInputXcMessage().getExtensibilityElements().size()); i++) {
					ExtElement.add(XContainerUtil
							.ChangeDomElementToMetaset(serviceContext
									.getXcOperation().getInputXcMessage()
									.getExtensibilityElements().get(i)
									.getExtElement()));
					a++;
				}

				for (int i = 0; i < (serviceContext.getXcOperation()
						.getInputXcMessage().getXcBindingMessage()
						.getExtensibilityElements().size()); i++) {
					ExtElement.add(XContainerUtil
							.ChangeDomElementToMetaset(serviceContext
									.getXcOperation().getInputXcMessage()
									.getXcBindingMessage()
									.getExtensibilityElements().get(i)
									.getExtElement()));
					a++;
				}

			}

		} else if (HandlerType.equals("handlout")) {
			if ((serviceContext.getXcOperation().getOutputXcMessage()) != null) {

				for (int i = 0; i < (serviceContext.getXcOperation()
						.getOutputXcMessage().getExtensibilityElements().size()); i++) {
					ExtElement.add(XContainerUtil
							.ChangeDomElementToMetaset(serviceContext
									.getXcOperation().getOutputXcMessage()
									.getExtensibilityElements().get(i)
									.getExtElement()));
					a++;
				}

				for (int i = 0; i < (serviceContext.getXcOperation()
						.getOutputXcMessage().getXcBindingMessage()
						.getExtensibilityElements().size()); i++) {
					ExtElement.add(XContainerUtil
							.ChangeDomElementToMetaset(serviceContext
									.getXcOperation().getOutputXcMessage()
									.getXcBindingMessage()
									.getExtensibilityElements().get(i)
									.getExtElement()));
					a++;
				}

			}
		}
		if (a < 2) {
			ExtElement.removeElements(".\\*");
		}

		return ExtElement;
	}
	// *** жxcServiceǷаȫչԪأӦ
	private void xcservicecache(XcService xcService)
	   {
		if((xcService.getExtensibilityElements().size())!=0){
			for(int i=0;i<(xcService.getExtensibilityElements().size());i++){
	    	ExtElement.add(XContainerUtil.ChangeDomElementToMetaset(
	    			xcService.getExtensibilityElements().get(i).getExtElement()));
	    	
	    }
			if(ExtElement.element("Policy")!=null){
		    if(ExtElement.element("Policy").elements().size()!=0){
		    	for(int a = 0; a<ExtElement.element("Policy").elements().size();a++){
		    		if(ExtElement.element("Policy").elements().get(a).getNamespaceURI().equals("http://docs.oasis-open.org/ws-sx/ws-securitypolicy")){
		    			// չԪҪİȫԪأ1жϸwsdlΪҪİȫģֱӷ
		    			//                                 2йذȫıĲ֣Աһ
		    			//                                 3¼Ӧwsuid Ϊ policyidԱҳPolicyReferenceбȶ
		    			
//		    			TempCache.add(
//		    					ExtElement.element("Policy").elements().get(a));
		    			
		    			policyid = ExtElement.element("Policy").attributeValue("Id");//ȡ wsu: id
//		    			System.out.print("\n"+policyid+"\n");
		    			
		    		}
		    	}
		    }
			}
//		    if(iswspolicy==true){
//			wspolicy = TempCache.toXML();	
//			xcService.addPolicyProcessor(secpolicyprocessor);
//		    }
		}
	   }
	//  *** ȡoperationİȫԪأiswspolicy1
	private void xcoprationprocess(XcService xcService,int i)
	{
		
			if((xcService.getAllXcOperation().get(i).getExtensibilityElements().size())!=0){
				for(int j=0;j<(xcService.getAllXcOperation().get(i).getExtensibilityElements().size());j++){
					OperationPt.add(XContainerUtil.ChangeDomElementToMetaset(
			    			(xcService.getAllXcOperation().get(i).getExtensibilityElements()).get(i).getExtElement()));
					
				}
				
				
				
				if(OperationPt.elements().size()!=0){
			    	for(int b = 0; b<OperationPt.elements().size();b++){
			    		if(OperationPt.elements().get(b).getNamespaceURI().equals("http://docs.oasis-open.org/ws-sx/ws-securitypolicy")||OperationPt.elements().get(b).getNamespaceURI().equalsIgnoreCase(policyid))
			    		{
			    			operpt.add(xcService.getAllXcOperation().get(i));
			    			iswspolicy=true;
			    		}
			    	}
			    }
				
				// XcOperation ǷжӦİȫԪ


				
				
			}
			
//			//ȡXcOperationеinputoutput
			if(xcService.getAllXcOperation()!=null)
				 {
				if (xcService.getAllXcOperation().get(i)!=null)
					{if(xcService.getAllXcOperation().get(i).getInputXcMessage()!=null)
				inputmeg = xcService.getAllXcOperation().get(i).getInputXcMessage() ;}
				{if(xcService.getAllXcOperation().get(i).getOutputXcMessage()!=null)
				outputmeg = xcService.getAllXcOperation().get(i).getOutputXcMessage() ;}
				 }
			
//			inputmeta.add(XContainerUtil.ChangeDomElementToMetaset((xcService.getAllXcOperation()));
		
	}
//  *** ȡendpointİȫԪأiswspolicy1
	private void xcendpointprocess(XcService xcService,int i)
	
	{
		if((xcService.getAllXcEndpoints().get(i).getExtensibilityElements().size())!=0){
		    for(int j=0;j<(xcService.getAllXcEndpoints().get(i).getExtensibilityElements().size());j++){
		    	Endpointpt.add(XContainerUtil.ChangeDomElementToMetaset(
		    			(xcService.getAllXcEndpoints().get(i).getExtensibilityElements()).get(i).getExtElement()));
		        
		    }
//			Endpointpt.add(XContainerUtil.ChangeDomElementToMetaset(
//	    			(xcService.getAllXcEndpoints().get(i).getExtensibilityElements()).get(i).getExtElement()));
		   if (Endpointpt.element("Policy")!=null) 
		   {
		    if(Endpointpt.element("Policy").elements().size()!=0){
		    	for(int b = 0; b<Endpointpt.element("Policy").elements().size();b++){
		    		if(Endpointpt.element("Policy").elements().get(b).getNamespaceURI().equals("http://docs.oasis-open.org/ws-sx/ws-securitypolicy")||Endpointpt.elements().get(b).getNamespaceURI().equalsIgnoreCase(policyid)){
		    			endpt.add(xcService.getAllXcEndpoints().get(i));
		    			iswspolicy=true;
		    		}
		    	}
		    }
		    }

		    
		}
	}
	
//  *** ȡserviceİȫԪأiswspolicy1
	private void xcserviceprocess(XcService xcService,int i)
	{
	if((xcService.getExtensibilityElements().size())!=0){
		for(i=0;i<(xcService.getExtensibilityElements().size());i++){
			Servicept.add(XContainerUtil.ChangeDomElementToMetaset(
	    			xcService.getExtensibilityElements().get(i).getExtElement()));
	    	
	    }
	    if(Servicept.element("Policy")!=null){
	    if(Servicept.element("Policy").elements().size()!=0){
	    	for(int b = 0; b<Servicept.element("Policy").elements().size();b++){
	    		if(Servicept.element("Policy").elements().get(b).getNamespaceURI().equals("http://docs.oasis-open.org/ws-sx/ws-securitypolicy")){
	    			serpt = xcService;
//	    			serpt.add(xcService);
//	    			serpt.add(xcService);
	    			iswspolicy=true;
	    		}
	    	}
	     }
	   }
	 }
	
	}
	public void init(String name, IConfigElement pcConfig) {
		// TODO Auto-generated method stub
		
		/*1       Կļ·
		      2      û֤·
		      3  Username·*/
		
		this.name = pcConfig.getChildrenWithName("Username").toString();
		
		
		
		
		
		
		//ļȡԿļڵ·
		
	}
	

}
