/**
 * ICacheable.java
 */
package org.act.xservices.rt.xsecurity.xacml;

import org.act.xservices.rt.metaset.exception.MetasetParsingException;
import org.act.xservices.rt.xsecurity.xacml.exception.DataTypeMappingException;
import org.act.xservices.rt.xsecurity.xacml.exception.IndeterminateException;
import org.act.xservices.rt.xsecurity.xacml.exception.PolicySyntaxErrorException;
import org.act.xservices.rt.xsecurity.xacml.exception.UnsuportedLocationTypeException;

/**
 * ӿڴһɻԪأPolicyPolicySetResponse
 * PolicyPolicySetXMLļʽڴУϵͳͨķʽظأЧʡ
 * ResponseǶȨòԵĽͬһûܻζԴзʣ£PDPͻͬȨԣϵͳҲResponseл档
 * 
 * 
 */
public interface ICacheable {

	/**
	 * ˢ»Ԫأ
	 * 	1. ʹʱΪǰʱ䣻
	 * 	2. ڱʶλ
	 * 	2. ûĻѵڣػݣtrue򣬷false;
	 * 
	 * @throws UnsuportedLocationTypeException
	 * @throws IndeterminateException
	 * @throws DataTypeMappingException
	 * @throws PolicySyntaxErrorException
	 * @throws MetasetParsingException
	 */
	public boolean refresh() throws MetasetParsingException,
			PolicySyntaxErrorException, DataTypeMappingException,
			IndeterminateException, UnsuportedLocationTypeException;
	
	/**
	 * λڻ:
	 * 	1. λڱʶλ
	 * 	2. ʱûѾڵ״̬򷵻falseͷŻݣtrue
	 */
	public boolean release();

	/**
	 * 鿴˻ԪǷڡ
	 */
	public boolean isExpired();


	/**
	 * 鿴˻Ԫʹʱ䡣
	 */
	public long getLastUseTime();

	/**
	 * 鿴˻Ԫر뻺ʱ䡣
	 */
	public long getCreateTime();

}
