/**
 * IMatchable.java
 */
package org.act.xservices.rt.xsecurity.xacml;

import org.act.xservices.rt.xsecurity.xacml.context.IRequest;
import org.act.xservices.rt.xsecurity.xacml.exception.DataTypeMappingException;
import org.act.xservices.rt.xsecurity.xacml.exception.IndeterminateException;
import org.act.xservices.rt.xsecurity.xacml.exception.XacmlFunctionLoadException;

/**
 * ƥԪҪʵִ˽ӿڡOASIS XACML淶жSubjectMatchResourceMatchActionMatchԼEnvironmentMatchҪȨƥ䣬ǿƥԪأҪʵ
 * ˽ӿڣpolicy:Subjectpolicy:Resourcepolicy:Actionpolicy:EnvironmentЩԪصĺȡϣҲǿƥԪأҪʵִ˽ӿڣTargetpolicy:Subject
 * policy:Resourcepolicy:Actionpolicy:EnvironmentĺȡϣҲǿƥԪأҪʵִ˽ӿ;⣬(Rule)(Policy)ͲԼ(PolicySet)һ
 * TargetҲʵִ˽ӿڣƥΪаTargetǷƥ䡣
 * 
 * 
 */
public interface IMatchable {
	/**
	 * @param requestȨ󡣷ʵпҪлȡֵ
	 * @return ӿڴĶȨƥ䣬򷵻true򣬷false
	 * @throws IndeterminateException
	 * @throws DataTypeMappingException 
	 * @throws XacmlFunctionLoadException 
	 */
	public boolean match(IRequest request) throws IndeterminateException, DataTypeMappingException;
}
