/**
 * Result.java
 */
package org.act.xservices.rt.xsecurity.xacml.context;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import org.act.xservices.rt.xsecurity.xacml.policy.Obligation;

/**
 * 
 */
public class Result {

	private Decision decision = null;

	private Status status = null;

	private List<Obligation> obligations = null;

	private String resourceId = null;

	public Result() {
		this.obligations = new ArrayList<Obligation>();
	}

	public Result(Decision decision, Status status, String resourceId) {
		this.decision = decision;
		this.status = status;
		this.obligations = new ArrayList<Obligation>();
		this.resourceId = resourceId;
	}

	public Decision getDecision() {
		return decision;
	}

	public void setDecision(Decision decision) {
		this.decision = decision;
	}

	public List<Obligation> getObligations() {
		return obligations;
	}

	public void setObligations(List<Obligation> obligations) {
		this.obligations = obligations;
	}

	public String getResourceId() {
		return resourceId;
	}

	public void setResourceId(String resourceId) {
		this.resourceId = resourceId;
	}

	public Status getStatus() {
		return status;
	}

	public void setStatus(Status status) {
		this.status = status;
	}

	public void addObligations(Obligation[] obligations) {

		for (int i = 0; i < obligations.length; i++) {
			this.obligations.add(obligations[i]);
		}
	}

	public void addOblgations(Collection<? extends Obligation> obligations) {
		this.obligations.addAll(obligations);
	}
}
