/**
 * Status.java
 */
package org.act.xservices.rt.xsecurity.xacml.context;

import org.act.xservices.rt.xsecurity.xacml.exception.XacmlException;

/**
 * 
 */
public class Status {

	private StatusCode statusCode = null;

	private String statusMessage = null;

	public StatusCode getStatusCode() {
		return statusCode;
	}

	public void setStatusCode(StatusCode statusCode) {
		this.statusCode = statusCode;
	}

	public String getStatusMessage() {
		return statusMessage;
	}

	public void setStatusMessage(String statusMessage) {
		this.statusMessage = statusMessage;
	}

	public Status() {

	}

	public Status(StatusCode statusCode, String statusMessage) {
		this.statusCode = statusCode;
		this.statusMessage = statusMessage;
	}

	public static Status newStatus(XacmlException e) {
		StatusCode sc = StatusCode.newStatusCode(e, null);
		String sm = e.getMessage();
		return new Status(sc, sm);
	}

}
